User32 (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: User32

Package com.sun.jna.platform.win32

# Interface User32

All Superinterfaces:
  `AltCallingConvention`, `BaseTSD`, `Library`, `StdCall`, `StdCallLibrary`, `WinBase`, `WinDef`, `WinError`, `WinNT`, `WinUser`

public interface User32 extends StdCallLibrary, WinUser, WinNT
Provides access to the w32 user32 library. Incomplete implementation to support demos.

Author:
  Todd Fast, todd.fast@sun.com, twalljava@dev.java.net, Tobias Wolf, wolf.tobias@gmx.net, Markus KARG (markus[at]headcrashing[dot]eu), Andreas "PAX" Lück, onkelpax-git[at]yahoo.de

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.sun.jna.platform.win32.BaseTSD

  `BaseTSD.DWORD_PTR, BaseTSD.LONG_PTR, BaseTSD.SIZE_T, BaseTSD.SSIZE_T, BaseTSD.ULONG_PTR, BaseTSD.ULONG_PTRByReference`

  ## Nested classes/interfaces inherited from interface com.sun.jna.Library

  `Library.Handler`

  ## Nested classes/interfaces inherited from interface com.sun.jna.win32.StdCallLibrary

  `StdCallLibrary.StdCallCallback`

  ## Nested classes/interfaces inherited from interface com.sun.jna.platform.win32.WinBase

  `WinBase.COMMTIMEOUTS, WinBase.COMPUTER_NAME_FORMAT, WinBase.DCB, WinBase.EnumResNameProc, WinBase.EnumResTypeProc, WinBase.FE_EXPORT_FUNC, WinBase.FE_IMPORT_FUNC, WinBase.FILE_ATTRIBUTE_TAG_INFO, WinBase.FILE_BASIC_INFO, WinBase.FILE_COMPRESSION_INFO, WinBase.FILE_DISPOSITION_INFO, WinBase.FILE_ID_INFO, WinBase.FILE_STANDARD_INFO, WinBase.FILETIME, WinBase.FOREIGN_THREAD_START_ROUTINE, WinBase.MEMORYSTATUSEX, WinBase.OVERLAPPED, WinBase.PROCESS_INFORMATION, WinBase.SECURITY_ATTRIBUTES, WinBase.STARTUPINFO, WinBase.SYSTEM_INFO, WinBase.SYSTEMTIME, WinBase.THREAD_START_ROUTINE, WinBase.TIME_ZONE_INFORMATION, WinBase.WIN32_FIND_DATA`

  ## Nested classes/interfaces inherited from interface com.sun.jna.platform.win32.WinDef

  `WinDef.ATOM, WinDef.BOOL, WinDef.BOOLByReference, WinDef.BYTE, WinDef.CHAR, WinDef.CHARByReference, WinDef.DWORD, WinDef.DWORDByReference, WinDef.DWORDLONG, WinDef.HBITMAP, WinDef.HBRUSH, WinDef.HCURSOR, WinDef.HDC, WinDef.HFONT, WinDef.HGLRC, WinDef.HGLRCByReference, WinDef.HICON, WinDef.HINSTANCE, WinDef.HKL, WinDef.HMENU, WinDef.HMODULE, WinDef.HPALETTE, WinDef.HPEN, WinDef.HRGN, WinDef.HRSRC, WinDef.HWND, WinDef.INT_PTR, WinDef.LCID, WinDef.LONG, WinDef.LONGByReference, WinDef.LONGLONG, WinDef.LONGLONGByReference, WinDef.LPARAM, WinDef.LPVOID, WinDef.LRESULT, WinDef.POINT, WinDef.PVOID, WinDef.RECT, WinDef.SCODE, WinDef.SCODEByReference, WinDef.SHORT, WinDef.UCHAR, WinDef.UINT, WinDef.UINT_PTR, WinDef.UINTByReference, WinDef.ULONG, WinDef.ULONGByReference, WinDef.ULONGLONG, WinDef.ULONGLONGByReference, WinDef.USHORT, WinDef.USHORTByReference, WinDef.WORD, WinDef.WORDByReference, WinDef.WPARAM`

  ## Nested classes/interfaces inherited from interface com.sun.jna.platform.win32.WinNT

  `WinNT.ACCESS_ACEStructure, WinNT.ACCESS_ALLOWED_ACE, WinNT.ACCESS_DENIED_ACE, WinNT.ACE_HEADER, WinNT.ACL, WinNT.BATTERY_REPORTING_SCALE, WinNT.CACHE_DESCRIPTOR, WinNT.CACHE_RELATIONSHIP, WinNT.EVENTLOGRECORD, WinNT.FILE_NOTIFY_INFORMATION, WinNT.GENERIC_MAPPING, WinNT.GROUP_AFFINITY, WinNT.GROUP_RELATIONSHIP, WinNT.HANDLE, WinNT.HANDLEByReference, WinNT.HRESULT, WinNT.IO_COUNTERS, WinNT.LARGE_INTEGER, WinNT.LocaleMacros, WinNT.LOGICAL_PROCESSOR_RELATIONSHIP, WinNT.LUID, WinNT.LUID_AND_ATTRIBUTES, WinNT.MEMORY_BASIC_INFORMATION, WinNT.NUMA_NODE_RELATIONSHIP, WinNT.OSVERSIONINFO, WinNT.OSVERSIONINFOEX, WinNT.OVERLAPPED_COMPLETION_ROUTINE, WinNT.PACLByReference, WinNT.POWER_ACTION, WinNT.POWER_ACTION_POLICY, WinNT.PRIVILEGE_SET, WinNT.PROCESSOR_CACHE_TYPE, WinNT.PROCESSOR_GROUP_INFO, WinNT.PROCESSOR_POWER_INFORMATION, WinNT.PROCESSOR_RELATIONSHIP, WinNT.PSID, WinNT.PSIDByReference, WinNT.SECURITY_DESCRIPTOR, WinNT.SECURITY_DESCRIPTOR_RELATIVE, WinNT.SECURITY_IMPERSONATION_LEVEL, WinNT.SECURITY_QUALITY_OF_SERVICE, WinNT.SID_AND_ATTRIBUTES, WinNT.SID_NAME_USE, WinNT.SYSTEM_BATTERY_STATE, WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION, WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION_EX, WinNT.SYSTEM_POWER_CAPABILITIES, WinNT.SYSTEM_POWER_INFORMATION, WinNT.SYSTEM_POWER_LEVEL, WinNT.SYSTEM_POWER_POLICY, WinNT.SYSTEM_POWER_STATE, WinNT.TOKEN_ELEVATION, WinNT.TOKEN_GROUPS, WinNT.TOKEN_INFORMATION_CLASS, WinNT.TOKEN_OWNER, WinNT.TOKEN_PRIMARY_GROUP, WinNT.TOKEN_PRIVILEGES, WinNT.TOKEN_TYPE, WinNT.TOKEN_USER, WinNT.UNKNOWN_RELATIONSHIP, WinNT.WELL_KNOWN_SID_TYPE`

  ## Nested classes/interfaces inherited from interface com.sun.jna.platform.win32.WinUser

  `WinUser.BLENDFUNCTION, WinUser.COPYDATASTRUCT, WinUser.CWPSTRUCT, WinUser.FLASHWINFO, WinUser.GUITHREADINFO, WinUser.HARDWAREINPUT, WinUser.HDEVNOTIFY, WinUser.HHOOK, WinUser.HMONITOR, WinUser.HOOKPROC, WinUser.INPUT, WinUser.KBDLLHOOKSTRUCT, WinUser.KEYBDINPUT, WinUser.LASTINPUTINFO, WinUser.LowLevelKeyboardProc, WinUser.LowLevelMouseProc, WinUser.MONITORENUMPROC, WinUser.MONITORINFO, WinUser.MONITORINFOEX, WinUser.MOUSEINPUT, WinUser.MSG, WinUser.MSLLHOOKSTRUCT, WinUser.RAWINPUTDEVICELIST, WinUser.SIZE, WinUser.WINDOWINFO, WinUser.WINDOWPLACEMENT, WinUser.WindowProc, WinUser.WinEventProc, WinUser.WNDCLASSEX, WinUser.WNDENUMPROC`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CS_GLOBALCLASS`
  The cs globalclass.
  `static final int`
  `DEVICE_NOTIFY_ALL_INTERFACE_CLASSES`
  The device notify all interface classes.
  `static final int`
  `DEVICE_NOTIFY_SERVICE_HANDLE`
  The hRecipient parameter is a service status handle.
  `static final int`
  `DEVICE_NOTIFY_WINDOW_HANDLE`
  The hRecipient parameter is a window handle.
  `static final WinDef.HWND`
  `HWND_MESSAGE`
  Handle for message-only window.
  `static final User32`
  `INSTANCE`
  The instance.
  `static final int`
  `SW_SHOWDEFAULT`
  Sets the show state based on the SW_ value specified in the STARTUPINFO structure passed to the CreateProcess function by the program that started the application.
  `static final int`
  `WS_EX_TOPMOST`
  The ws ex topmost.

  ### Fields inherited from interface com.sun.jna.Library

  `OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_CLASSLOADER, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_OPEN_FLAGS, OPTION_STRING_ENCODING, OPTION_STRUCTURE_ALIGNMENT, OPTION_SYMBOL_PROVIDER, OPTION_TYPE_MAPPER`

  ### Fields inherited from interface com.sun.jna.win32.StdCallLibrary

  `FUNCTION_MAPPER, STDCALL_CONVENTION`

  ### Fields inherited from interface com.sun.jna.platform.win32.WinBase

  `CBR_110, CBR_1200, CBR_128000, CBR_14400, CBR_19200, CBR_2400, CBR_256000, CBR_300, CBR_38400, CBR_4800, CBR_56000, CBR_600, CBR_9600, CREATE_BREAKAWAY_FROM_JOB, CREATE_DEFAULT_ERROR_MODE, CREATE_FOR_DIR, CREATE_FOR_IMPORT, CREATE_FORCEDOS, CREATE_NEW_CONSOLE, CREATE_NEW_PROCESS_GROUP, CREATE_NO_WINDOW, CREATE_PRESERVE_CODE_AUTHZ_LEVEL, CREATE_PROTECTED_PROCESS, CREATE_SEPARATE_WOW_VDM, CREATE_SHARED_WOW_VDM, CREATE_SUSPENDED, CREATE_UNICODE_ENVIRONMENT, DEBUG_ONLY_THIS_PROCESS, DEBUG_PROCESS, DETACHED_PROCESS, DRIVE_CDROM, DRIVE_FIXED, DRIVE_NO_ROOT_DIR, DRIVE_RAMDISK, DRIVE_REMOTE, DRIVE_REMOVABLE, DRIVE_UNKNOWN, DTR_CONTROL_DISABLE, DTR_CONTROL_ENABLE, DTR_CONTROL_HANDSHAKE, ES_AWAYMODE_REQUIRED, ES_CONTINUOUS, ES_DISPLAY_REQUIRED, ES_SYSTEM_REQUIRED, ES_USER_PRESENT, EVENPARITY, EXTENDED_STARTUPINFO_PRESENT, FILE_DIR_DISALOWED, FILE_ENCRYPTABLE, FILE_IS_ENCRYPTED, FILE_MAP_ALL_ACCESS, FILE_MAP_COPY, FILE_MAP_EXECUTE, FILE_MAP_READ, FILE_MAP_WRITE, FILE_READ_ONLY, FILE_ROOT_DIR, FILE_SYSTEM_ATTR, FILE_SYSTEM_DIR, FILE_SYSTEM_NOT_SUPPORT, FILE_UNKNOWN, FILE_USER_DISALLOWED, FileAlignmentInfo, FileAllocationInfo, FileAttributeTagInfo, FileBasicInfo, FileCompressionInfo, FileDispositionInfo, FileEndOfFileInfo, FileFullDirectoryInfo, FileFullDirectoryRestartInfo, FileIdBothDirectoryInfo, FileIdBothDirectoryRestartInfo, FileIdExtdDirectoryInfo, FileIdExtdDirectoryRestartInfo, FileIdInfo, FileIoPriorityHintInfo, FileNameInfo, FileRemoteProtocolInfo, FileRenameInfo, FileStandardInfo, FileStorageInfo, FileStreamInfo, FindExInfoBasic, FindExInfoMaxInfoLevel, FindExInfoStandard, FindExSearchLimitToDevices, FindExSearchLimitToDirectories, FindExSearchNameMatch, FORMAT_MESSAGE_ALLOCATE_BUFFER, FORMAT_MESSAGE_ARGUMENT_ARRAY, FORMAT_MESSAGE_FROM_HMODULE, FORMAT_MESSAGE_FROM_STRING, FORMAT_MESSAGE_FROM_SYSTEM, FORMAT_MESSAGE_IGNORE_INSERTS, HANDLE_FLAG_INHERIT, HANDLE_FLAG_PROTECT_FROM_CLOSE, INFINITE, INHERIT_PARENT_AFFINITY, INVALID_FILE_ATTRIBUTES, INVALID_FILE_SIZE, INVALID_HANDLE_VALUE, INVALID_SET_FILE_POINTER, LHND, LMEM_DISCARDABLE, LMEM_DISCARDED, LMEM_FIXED, LMEM_INVALID_HANDLE, LMEM_LOCKCOUNT, LMEM_MODIFY, LMEM_MOVEABLE, LMEM_NOCOMPACT, LMEM_NODISCARD, LMEM_VALID_FLAGS, LMEM_ZEROINIT, LOGON32_LOGON_BATCH, LOGON32_LOGON_INTERACTIVE, LOGON32_LOGON_NETWORK, LOGON32_LOGON_NETWORK_CLEARTEXT, LOGON32_LOGON_NEW_CREDENTIALS, LOGON32_LOGON_SERVICE, LOGON32_LOGON_UNLOCK, LOGON32_PROVIDER_DEFAULT, LOGON32_PROVIDER_WINNT35, LOGON32_PROVIDER_WINNT40, LOGON32_PROVIDER_WINNT50, LPTR, MARKPARITY, MAX_COMPUTERNAME_LENGTH, MOVEFILE_COPY_ALLOWED, MOVEFILE_CREATE_HARDLINK, MOVEFILE_DELAY_UNTIL_REBOOT, MOVEFILE_FAIL_IF_NOT_TRACKABLE, MOVEFILE_REPLACE_EXISTING, MOVEFILE_WRITE_THROUGH, MUTEX_ALL_ACCESS, MUTEX_MODIFY_STATE, NMPWAIT_NOWAIT, NMPWAIT_USE_DEFAULT_WAIT, NMPWAIT_WAIT_FOREVER, NOPARITY, ODDPARITY, ONE5STOPBITS, ONESTOPBIT, OVERWRITE_HIDDEN, PIPE_ACCEPT_REMOTE_CLIENTS, PIPE_ACCESS_DUPLEX, PIPE_ACCESS_INBOUND, PIPE_ACCESS_OUTBOUND, PIPE_CLIENT_END, PIPE_NOWAIT, PIPE_READMODE_BYTE, PIPE_READMODE_MESSAGE, PIPE_REJECT_REMOTE_CLIENTS, PIPE_SERVER_END, PIPE_TYPE_BYTE, PIPE_TYPE_MESSAGE, PIPE_UNLIMITED_INSTANCES, PIPE_WAIT, RTS_CONTROL_DISABLE, RTS_CONTROL_ENABLE, RTS_CONTROL_HANDSHAKE, RTS_CONTROL_TOGGLE, SPACEPARITY, STARTF_FORCEOFFFEEDBACK, STARTF_FORCEONFEEDBACK, STARTF_RUNFULLSCREEN, STARTF_USECOUNTCHARS, STARTF_USEFILLATTRIBUTE, STARTF_USEPOSITION, STARTF_USESHOWWINDOW, STARTF_USESIZE, STARTF_USESTDHANDLES, STILL_ACTIVE, TWOSTOPBITS, WAIT_ABANDONED, WAIT_ABANDONED_0, WAIT_FAILED, WAIT_OBJECT_0`

  ### Fields inherited from interface com.sun.jna.platform.win32.WinDef

  `MAX_PATH`

  ### Fields inherited from interface com.sun.jna.platform.win32.WinError

  `CACHE_E_FIRST, CACHE_E_LAST, CACHE_E_NOCACHE_UPDATED, CACHE_S_FIRST, CACHE_S_FORMATETC_NOTSUPPORTED, CACHE_S_LAST, CACHE_S_SAMECACHE, CACHE_S_SOMECACHES_NOTUPDATED, CAT_E_CATIDNOEXIST, CAT_E_FIRST, CAT_E_LAST, CAT_E_NODESCRIPTION, CERT_E_CHAINING, CERT_E_CN_NO_MATCH, CERT_E_CRITICAL, CERT_E_EXPIRED, CERT_E_INVALID_NAME, CERT_E_INVALID_POLICY, CERT_E_ISSUERCHAINING, CERT_E_MALFORMED, CERT_E_PATHLENCONST, CERT_E_PURPOSE, CERT_E_REVOCATION_FAILURE, CERT_E_REVOKED, CERT_E_ROLE, CERT_E_UNTRUSTEDCA, CERT_E_UNTRUSTEDROOT, CERT_E_UNTRUSTEDTESTROOT, CERT_E_VALIDITYPERIODNESTING, CERT_E_WRONG_USAGE, CERTSRV_E_ALIGNMENT_FAULT, CERTSRV_E_ARCHIVED_KEY_REQUIRED, CERTSRV_E_ARCHIVED_KEY_UNEXPECTED, CERTSRV_E_BAD_RENEWAL_CERT_ATTRIBUTE, CERTSRV_E_BAD_RENEWAL_SUBJECT, CERTSRV_E_BAD_REQUEST_KEY_ARCHIVAL, CERTSRV_E_BAD_REQUESTSTATUS, CERTSRV_E_BAD_REQUESTSUBJECT, CERTSRV_E_BAD_TEMPLATE_VERSION, CERTSRV_E_CERT_TYPE_OVERLAP, CERTSRV_E_DOWNLEVEL_DC_SSL_OR_UPGRADE, CERTSRV_E_ENCODING_LENGTH, CERTSRV_E_ENROLL_DENIED, CERTSRV_E_INVALID_CA_CERTIFICATE, CERTSRV_E_ISSUANCE_POLICY_REQUIRED, CERTSRV_E_KEY_ARCHIVAL_NOT_CONFIGURED, CERTSRV_E_KEY_LENGTH, CERTSRV_E_NO_CAADMIN_DEFINED, CERTSRV_E_NO_CERT_TYPE, CERTSRV_E_NO_DB_SESSIONS, CERTSRV_E_NO_REQUEST, CERTSRV_E_NO_VALID_KRA, CERTSRV_E_PROPERTY_EMPTY, CERTSRV_E_RESTRICTEDOFFICER, CERTSRV_E_ROLECONFLICT, CERTSRV_E_SERVER_SUSPENDED, CERTSRV_E_SIGNATURE_COUNT, CERTSRV_E_SIGNATURE_POLICY_REQUIRED, CERTSRV_E_SIGNATURE_REJECTED, CERTSRV_E_SMIME_REQUIRED, CERTSRV_E_SUBJECT_ALT_NAME_REQUIRED, CERTSRV_E_SUBJECT_DIRECTORY_GUID_REQUIRED, CERTSRV_E_SUBJECT_DNS_REQUIRED, CERTSRV_E_SUBJECT_EMAIL_REQUIRED, CERTSRV_E_SUBJECT_UPN_REQUIRED, CERTSRV_E_TEMPLATE_CONFLICT, CERTSRV_E_TEMPLATE_DENIED, CERTSRV_E_TEMPLATE_POLICY_REQUIRED, CERTSRV_E_TOO_MANY_SIGNATURES, CERTSRV_E_UNKNOWN_CERT_TYPE, CERTSRV_E_UNSUPPORTED_CERT_TYPE, CLASS_E_CLASSNOTAVAILABLE, CLASS_E_NOAGGREGATION, CLASS_E_NOTLICENSED, CLASSFACTORY_E_FIRST, CLASSFACTORY_E_LAST, CLASSFACTORY_S_FIRST, CLASSFACTORY_S_LAST, CLIENTSITE_E_FIRST, CLIENTSITE_E_LAST, CLIENTSITE_S_FIRST, CLIENTSITE_S_LAST, CLIPBRD_E_BAD_DATA, CLIPBRD_E_CANT_CLOSE, CLIPBRD_E_CANT_EMPTY, CLIPBRD_E_CANT_OPEN, CLIPBRD_E_CANT_SET, CLIPBRD_E_FIRST, CLIPBRD_E_LAST, CLIPBRD_S_FIRST, CLIPBRD_S_LAST, CO_E_ACCESSCHECKFAILED, CO_E_ACESINWRONGORDER, CO_E_ACNOTINITIALIZED, CO_E_ACTIVATIONFAILED, CO_E_ACTIVATIONFAILED_CATALOGERROR, CO_E_ACTIVATIONFAILED_EVENTLOGGED, CO_E_ACTIVATIONFAILED_TIMEOUT, CO_E_ALREADYINITIALIZED, CO_E_APPDIDNTREG, CO_E_APPNOTFOUND, CO_E_APPSINGLEUSE, CO_E_ASYNC_WORK_REJECTED, CO_E_ATTEMPT_TO_CREATE_OUTSIDE_CLIENT_CONTEXT, CO_E_BAD_PATH, CO_E_BAD_SERVER_NAME, CO_E_CALL_OUT_OF_TX_SCOPE_NOT_ALLOWED, CO_E_CANCEL_DISABLED, CO_E_CANT_REMOTE, CO_E_CANTDETERMINECLASS, CO_E_CLASS_CREATE_FAILED, CO_E_CLASS_DISABLED, CO_E_CLASSSTRING, CO_E_CLRNOTAVAILABLE, CO_E_CLSREG_INCONSISTENT, CO_E_CONVERSIONFAILED, CO_E_CREATEPROCESS_FAILURE, CO_E_DBERROR, CO_E_DECODEFAILED, CO_E_DLLNOTFOUND, CO_E_ELEVATION_DISABLED, CO_E_ERRORINAPP, CO_E_ERRORINDLL, CO_E_EXCEEDSYSACLLIMIT, CO_E_EXIT_TRANSACTION_SCOPE_NOT_CALLED, CO_E_FAILEDTOCLOSEHANDLE, CO_E_FAILEDTOCREATEFILE, CO_E_FAILEDTOGENUUID, CO_E_FAILEDTOGETSECCTX, CO_E_FAILEDTOGETTOKENINFO, CO_E_FAILEDTOGETWINDIR, CO_E_FAILEDTOIMPERSONATE, CO_E_FAILEDTOOPENPROCESSTOKEN, CO_E_FAILEDTOOPENTHREADTOKEN, CO_E_FAILEDTOQUERYCLIENTBLANKET, CO_E_FAILEDTOSETDACL, CO_E_FIRST, CO_E_IIDREG_INCONSISTENT, CO_E_IIDSTRING, CO_E_INCOMPATIBLESTREAMVERSION, CO_E_INIT_CLASS_CACHE, CO_E_INIT_MEMORY_ALLOCATOR, CO_E_INIT_ONLY_SINGLE_THREADED, CO_E_INIT_RPC_CHANNEL, CO_E_INIT_SCM_EXEC_FAILURE, CO_E_INIT_SCM_FILE_MAPPING_EXISTS, CO_E_INIT_SCM_MAP_VIEW_OF_FILE, CO_E_INIT_SCM_MUTEX_EXISTS, CO_E_INIT_SHARED_ALLOCATOR, CO_E_INIT_TLS, CO_E_INIT_TLS_CHANNEL_CONTROL, CO_E_INIT_TLS_SET_CHANNEL_CONTROL, CO_E_INIT_UNACCEPTED_USER_ALLOCATOR, CO_E_INITIALIZATIONFAILED, CO_E_INVALIDSID, CO_E_ISOLEVELMISMATCH, CO_E_LAST, CO_E_LAUNCH_PERMSSION_DENIED, CO_E_LOOKUPACCNAMEFAILED, CO_E_LOOKUPACCSIDFAILED, CO_E_MALFORMED_SPN, CO_E_MISSING_DISPLAYNAME, CO_E_MSI_ERROR, CO_E_NETACCESSAPIFAILED, CO_E_NO_SECCTX_IN_ACTIVATE, CO_E_NOCOOKIES, CO_E_NOIISINTRINSICS, CO_E_NOMATCHINGNAMEFOUND, CO_E_NOMATCHINGSIDFOUND, CO_E_NOSYNCHRONIZATION, CO_E_NOT_SUPPORTED, CO_E_NOTCONSTRUCTED, CO_E_NOTINITIALIZED, CO_E_NOTPOOLED, CO_E_OBJISREG, CO_E_OBJNOTCONNECTED, CO_E_OBJNOTREG, CO_E_OBJSRV_RPC_FAILURE, CO_E_OLE1DDE_DISABLED, CO_E_PATHTOOLONG, CO_E_RELEASED, CO_E_RELOAD_DLL, CO_E_REMOTE_COMMUNICATION_FAILURE, CO_E_RUNAS_CREATEPROCESS_FAILURE, CO_E_RUNAS_LOGON_FAILURE, CO_E_RUNAS_SYNTAX, CO_E_RUNAS_VALUE_MUST_BE_AAA, CO_E_SCM_ERROR, CO_E_SCM_RPC_FAILURE, CO_E_SERVER_EXEC_FAILURE, CO_E_SERVER_INIT_TIMEOUT, CO_E_SERVER_NOT_PAUSED, CO_E_SERVER_PAUSED, CO_E_SERVER_START_TIMEOUT, CO_E_SERVER_STOPPING, CO_E_SETSERLHNDLFAILED, CO_E_START_SERVICE_FAILURE, CO_E_SXS_CONFIG, CO_E_THREADINGMODEL_CHANGED, CO_E_THREADPOOL_CONFIG, CO_E_TRACKER_CONFIG, CO_E_TRUSTEEDOESNTMATCHCLIENT, CO_E_WRONG_SERVER_IDENTITY, CO_E_WRONGOSFORAPP, CO_E_WRONGTRUSTEENAMESYNTAX, CO_S_FIRST, CO_S_LAST, CO_S_MACHINENAMENOTFOUND, CO_S_NOTALLINTERFACES, COMADMIN_E_ALREADYINSTALLED, COMADMIN_E_AMBIGUOUS_APPLICATION_NAME, COMADMIN_E_AMBIGUOUS_PARTITION_NAME, COMADMIN_E_APP_FILE_READFAIL, COMADMIN_E_APP_FILE_VERSION, COMADMIN_E_APP_FILE_WRITEFAIL, COMADMIN_E_APP_NOT_RUNNING, COMADMIN_E_APPDIRNOTFOUND, COMADMIN_E_APPLICATIONEXISTS, COMADMIN_E_APPLID_MATCHES_CLSID, COMADMIN_E_AUTHENTICATIONLEVEL, COMADMIN_E_BADPATH, COMADMIN_E_BADREGISTRYLIBID, COMADMIN_E_BADREGISTRYPROGID, COMADMIN_E_BASE_PARTITION_ONLY, COMADMIN_E_BASEPARTITION_REQUIRED_IN_SET, COMADMIN_E_CAN_NOT_EXPORT_APP_PROXY, COMADMIN_E_CAN_NOT_EXPORT_SYS_APP, COMADMIN_E_CAN_NOT_START_APP, COMADMIN_E_CANNOT_ALIAS_EVENTCLASS, COMADMIN_E_CANT_SUBSCRIBE_TO_COMPONENT, COMADMIN_E_CANTCOPYFILE, COMADMIN_E_CANTMAKEINPROCSERVICE, COMADMIN_E_CANTRECYCLELIBRARYAPPS, COMADMIN_E_CANTRECYCLESERVICEAPPS, COMADMIN_E_CAT_BITNESSMISMATCH, COMADMIN_E_CAT_DUPLICATE_PARTITION_NAME, COMADMIN_E_CAT_IMPORTED_COMPONENTS_NOT_ALLOWED, COMADMIN_E_CAT_INVALID_PARTITION_NAME, COMADMIN_E_CAT_PARTITION_IN_USE, COMADMIN_E_CAT_PAUSE_RESUME_NOT_SUPPORTED, COMADMIN_E_CAT_SERVERFAULT, COMADMIN_E_CAT_UNACCEPTABLEBITNESS, COMADMIN_E_CAT_WRONGAPPBITNESS, COMADMIN_E_CLSIDORIIDMISMATCH, COMADMIN_E_COMP_MOVE_BAD_DEST, COMADMIN_E_COMP_MOVE_DEST, COMADMIN_E_COMP_MOVE_LOCKED, COMADMIN_E_COMP_MOVE_PRIVATE, COMADMIN_E_COMP_MOVE_SOURCE, COMADMIN_E_COMPFILE_BADTLB, COMADMIN_E_COMPFILE_CLASSNOTAVAIL, COMADMIN_E_COMPFILE_DOESNOTEXIST, COMADMIN_E_COMPFILE_GETCLASSOBJ, COMADMIN_E_COMPFILE_LOADDLLFAIL, COMADMIN_E_COMPFILE_NOREGISTRAR, COMADMIN_E_COMPFILE_NOTINSTALLABLE, COMADMIN_E_COMPONENTEXISTS, COMADMIN_E_COREQCOMPINSTALLED, COMADMIN_E_DEFAULT_PARTITION_NOT_IN_SET, COMADMIN_E_DLLLOADFAILED, COMADMIN_E_DLLREGISTERSERVER, COMADMIN_E_EVENTCLASS_CANT_BE_SUBSCRIBER, COMADMIN_E_FILE_PARTITION_DUPLICATE_FILES, COMADMIN_E_INVALID_PARTITION, COMADMIN_E_INVALIDUSERIDS, COMADMIN_E_KEYMISSING, COMADMIN_E_LEGACYCOMPS_NOT_ALLOWED_IN_1_0_FORMAT, COMADMIN_E_LEGACYCOMPS_NOT_ALLOWED_IN_NONBASE_PARTITIONS, COMADMIN_E_LIB_APP_PROXY_INCOMPATIBLE, COMADMIN_E_MIG_SCHEMANOTFOUND, COMADMIN_E_MIG_VERSIONNOTSUPPORTED, COMADMIN_E_NOREGISTRYCLSID, COMADMIN_E_NOSERVERSHARE, COMADMIN_E_NOTCHANGEABLE, COMADMIN_E_NOTDELETEABLE, COMADMIN_E_NOTINREGISTRY, COMADMIN_E_NOUSER, COMADMIN_E_OBJECT_DOES_NOT_EXIST, COMADMIN_E_OBJECT_PARENT_MISSING, COMADMIN_E_OBJECTERRORS, COMADMIN_E_OBJECTEXISTS, COMADMIN_E_OBJECTINVALID, COMADMIN_E_OBJECTNOTPOOLABLE, COMADMIN_E_PARTITION_ACCESSDENIED, COMADMIN_E_PARTITION_MSI_ONLY, COMADMIN_E_PARTITIONS_DISABLED, COMADMIN_E_PAUSEDPROCESSMAYNOTBERECYCLED, COMADMIN_E_PRIVATE_ACCESSDENIED, COMADMIN_E_PROCESSALREADYRECYCLED, COMADMIN_E_PROGIDINUSEBYCLSID, COMADMIN_E_PROPERTY_OVERFLOW, COMADMIN_E_PROPERTYSAVEFAILED, COMADMIN_E_RECYCLEDPROCESSMAYNOTBEPAUSED, COMADMIN_E_REGDB_ALREADYRUNNING, COMADMIN_E_REGDB_NOTINITIALIZED, COMADMIN_E_REGDB_NOTOPEN, COMADMIN_E_REGDB_SYSTEMERR, COMADMIN_E_REGFILE_CORRUPT, COMADMIN_E_REGISTERTLB, COMADMIN_E_REGISTRARFAILED, COMADMIN_E_REGISTRY_ACCESSDENIED, COMADMIN_E_REMOTEINTERFACE, COMADMIN_E_REQUIRES_DIFFERENT_PLATFORM, COMADMIN_E_ROLE_DOES_NOT_EXIST, COMADMIN_E_ROLEEXISTS, COMADMIN_E_SAFERINVALID, COMADMIN_E_SERVICENOTINSTALLED, COMADMIN_E_SESSION, COMADMIN_E_START_APP_DISABLED, COMADMIN_E_START_APP_NEEDS_COMPONENTS, COMADMIN_E_SVCAPP_NOT_POOLABLE_OR_RECYCLABLE, COMADMIN_E_SYSTEMAPP, COMADMIN_E_USER_IN_SET, COMADMIN_E_USERPASSWDNOTVALID, COMQC_E_APPLICATION_NOT_QUEUED, COMQC_E_BAD_MESSAGE, COMQC_E_NO_IPERSISTSTREAM, COMQC_E_NO_QUEUEABLE_INTERFACES, COMQC_E_QUEUING_SERVICE_NOT_AVAILABLE, COMQC_E_UNAUTHENTICATED, COMQC_E_UNTRUSTED_ENQUEUER, CONTEXT_E_ABORTED, CONTEXT_E_ABORTING, CONTEXT_E_FIRST, CONTEXT_E_LAST, CONTEXT_E_NOCONTEXT, CONTEXT_E_NOJIT, CONTEXT_E_NOTRANSACTION, CONTEXT_E_OLDREF, CONTEXT_E_ROLENOTFOUND, CONTEXT_E_SYNCH_TIMEOUT, CONTEXT_E_TMNOTAVAILABLE, CONTEXT_E_WOULD_DEADLOCK, CONTEXT_S_FIRST, CONTEXT_S_LAST, CONVERT10_E_FIRST, CONVERT10_E_LAST, CONVERT10_E_OLESTREAM_BITMAP_TO_DIB, CONVERT10_E_OLESTREAM_FMT, CONVERT10_E_OLESTREAM_GET, CONVERT10_E_OLESTREAM_PUT, CONVERT10_E_STG_DIB_TO_BITMAP, CONVERT10_E_STG_FMT, CONVERT10_E_STG_NO_STD_STREAM, CONVERT10_S_FIRST, CONVERT10_S_LAST, CONVERT10_S_NO_PRESENTATION, CRYPT_E_ALREADY_DECRYPTED, CRYPT_E_ASN1_BADARGS, CRYPT_E_ASN1_BADPDU, CRYPT_E_ASN1_BADREAL, CRYPT_E_ASN1_BADTAG, CRYPT_E_ASN1_CHOICE, CRYPT_E_ASN1_CONSTRAINT, CRYPT_E_ASN1_CORRUPT, CRYPT_E_ASN1_EOD, CRYPT_E_ASN1_ERROR, CRYPT_E_ASN1_EXTENDED, CRYPT_E_ASN1_INTERNAL, CRYPT_E_ASN1_LARGE, CRYPT_E_ASN1_MEMORY, CRYPT_E_ASN1_NOEOD, CRYPT_E_ASN1_NYI, CRYPT_E_ASN1_OVERFLOW, CRYPT_E_ASN1_PDU_TYPE, CRYPT_E_ASN1_RULE, CRYPT_E_ASN1_UTF8, CRYPT_E_ATTRIBUTES_MISSING, CRYPT_E_AUTH_ATTR_MISSING, CRYPT_E_BAD_ENCODE, CRYPT_E_BAD_LEN, CRYPT_E_BAD_MSG, CRYPT_E_CONTROL_TYPE, CRYPT_E_DELETED_PREV, CRYPT_E_EXISTS, CRYPT_E_FILE_ERROR, CRYPT_E_FILERESIZED, CRYPT_E_HASH_VALUE, CRYPT_E_INVALID_IA5_STRING, CRYPT_E_INVALID_INDEX, CRYPT_E_INVALID_MSG_TYPE, CRYPT_E_INVALID_NUMERIC_STRING, CRYPT_E_INVALID_PRINTABLE_STRING, CRYPT_E_INVALID_X500_STRING, CRYPT_E_ISSUER_SERIALNUMBER, CRYPT_E_MISSING_PUBKEY_PARA, CRYPT_E_MSG_ERROR, CRYPT_E_NO_DECRYPT_CERT, CRYPT_E_NO_KEY_PROPERTY, CRYPT_E_NO_MATCH, CRYPT_E_NO_PROVIDER, CRYPT_E_NO_REVOCATION_CHECK, CRYPT_E_NO_REVOCATION_DLL, CRYPT_E_NO_SIGNER, CRYPT_E_NO_TRUSTED_SIGNER, CRYPT_E_NO_VERIFY_USAGE_CHECK, CRYPT_E_NO_VERIFY_USAGE_DLL, CRYPT_E_NOT_CHAR_STRING, CRYPT_E_NOT_DECRYPTED, CRYPT_E_NOT_FOUND, CRYPT_E_NOT_IN_CTL, CRYPT_E_NOT_IN_REVOCATION_DATABASE, CRYPT_E_OID_FORMAT, CRYPT_E_OSS_ERROR, CRYPT_E_PENDING_CLOSE, CRYPT_E_RECIPIENT_NOT_FOUND, CRYPT_E_REVOCATION_OFFLINE, CRYPT_E_REVOKED, CRYPT_E_SECURITY_SETTINGS, CRYPT_E_SELF_SIGNED, CRYPT_E_SIGNER_NOT_FOUND, CRYPT_E_STREAM_INSUFFICIENT_DATA, CRYPT_E_STREAM_MSG_NOT_READY, CRYPT_E_UNEXPECTED_ENCODING, CRYPT_E_UNEXPECTED_MSG_TYPE, CRYPT_E_UNKNOWN_ALGO, CRYPT_E_VERIFY_USAGE_OFFLINE, CRYPT_I_NEW_PROTECTION_REQUIRED, CS_E_ADMIN_LIMIT_EXCEEDED, CS_E_CLASS_NOTFOUND, CS_E_FIRST, CS_E_INTERNAL_ERROR, CS_E_INVALID_PATH, CS_E_INVALID_VERSION, CS_E_LAST, CS_E_NETWORK_ERROR, CS_E_NO_CLASSSTORE, CS_E_NOT_DELETABLE, CS_E_OBJECT_ALREADY_EXISTS, CS_E_OBJECT_NOTFOUND, CS_E_PACKAGE_NOTFOUND, CS_E_SCHEMA_MISMATCH, DATA_E_FIRST, DATA_E_LAST, DATA_S_FIRST, DATA_S_LAST, DATA_S_SAMEFORMATETC, DIGSIG_E_CRYPTO, DIGSIG_E_DECODE, DIGSIG_E_ENCODE, DIGSIG_E_EXTENSIBILITY, DISP_E_ARRAYISLOCKED, DISP_E_BADCALLEE, DISP_E_BADINDEX, DISP_E_BADPARAMCOUNT, DISP_E_BADVARTYPE, DISP_E_BUFFERTOOSMALL, DISP_E_DIVBYZERO, DISP_E_EXCEPTION, DISP_E_MEMBERNOTFOUND, DISP_E_NONAMEDARGS, DISP_E_NOTACOLLECTION, DISP_E_OVERFLOW, DISP_E_PARAMNOTFOUND, DISP_E_PARAMNOTOPTIONAL, DISP_E_TYPEMISMATCH, DISP_E_UNKNOWNINTERFACE, DISP_E_UNKNOWNLCID, DISP_E_UNKNOWNNAME, DNS_ERROR_ALIAS_LOOP, DNS_ERROR_AUTOZONE_ALREADY_EXISTS, DNS_ERROR_AXFR, DNS_ERROR_BACKGROUND_LOADING, DNS_ERROR_BAD_PACKET, DNS_ERROR_CANNOT_FIND_ROOT_HINTS, DNS_ERROR_CNAME_COLLISION, DNS_ERROR_CNAME_LOOP, DNS_ERROR_DATABASE_BASE, DNS_ERROR_DATAFILE_BASE, DNS_ERROR_DATAFILE_OPEN_FAILURE, DNS_ERROR_DATAFILE_PARSING, DNS_ERROR_DNAME_COLLISION, DNS_ERROR_DP_ALREADY_ENLISTED, DNS_ERROR_DP_ALREADY_EXISTS, DNS_ERROR_DP_BASE, DNS_ERROR_DP_DOES_NOT_EXIST, DNS_ERROR_DP_FSMO_ERROR, DNS_ERROR_DP_NOT_AVAILABLE, DNS_ERROR_DP_NOT_ENLISTED, DNS_ERROR_DS_UNAVAILABLE, DNS_ERROR_DS_ZONE_ALREADY_EXISTS, DNS_ERROR_DWORD_VALUE_TOO_LARGE, DNS_ERROR_DWORD_VALUE_TOO_SMALL, DNS_ERROR_FILE_WRITEBACK_FAILED, DNS_ERROR_FORWARDER_ALREADY_EXISTS, DNS_ERROR_GENERAL_API_BASE, DNS_ERROR_INCONSISTENT_ROOT_HINTS, DNS_ERROR_INVALID_DATA, DNS_ERROR_INVALID_DATAFILE_NAME, DNS_ERROR_INVALID_IP_ADDRESS, DNS_ERROR_INVALID_NAME, DNS_ERROR_INVALID_NAME_CHAR, DNS_ERROR_INVALID_PROPERTY, DNS_ERROR_INVALID_TYPE, DNS_ERROR_INVALID_ZONE_OPERATION, DNS_ERROR_INVALID_ZONE_TYPE, DNS_ERROR_MASK, DNS_ERROR_NAME_DOES_NOT_EXIST, DNS_ERROR_NAME_NOT_IN_ZONE, DNS_ERROR_NBSTAT_INIT_FAILED, DNS_ERROR_NEED_SECONDARY_ADDRESSES, DNS_ERROR_NEED_WINS_SERVERS, DNS_ERROR_NO_BOOTFILE_IF_DS_ZONE, DNS_ERROR_NO_CREATE_CACHE_DATA, DNS_ERROR_NO_DNS_SERVERS, DNS_ERROR_NO_MEMORY, DNS_ERROR_NO_PACKET, DNS_ERROR_NO_TCPIP, DNS_ERROR_NO_ZONE_INFO, DNS_ERROR_NODE_CREATION_FAILED, DNS_ERROR_NODE_IS_CNAME, DNS_ERROR_NODE_IS_DNAME, DNS_ERROR_NON_RFC_NAME, DNS_ERROR_NOT_ALLOWED_ON_RODC, DNS_ERROR_NOT_ALLOWED_ON_ROOT_SERVER, DNS_ERROR_NOT_ALLOWED_UNDER_DELEGATION, DNS_ERROR_NOT_ALLOWED_UNDER_DNAME, DNS_ERROR_NOT_UNIQUE, DNS_ERROR_NUMERIC_NAME, DNS_ERROR_OPERATION_BASE, DNS_ERROR_PACKET_FMT_BASE, DNS_ERROR_PRIMARY_REQUIRES_DATAFILE, DNS_ERROR_RCODE, DNS_ERROR_RCODE_BADKEY, DNS_ERROR_RCODE_BADSIG, DNS_ERROR_RCODE_BADTIME, DNS_ERROR_RCODE_FORMAT_ERROR, DNS_ERROR_RCODE_LAST, DNS_ERROR_RCODE_NAME_ERROR, DNS_ERROR_RCODE_NO_ERROR, DNS_ERROR_RCODE_NOT_IMPLEMENTED, DNS_ERROR_RCODE_NOTAUTH, DNS_ERROR_RCODE_NOTZONE, DNS_ERROR_RCODE_NXRRSET, DNS_ERROR_RCODE_REFUSED, DNS_ERROR_RCODE_SERVER_FAILURE, DNS_ERROR_RCODE_YXDOMAIN, DNS_ERROR_RCODE_YXRRSET, DNS_ERROR_RECORD_ALREADY_EXISTS, DNS_ERROR_RECORD_DOES_NOT_EXIST, DNS_ERROR_RECORD_FORMAT, DNS_ERROR_RECORD_ONLY_AT_ZONE_ROOT, DNS_ERROR_RECORD_TIMED_OUT, DNS_ERROR_RESPONSE_CODES_BASE, DNS_ERROR_SECONDARY_DATA, DNS_ERROR_SECONDARY_REQUIRES_MASTER_IP, DNS_ERROR_SECURE_BASE, DNS_ERROR_SETUP_BASE, DNS_ERROR_SOA_DELETE_INVALID, DNS_ERROR_TRY_AGAIN_LATER, DNS_ERROR_UNKNOWN_RECORD_TYPE, DNS_ERROR_UNSECURE_PACKET, DNS_ERROR_WINS_INIT_FAILED, DNS_ERROR_ZONE_ALREADY_EXISTS, DNS_ERROR_ZONE_BASE, DNS_ERROR_ZONE_CONFIGURATION_ERROR, DNS_ERROR_ZONE_CREATION_FAILED, DNS_ERROR_ZONE_DOES_NOT_EXIST, DNS_ERROR_ZONE_HAS_NO_NS_RECORDS, DNS_ERROR_ZONE_HAS_NO_SOA_RECORD, DNS_ERROR_ZONE_IS_SHUTDOWN, DNS_ERROR_ZONE_LOCKED, DNS_ERROR_ZONE_NOT_SECONDARY, DNS_ERROR_ZONE_REQUIRES_MASTER_IP, DNS_INFO_ADDED_LOCAL_WINS, DNS_INFO_AXFR_COMPLETE, DNS_INFO_NO_RECORDS, DNS_STATUS_CONTINUE_NEEDED, DNS_STATUS_DOTTED_NAME, DNS_STATUS_FQDN, DNS_STATUS_PACKET_UNSECURE, DNS_STATUS_SINGLE_PART_NAME, DNS_WARNING_DOMAIN_UNDELETED, DNS_WARNING_PTR_CREATE_FAILED, DRAGDROP_E_ALREADYREGISTERED, DRAGDROP_E_FIRST, DRAGDROP_E_INVALIDHWND, DRAGDROP_E_LAST, DRAGDROP_E_NOTREGISTERED, DRAGDROP_S_CANCEL, DRAGDROP_S_DROP, DRAGDROP_S_FIRST, DRAGDROP_S_LAST, DRAGDROP_S_USEDEFAULTCURSORS, DS_S_SUCCESS, DV_E_CLIPFORMAT, DV_E_DVASPECT, DV_E_DVTARGETDEVICE, DV_E_DVTARGETDEVICE_SIZE, DV_E_FORMATETC, DV_E_LINDEX, DV_E_NOIVIEWOBJECT, DV_E_STATDATA, DV_E_STGMEDIUM, DV_E_TYMED, DWM_E_COMPOSITIONDISABLED, DWM_E_NO_REDIRECTION_SURFACE_AVAILABLE, DWM_E_NOT_QUEUING_PRESENTS, DWM_E_REMOTING_NOT_SUPPORTED, E_ABORT, E_ACCESSDENIED, E_FAIL, E_HANDLE, E_INVALIDARG, E_NOINTERFACE, E_NOTIMPL, E_OUTOFMEMORY, E_PENDING, E_POINTER, E_UNEXPECTED, ENUM_E_FIRST, ENUM_E_LAST, ENUM_S_FIRST, ENUM_S_LAST, EPT_S_CANT_CREATE, EPT_S_CANT_PERFORM_OP, EPT_S_INVALID_ENTRY, EPT_S_NOT_REGISTERED, ERROR_ABANDON_HIBERFILE, ERROR_ABANDONED_WAIT_0, ERROR_ABANDONED_WAIT_63, ERROR_ABIOS_ERROR, ERROR_ACCESS_AUDIT_BY_POLICY, ERROR_ACCESS_DENIED, ERROR_ACCESS_DISABLED_BY_POLICY, ERROR_ACCESS_DISABLED_NO_SAFER_UI_BY_POLICY, ERROR_ACCESS_DISABLED_WEBBLADE, ERROR_ACCESS_DISABLED_WEBBLADE_TAMPER, ERROR_ACCOUNT_DISABLED, ERROR_ACCOUNT_EXPIRED, ERROR_ACCOUNT_LOCKED_OUT, ERROR_ACCOUNT_RESTRICTION, ERROR_ACPI_ERROR, ERROR_ACTIVATION_COUNT_EXCEEDED, ERROR_ACTIVE_CONNECTIONS, ERROR_ADAP_HDW_ERR, ERROR_ADDRESS_ALREADY_ASSOCIATED, ERROR_ADDRESS_NOT_ASSOCIATED, ERROR_ADVANCED_INSTALLER_FAILED, ERROR_ALERTED, ERROR_ALIAS_EXISTS, ERROR_ALL_NODES_NOT_AVAILABLE, ERROR_ALL_SIDS_FILTERED, ERROR_ALL_USER_TRUST_QUOTA_EXCEEDED, ERROR_ALLOCATE_BUCKET, ERROR_ALLOTTED_SPACE_EXCEEDED, ERROR_ALREADY_ASSIGNED, ERROR_ALREADY_EXISTS, ERROR_ALREADY_FIBER, ERROR_ALREADY_INITIALIZED, ERROR_ALREADY_REGISTERED, ERROR_ALREADY_RUNNING_LKG, ERROR_ALREADY_THREAD, ERROR_ALREADY_WAITING, ERROR_ALREADY_WIN32, ERROR_AMBIGUOUS_SYSTEM_DEVICE, ERROR_APP_INIT_FAILURE, ERROR_APP_WRONG_OS, ERROR_APPHELP_BLOCK, ERROR_ARBITRATION_UNHANDLED, ERROR_ARENA_TRASHED, ERROR_ARITHMETIC_OVERFLOW, ERROR_ASSERTION_FAILURE, ERROR_ATOMIC_LOCKS_NOT_SUPPORTED, ERROR_AUDIT_FAILED, ERROR_AUDITING_DISABLED, ERROR_AUTHENTICATION_FIREWALL_FAILED, ERROR_AUTHIP_FAILURE, ERROR_AUTODATASEG_EXCEEDS_64k, ERROR_BACKUP_CONTROLLER, ERROR_BAD_ACCESSOR_FLAGS, ERROR_BAD_ARGUMENTS, ERROR_BAD_CLUSTERS, ERROR_BAD_COMMAND, ERROR_BAD_COMPRESSION_BUFFER, ERROR_BAD_CONFIGURATION, ERROR_BAD_CURRENT_DIRECTORY, ERROR_BAD_DESCRIPTOR_FORMAT, ERROR_BAD_DEV_TYPE, ERROR_BAD_DEVICE, ERROR_BAD_DLL_ENTRYPOINT, ERROR_BAD_DRIVER, ERROR_BAD_DRIVER_LEVEL, ERROR_BAD_ENVIRONMENT, ERROR_BAD_EXE_FORMAT, ERROR_BAD_FILE_TYPE, ERROR_BAD_FORMAT, ERROR_BAD_FUNCTION_TABLE, ERROR_BAD_IMPERSONATION_LEVEL, ERROR_BAD_INHERITANCE_ACL, ERROR_BAD_LENGTH, ERROR_BAD_LOGON_SESSION_STATE, ERROR_BAD_MCFG_TABLE, ERROR_BAD_NET_NAME, ERROR_BAD_NET_RESP, ERROR_BAD_NETPATH, ERROR_BAD_PATHNAME, ERROR_BAD_PIPE, ERROR_BAD_PROFILE, ERROR_BAD_PROVIDER, ERROR_BAD_QUERY_SYNTAX, ERROR_BAD_RECOVERY_POLICY, ERROR_BAD_REM_ADAP, ERROR_BAD_SERVICE_ENTRYPOINT, ERROR_BAD_STACK, ERROR_BAD_THREADID_ADDR, ERROR_BAD_TOKEN_TYPE, ERROR_BAD_UNIT, ERROR_BAD_USER_PROFILE, ERROR_BAD_USERNAME, ERROR_BAD_VALIDATION_CLASS, ERROR_BADDB, ERROR_BADKEY, ERROR_BADSTARTPOSITION, ERROR_BEGINNING_OF_MEDIA, ERROR_BEYOND_VDL, ERROR_BIOS_FAILED_TO_CONNECT_INTERRUPT, ERROR_BIZRULES_NOT_ENABLED, ERROR_BOOT_ALREADY_ACCEPTED, ERROR_BROKEN_PIPE, ERROR_BUFFER_ALL_ZEROS, ERROR_BUFFER_OVERFLOW, ERROR_BUS_RESET, ERROR_BUSY, ERROR_BUSY_DRIVE, ERROR_CACHE_PAGE_LOCKED, ERROR_CALL_NOT_IMPLEMENTED, ERROR_CALLBACK_POP_STACK, ERROR_CALLBACK_SUPPLIED_INVALID_DATA, ERROR_CAN_NOT_COMPLETE, ERROR_CAN_NOT_DEL_LOCAL_WINS, ERROR_CANCEL_VIOLATION, ERROR_CANCELLED, ERROR_CANNOT_ABORT_TRANSACTIONS, ERROR_CANNOT_ACCEPT_TRANSACTED_WORK, ERROR_CANNOT_COPY, ERROR_CANNOT_DETECT_DRIVER_FAILURE, ERROR_CANNOT_DETECT_PROCESS_ABORT, ERROR_CANNOT_EXECUTE_FILE_IN_TRANSACTION, ERROR_CANNOT_FIND_WND_CLASS, ERROR_CANNOT_IMPERSONATE, ERROR_CANNOT_LOAD_REGISTRY_FILE, ERROR_CANNOT_MAKE, ERROR_CANNOT_OPEN_PROFILE, ERROR_CANT_ACCESS_DOMAIN_INFO, ERROR_CANT_ACCESS_FILE, ERROR_CANT_BREAK_TRANSACTIONAL_DEPENDENCY, ERROR_CANT_CREATE_MORE_STREAM_MINIVERSIONS, ERROR_CANT_CROSS_RM_BOUNDARY, ERROR_CANT_DELETE_LAST_ITEM, ERROR_CANT_DISABLE_MANDATORY, ERROR_CANT_ENABLE_DENY_ONLY, ERROR_CANT_EVICT_ACTIVE_NODE, ERROR_CANT_OPEN_ANONYMOUS, ERROR_CANT_OPEN_MINIVERSION_WITH_MODIFY_INTENT, ERROR_CANT_RECOVER_WITH_HANDLE_OPEN, ERROR_CANT_RESOLVE_FILENAME, ERROR_CANT_TERMINATE_SELF, ERROR_CANT_WAIT, ERROR_CANTFETCHBACKWARDS, ERROR_CANTOPEN, ERROR_CANTREAD, ERROR_CANTSCROLLBACKWARDS, ERROR_CANTWRITE, ERROR_CARDBUS_NOT_SUPPORTED, ERROR_CHECKING_FILE_SYSTEM, ERROR_CHECKOUT_REQUIRED, ERROR_CHILD_MUST_BE_VOLATILE, ERROR_CHILD_NOT_COMPLETE, ERROR_CHILD_WINDOW_MENU, ERROR_CIRCULAR_DEPENDENCY, ERROR_CLASS_ALREADY_EXISTS, ERROR_CLASS_DOES_NOT_EXIST, ERROR_CLASS_HAS_WINDOWS, ERROR_CLEANER_CARTRIDGE_INSTALLED, ERROR_CLEANER_CARTRIDGE_SPENT, ERROR_CLEANER_SLOT_NOT_SET, ERROR_CLEANER_SLOT_SET, ERROR_CLIENT_SERVER_PARAMETERS_INVALID, ERROR_CLIPBOARD_NOT_OPEN, ERROR_CLIPPING_NOT_SUPPORTED, ERROR_CLUSCFG_ALREADY_COMMITTED, ERROR_CLUSCFG_ROLLBACK_FAILED, ERROR_CLUSCFG_SYSTEM_DISK_DRIVE_LETTER_CONFLICT, ERROR_CLUSTER_CANT_CREATE_DUP_CLUSTER_NAME, ERROR_CLUSTER_CANT_DESERIALIZE_DATA, ERROR_CLUSTER_DATABASE_SEQMISMATCH, ERROR_CLUSTER_DATABASE_TRANSACTION_IN_PROGRESS, ERROR_CLUSTER_DATABASE_TRANSACTION_NOT_IN_PROGRESS, ERROR_CLUSTER_EVICT_WITHOUT_CLEANUP, ERROR_CLUSTER_GROUP_MOVING, ERROR_CLUSTER_GUM_NOT_LOCKER, ERROR_CLUSTER_INCOMPATIBLE_VERSIONS, ERROR_CLUSTER_INSTANCE_ID_MISMATCH, ERROR_CLUSTER_INTERNAL_INVALID_FUNCTION, ERROR_CLUSTER_INVALID_IPV6_NETWORK, ERROR_CLUSTER_INVALID_IPV6_TUNNEL_NETWORK, ERROR_CLUSTER_INVALID_NETWORK, ERROR_CLUSTER_INVALID_NETWORK_PROVIDER, ERROR_CLUSTER_INVALID_NODE, ERROR_CLUSTER_INVALID_REQUEST, ERROR_CLUSTER_INVALID_STRING_FORMAT, ERROR_CLUSTER_INVALID_STRING_TERMINATION, ERROR_CLUSTER_IPADDR_IN_USE, ERROR_CLUSTER_JOIN_ABORTED, ERROR_CLUSTER_JOIN_IN_PROGRESS, ERROR_CLUSTER_JOIN_NOT_IN_PROGRESS, ERROR_CLUSTER_LAST_INTERNAL_NETWORK, ERROR_CLUSTER_LOCAL_NODE_NOT_FOUND, ERROR_CLUSTER_MAXNUM_OF_RESOURCES_EXCEEDED, ERROR_CLUSTER_MEMBERSHIP_HALT, ERROR_CLUSTER_MEMBERSHIP_INVALID_STATE, ERROR_CLUSTER_MISMATCHED_COMPUTER_ACCT_NAME, ERROR_CLUSTER_NETINTERFACE_EXISTS, ERROR_CLUSTER_NETINTERFACE_NOT_FOUND, ERROR_CLUSTER_NETWORK_ALREADY_OFFLINE, ERROR_CLUSTER_NETWORK_ALREADY_ONLINE, ERROR_CLUSTER_NETWORK_EXISTS, ERROR_CLUSTER_NETWORK_HAS_DEPENDENTS, ERROR_CLUSTER_NETWORK_NOT_FOUND, ERROR_CLUSTER_NETWORK_NOT_FOUND_FOR_IP, ERROR_CLUSTER_NETWORK_NOT_INTERNAL, ERROR_CLUSTER_NO_NET_ADAPTERS, ERROR_CLUSTER_NO_QUORUM, ERROR_CLUSTER_NO_RPC_PACKAGES_REGISTERED, ERROR_CLUSTER_NO_SECURITY_CONTEXT, ERROR_CLUSTER_NODE_ALREADY_DOWN, ERROR_CLUSTER_NODE_ALREADY_HAS_DFS_ROOT, ERROR_CLUSTER_NODE_ALREADY_MEMBER, ERROR_CLUSTER_NODE_ALREADY_UP, ERROR_CLUSTER_NODE_DOWN, ERROR_CLUSTER_NODE_EXISTS, ERROR_CLUSTER_NODE_NOT_FOUND, ERROR_CLUSTER_NODE_NOT_MEMBER, ERROR_CLUSTER_NODE_NOT_PAUSED, ERROR_CLUSTER_NODE_NOT_READY, ERROR_CLUSTER_NODE_PAUSED, ERROR_CLUSTER_NODE_SHUTTING_DOWN, ERROR_CLUSTER_NODE_UNREACHABLE, ERROR_CLUSTER_NODE_UP, ERROR_CLUSTER_NOT_INSTALLED, ERROR_CLUSTER_NULL_DATA, ERROR_CLUSTER_OLD_VERSION, ERROR_CLUSTER_OWNER_NOT_IN_PREFLIST, ERROR_CLUSTER_PARAMETER_MISMATCH, ERROR_CLUSTER_PARAMETER_OUT_OF_BOUNDS, ERROR_CLUSTER_PARTIAL_READ, ERROR_CLUSTER_PARTIAL_SEND, ERROR_CLUSTER_PARTIAL_WRITE, ERROR_CLUSTER_POISONED, ERROR_CLUSTER_PROPERTY_DATA_TYPE_MISMATCH, ERROR_CLUSTER_QUORUMLOG_NOT_FOUND, ERROR_CLUSTER_REGISTRY_INVALID_FUNCTION, ERROR_CLUSTER_RESNAME_NOT_FOUND, ERROR_CLUSTER_RESOURCE_TYPE_BUSY, ERROR_CLUSTER_RESOURCE_TYPE_NOT_FOUND, ERROR_CLUSTER_RESOURCES_MUST_BE_ONLINE_ON_THE_SAME_NODE, ERROR_CLUSTER_RESTYPE_NOT_SUPPORTED, ERROR_CLUSTER_RHS_FAILED_INITIALIZATION, ERROR_CLUSTER_SHUTTING_DOWN, ERROR_CLUSTER_SYSTEM_CONFIG_CHANGED, ERROR_CLUSTER_WRONG_OS_VERSION, ERROR_CLUSTERLOG_CHKPOINT_NOT_FOUND, ERROR_CLUSTERLOG_CORRUPT, ERROR_CLUSTERLOG_EXCEEDS_MAXSIZE, ERROR_CLUSTERLOG_NOT_ENOUGH_SPACE, ERROR_CLUSTERLOG_RECORD_EXCEEDS_MAXSIZE, ERROR_COLORSPACE_MISMATCH, ERROR_COMMITMENT_LIMIT, ERROR_COMMITMENT_MINIMUM, ERROR_COMPRESSION_DISABLED, ERROR_COMPRESSION_NOT_ALLOWED_IN_TRANSACTION, ERROR_CONNECTED_OTHER_PASSWORD, ERROR_CONNECTED_OTHER_PASSWORD_DEFAULT, ERROR_CONNECTION_ABORTED, ERROR_CONNECTION_ACTIVE, ERROR_CONNECTION_COUNT_LIMIT, ERROR_CONNECTION_INVALID, ERROR_CONNECTION_REFUSED, ERROR_CONNECTION_UNAVAIL, ERROR_CONTENT_BLOCKED, ERROR_CONTEXT_EXPIRED, ERROR_CONTINUE, ERROR_CONTROL_C_EXIT, ERROR_CONTROL_ID_NOT_FOUND, ERROR_CONTROLLING_IEPORT, ERROR_CONVERT_TO_LARGE, ERROR_CORE_DRIVER_PACKAGE_NOT_FOUND, ERROR_CORE_RESOURCE, ERROR_CORRUPT_SYSTEM_FILE, ERROR_COULD_NOT_INTERPRET, ERROR_COULD_NOT_RESIZE_LOG, ERROR_COUNTER_TIMEOUT, ERROR_CRASH_DUMP, ERROR_CRC, ERROR_CREATE_FAILED, ERROR_CRED_REQUIRES_CONFIRMATION, ERROR_CRM_PROTOCOL_ALREADY_EXISTS, ERROR_CRM_PROTOCOL_NOT_FOUND, ERROR_CS_ENCRYPTION_EXISTING_ENCRYPTED_FILE, ERROR_CS_ENCRYPTION_FILE_NOT_CSE, ERROR_CS_ENCRYPTION_INVALID_SERVER_RESPONSE, ERROR_CS_ENCRYPTION_NEW_ENCRYPTED_FILE, ERROR_CS_ENCRYPTION_UNSUPPORTED_SERVER, ERROR_CSCSHARE_OFFLINE, ERROR_CTX_ACCOUNT_RESTRICTION, ERROR_CTX_BAD_VIDEO_MODE, ERROR_CTX_CANNOT_MAKE_EVENTLOG_ENTRY, ERROR_CTX_CDM_CONNECT, ERROR_CTX_CDM_DISCONNECT, ERROR_CTX_CLIENT_LICENSE_IN_USE, ERROR_CTX_CLIENT_LICENSE_NOT_SET, ERROR_CTX_CLIENT_QUERY_TIMEOUT, ERROR_CTX_CLOSE_PENDING, ERROR_CTX_CONSOLE_CONNECT, ERROR_CTX_CONSOLE_DISCONNECT, ERROR_CTX_ENCRYPTION_LEVEL_REQUIRED, ERROR_CTX_GRAPHICS_INVALID, ERROR_CTX_INVALID_MODEMNAME, ERROR_CTX_INVALID_PD, ERROR_CTX_INVALID_WD, ERROR_CTX_LICENSE_CLIENT_INVALID, ERROR_CTX_LICENSE_EXPIRED, ERROR_CTX_LICENSE_NOT_AVAILABLE, ERROR_CTX_LOGON_DISABLED, ERROR_CTX_MODEM_INF_NOT_FOUND, ERROR_CTX_MODEM_RESPONSE_BUSY, ERROR_CTX_MODEM_RESPONSE_ERROR, ERROR_CTX_MODEM_RESPONSE_NO_CARRIER, ERROR_CTX_MODEM_RESPONSE_NO_DIALTONE, ERROR_CTX_MODEM_RESPONSE_TIMEOUT, ERROR_CTX_MODEM_RESPONSE_VOICE, ERROR_CTX_NO_FORCE_LOGOFF, ERROR_CTX_NO_OUTBUF, ERROR_CTX_NOT_CONSOLE, ERROR_CTX_PD_NOT_FOUND, ERROR_CTX_SECURITY_LAYER_ERROR, ERROR_CTX_SERVICE_NAME_COLLISION, ERROR_CTX_SESSION_IN_USE, ERROR_CTX_SHADOW_DENIED, ERROR_CTX_SHADOW_DISABLED, ERROR_CTX_SHADOW_ENDED_BY_MODE_CHANGE, ERROR_CTX_SHADOW_INVALID, ERROR_CTX_SHADOW_NOT_RUNNING, ERROR_CTX_TD_ERROR, ERROR_CTX_WD_NOT_FOUND, ERROR_CTX_WINSTATION_ACCESS_DENIED, ERROR_CTX_WINSTATION_ALREADY_EXISTS, ERROR_CTX_WINSTATION_BUSY, ERROR_CTX_WINSTATION_NAME_INVALID, ERROR_CTX_WINSTATION_NOT_FOUND, ERROR_CTX_WINSTATIONS_DISABLED, ERROR_CURRENT_DIRECTORY, ERROR_CURRENT_DOMAIN_NOT_ALLOWED, ERROR_CURRENT_TRANSACTION_NOT_VALID, ERROR_DATA_LOST_REPAIR, ERROR_DATA_NOT_ACCEPTED, ERROR_DATABASE_BACKUP_CORRUPT, ERROR_DATABASE_DOES_NOT_EXIST, ERROR_DATABASE_FAILURE, ERROR_DATABASE_FULL, ERROR_DATATYPE_MISMATCH, ERROR_DBG_COMMAND_EXCEPTION, ERROR_DBG_CONTINUE, ERROR_DBG_CONTROL_BREAK, ERROR_DBG_CONTROL_C, ERROR_DBG_EXCEPTION_HANDLED, ERROR_DBG_EXCEPTION_NOT_HANDLED, ERROR_DBG_PRINTEXCEPTION_C, ERROR_DBG_REPLY_LATER, ERROR_DBG_RIPEXCEPTION, ERROR_DBG_TERMINATE_PROCESS, ERROR_DBG_TERMINATE_THREAD, ERROR_DBG_UNABLE_TO_PROVIDE_HANDLE, ERROR_DC_NOT_FOUND, ERROR_DDE_FAIL, ERROR_DEBUG_ATTACH_FAILED, ERROR_DEBUGGER_INACTIVE, ERROR_DECRYPTION_FAILED, ERROR_DELAY_LOAD_FAILED, ERROR_DELETE_PENDING, ERROR_DELETING_ICM_XFORM, ERROR_DEPENDENCY_ALREADY_EXISTS, ERROR_DEPENDENCY_NOT_ALLOWED, ERROR_DEPENDENCY_NOT_FOUND, ERROR_DEPENDENCY_TREE_TOO_COMPLEX, ERROR_DEPENDENT_RESOURCE_EXISTS, ERROR_DEPENDENT_RESOURCE_PROPERTY_CONFLICT, ERROR_DEPENDENT_SERVICES_RUNNING, ERROR_DESTINATION_ELEMENT_FULL, ERROR_DESTROY_OBJECT_OF_OTHER_THREAD, ERROR_DEV_NOT_EXIST, ERROR_DEVICE_ALREADY_ATTACHED, ERROR_DEVICE_ALREADY_REMEMBERED, ERROR_DEVICE_DOOR_OPEN, ERROR_DEVICE_ENUMERATION_ERROR, ERROR_DEVICE_IN_USE, ERROR_DEVICE_NOT_AVAILABLE, ERROR_DEVICE_NOT_CONNECTED, ERROR_DEVICE_NOT_PARTITIONED, ERROR_DEVICE_REINITIALIZATION_NEEDED, ERROR_DEVICE_REMOVED, ERROR_DEVICE_REQUIRES_CLEANING, ERROR_DHCP_ADDRESS_CONFLICT, ERROR_DIFFERENT_SERVICE_ACCOUNT, ERROR_DIR_EFS_DISALLOWED, ERROR_DIR_NOT_EMPTY, ERROR_DIR_NOT_ROOT, ERROR_DIRECT_ACCESS_HANDLE, ERROR_DIRECTORY, ERROR_DIRECTORY_NOT_RM, ERROR_DISCARDED, ERROR_DISK_CHANGE, ERROR_DISK_CORRUPT, ERROR_DISK_FULL, ERROR_DISK_OPERATION_FAILED, ERROR_DISK_QUOTA_EXCEEDED, ERROR_DISK_RECALIBRATE_FAILED, ERROR_DISK_REPAIR_DISABLED, ERROR_DISK_RESET_FAILED, ERROR_DISK_TOO_FRAGMENTED, ERROR_DLL_INIT_FAILED, ERROR_DLL_INIT_FAILED_LOGOFF, ERROR_DLL_MIGHT_BE_INCOMPATIBLE, ERROR_DLL_MIGHT_BE_INSECURE, ERROR_DLL_NOT_FOUND, ERROR_DOMAIN_CONTROLLER_EXISTS, ERROR_DOMAIN_CONTROLLER_NOT_FOUND, ERROR_DOMAIN_CTRLR_CONFIG_ERROR, ERROR_DOMAIN_EXISTS, ERROR_DOMAIN_LIMIT_EXCEEDED, ERROR_DOMAIN_TRUST_INCONSISTENT, ERROR_DOWNGRADE_DETECTED, ERROR_DRIVE_LOCKED, ERROR_DRIVE_MEDIA_MISMATCH, ERROR_DRIVER_BLOCKED, ERROR_DRIVER_CANCEL_TIMEOUT, ERROR_DRIVER_DATABASE_ERROR, ERROR_DRIVER_FAILED_PRIOR_UNLOAD, ERROR_DRIVER_FAILED_SLEEP, ERROR_DRIVER_PROCESS_TERMINATED, ERROR_DRIVERS_LEAKING_LOCKED_PAGES, ERROR_DS_ADD_REPLICA_INHIBITED, ERROR_DS_ADMIN_LIMIT_EXCEEDED, ERROR_DS_AFFECTS_MULTIPLE_DSAS, ERROR_DS_AG_CANT_HAVE_UNIVERSAL_MEMBER, ERROR_DS_ALIAS_DEREF_PROBLEM, ERROR_DS_ALIAS_POINTS_TO_ALIAS, ERROR_DS_ALIAS_PROBLEM, ERROR_DS_ALIASED_OBJ_MISSING, ERROR_DS_ATT_ALREADY_EXISTS, ERROR_DS_ATT_IS_NOT_ON_OBJ, ERROR_DS_ATT_NOT_DEF_FOR_CLASS, ERROR_DS_ATT_NOT_DEF_IN_SCHEMA, ERROR_DS_ATT_SCHEMA_REQ_ID, ERROR_DS_ATT_SCHEMA_REQ_SYNTAX, ERROR_DS_ATT_VAL_ALREADY_EXISTS, ERROR_DS_ATTRIBUTE_OR_VALUE_EXISTS, ERROR_DS_ATTRIBUTE_OWNED_BY_SAM, ERROR_DS_ATTRIBUTE_TYPE_UNDEFINED, ERROR_DS_AUDIT_FAILURE, ERROR_DS_AUTH_METHOD_NOT_SUPPORTED, ERROR_DS_AUTH_UNKNOWN, ERROR_DS_AUTHORIZATION_FAILED, ERROR_DS_AUX_CLS_TEST_FAIL, ERROR_DS_BACKLINK_WITHOUT_LINK, ERROR_DS_BAD_ATT_SCHEMA_SYNTAX, ERROR_DS_BAD_HIERARCHY_FILE, ERROR_DS_BAD_INSTANCE_TYPE, ERROR_DS_BAD_NAME_SYNTAX, ERROR_DS_BAD_RDN_ATT_ID_SYNTAX, ERROR_DS_BUILD_HIERARCHY_TABLE_FAILED, ERROR_DS_BUSY, ERROR_DS_CANT_ACCESS_REMOTE_PART_OF_AD, ERROR_DS_CANT_ADD_ATT_VALUES, ERROR_DS_CANT_ADD_SYSTEM_ONLY, ERROR_DS_CANT_ADD_TO_GC, ERROR_DS_CANT_CACHE_ATT, ERROR_DS_CANT_CACHE_CLASS, ERROR_DS_CANT_CREATE_IN_NONDOMAIN_NC, ERROR_DS_CANT_CREATE_UNDER_SCHEMA, ERROR_DS_CANT_DEL_MASTER_CROSSREF, ERROR_DS_CANT_DELETE, ERROR_DS_CANT_DELETE_DSA_OBJ, ERROR_DS_CANT_DEMOTE_WITH_WRITEABLE_NC, ERROR_DS_CANT_DEREF_ALIAS, ERROR_DS_CANT_DERIVE_SPN_FOR_DELETED_DOMAIN, ERROR_DS_CANT_DERIVE_SPN_WITHOUT_SERVER_REF, ERROR_DS_CANT_FIND_DC_FOR_SRC_DOMAIN, ERROR_DS_CANT_FIND_DSA_OBJ, ERROR_DS_CANT_FIND_EXPECTED_NC, ERROR_DS_CANT_FIND_NC_IN_CACHE, ERROR_DS_CANT_MIX_MASTER_AND_REPS, ERROR_DS_CANT_MOD_OBJ_CLASS, ERROR_DS_CANT_MOD_PRIMARYGROUPID, ERROR_DS_CANT_MOD_SYSTEM_ONLY, ERROR_DS_CANT_MOVE_ACCOUNT_GROUP, ERROR_DS_CANT_MOVE_APP_BASIC_GROUP, ERROR_DS_CANT_MOVE_APP_QUERY_GROUP, ERROR_DS_CANT_MOVE_DELETED_OBJECT, ERROR_DS_CANT_MOVE_RESOURCE_GROUP, ERROR_DS_CANT_ON_NON_LEAF, ERROR_DS_CANT_ON_RDN, ERROR_DS_CANT_REM_MISSING_ATT, ERROR_DS_CANT_REM_MISSING_ATT_VAL, ERROR_DS_CANT_REMOVE_ATT_CACHE, ERROR_DS_CANT_REMOVE_CLASS_CACHE, ERROR_DS_CANT_REPLACE_HIDDEN_REC, ERROR_DS_CANT_RETRIEVE_ATTS, ERROR_DS_CANT_RETRIEVE_CHILD, ERROR_DS_CANT_RETRIEVE_DN, ERROR_DS_CANT_RETRIEVE_INSTANCE, ERROR_DS_CANT_RETRIEVE_SD, ERROR_DS_CANT_START, ERROR_DS_CANT_TREE_DELETE_CRITICAL_OBJ, ERROR_DS_CANT_WITH_ACCT_GROUP_MEMBERSHPS, ERROR_DS_CHILDREN_EXIST, ERROR_DS_CLASS_MUST_BE_CONCRETE, ERROR_DS_CLASS_NOT_DSA, ERROR_DS_CLIENT_LOOP, ERROR_DS_CODE_INCONSISTENCY, ERROR_DS_COMPARE_FALSE, ERROR_DS_COMPARE_TRUE, ERROR_DS_CONFIDENTIALITY_REQUIRED, ERROR_DS_CONFIG_PARAM_MISSING, ERROR_DS_CONSTRAINT_VIOLATION, ERROR_DS_CONSTRUCTED_ATT_MOD, ERROR_DS_CONTROL_NOT_FOUND, ERROR_DS_COULDNT_CONTACT_FSMO, ERROR_DS_COULDNT_IDENTIFY_OBJECTS_FOR_TREE_DELETE, ERROR_DS_COULDNT_LOCK_TREE_FOR_DELETE, ERROR_DS_COULDNT_UPDATE_SPNS, ERROR_DS_COUNTING_AB_INDICES_FAILED, ERROR_DS_CR_IMPOSSIBLE_TO_VALIDATE, ERROR_DS_CR_IMPOSSIBLE_TO_VALIDATE_V2, ERROR_DS_CROSS_DOM_MOVE_ERROR, ERROR_DS_CROSS_DOMAIN_CLEANUP_REQD, ERROR_DS_CROSS_NC_DN_RENAME, ERROR_DS_CROSS_REF_BUSY, ERROR_DS_CROSS_REF_EXISTS, ERROR_DS_DATABASE_ERROR, ERROR_DS_DECODING_ERROR, ERROR_DS_DESTINATION_AUDITING_NOT_ENABLED, ERROR_DS_DESTINATION_DOMAIN_NOT_IN_FOREST, ERROR_DS_DIFFERENT_REPL_EPOCHS, ERROR_DS_DISALLOWED_IN_SYSTEM_CONTAINER, ERROR_DS_DNS_LOOKUP_FAILURE, ERROR_DS_DOMAIN_RENAME_IN_PROGRESS, ERROR_DS_DOMAIN_VERSION_TOO_HIGH, ERROR_DS_DOMAIN_VERSION_TOO_LOW, ERROR_DS_DRA_ABANDON_SYNC, ERROR_DS_DRA_ACCESS_DENIED, ERROR_DS_DRA_BAD_DN, ERROR_DS_DRA_BAD_INSTANCE_TYPE, ERROR_DS_DRA_BAD_NC, ERROR_DS_DRA_BUSY, ERROR_DS_DRA_CONNECTION_FAILED, ERROR_DS_DRA_DB_ERROR, ERROR_DS_DRA_DN_EXISTS, ERROR_DS_DRA_EARLIER_SCHEMA_CONFLICT, ERROR_DS_DRA_EXTN_CONNECTION_FAILED, ERROR_DS_DRA_GENERIC, ERROR_DS_DRA_INCOMPATIBLE_PARTIAL_SET, ERROR_DS_DRA_INCONSISTENT_DIT, ERROR_DS_DRA_INTERNAL_ERROR, ERROR_DS_DRA_INVALID_PARAMETER, ERROR_DS_DRA_MAIL_PROBLEM, ERROR_DS_DRA_MISSING_PARENT, ERROR_DS_DRA_NAME_COLLISION, ERROR_DS_DRA_NO_REPLICA, ERROR_DS_DRA_NOT_SUPPORTED, ERROR_DS_DRA_OBJ_IS_REP_SOURCE, ERROR_DS_DRA_OBJ_NC_MISMATCH, ERROR_DS_DRA_OUT_OF_MEM, ERROR_DS_DRA_OUT_SCHEDULE_WINDOW, ERROR_DS_DRA_PREEMPTED, ERROR_DS_DRA_REF_ALREADY_EXISTS, ERROR_DS_DRA_REF_NOT_FOUND, ERROR_DS_DRA_REPL_PENDING, ERROR_DS_DRA_RPC_CANCELLED, ERROR_DS_DRA_SCHEMA_CONFLICT, ERROR_DS_DRA_SCHEMA_INFO_SHIP, ERROR_DS_DRA_SCHEMA_MISMATCH, ERROR_DS_DRA_SHUTDOWN, ERROR_DS_DRA_SINK_DISABLED, ERROR_DS_DRA_SOURCE_DISABLED, ERROR_DS_DRA_SOURCE_IS_PARTIAL_REPLICA, ERROR_DS_DRA_SOURCE_REINSTALLED, ERROR_DS_DRS_EXTENSIONS_CHANGED, ERROR_DS_DS_REQUIRED, ERROR_DS_DSA_MUST_BE_INT_MASTER, ERROR_DS_DST_DOMAIN_NOT_NATIVE, ERROR_DS_DST_NC_MISMATCH, ERROR_DS_DUP_LDAP_DISPLAY_NAME, ERROR_DS_DUP_LINK_ID, ERROR_DS_DUP_MAPI_ID, ERROR_DS_DUP_MSDS_INTID, ERROR_DS_DUP_OID, ERROR_DS_DUP_RDN, ERROR_DS_DUP_SCHEMA_ID_GUID, ERROR_DS_DUPLICATE_ID_FOUND, ERROR_DS_ENCODING_ERROR, ERROR_DS_EPOCH_MISMATCH, ERROR_DS_EXISTING_AD_CHILD_NC, ERROR_DS_EXISTS_IN_AUX_CLS, ERROR_DS_EXISTS_IN_MAY_HAVE, ERROR_DS_EXISTS_IN_MUST_HAVE, ERROR_DS_EXISTS_IN_POSS_SUP, ERROR_DS_EXISTS_IN_RDNATTID, ERROR_DS_EXISTS_IN_SUB_CLS, ERROR_DS_FILTER_UNKNOWN, ERROR_DS_FILTER_USES_CONTRUCTED_ATTRS, ERROR_DS_FOREST_VERSION_TOO_HIGH, ERROR_DS_FOREST_VERSION_TOO_LOW, ERROR_DS_GC_NOT_AVAILABLE, ERROR_DS_GC_REQUIRED, ERROR_DS_GCVERIFY_ERROR, ERROR_DS_GENERIC_ERROR, ERROR_DS_GLOBAL_CANT_HAVE_CROSSDOMAIN_MEMBER, ERROR_DS_GLOBAL_CANT_HAVE_LOCAL_MEMBER, ERROR_DS_GLOBAL_CANT_HAVE_UNIVERSAL_MEMBER, ERROR_DS_GOVERNSID_MISSING, ERROR_DS_GROUP_CONVERSION_ERROR, ERROR_DS_HAVE_PRIMARY_MEMBERS, ERROR_DS_HIERARCHY_TABLE_MALLOC_FAILED, ERROR_DS_HIERARCHY_TABLE_TOO_DEEP, ERROR_DS_ILLEGAL_BASE_SCHEMA_MOD, ERROR_DS_ILLEGAL_MOD_OPERATION, ERROR_DS_ILLEGAL_SUPERIOR, ERROR_DS_ILLEGAL_XDOM_MOVE_OPERATION, ERROR_DS_INAPPROPRIATE_AUTH, ERROR_DS_INAPPROPRIATE_MATCHING, ERROR_DS_INCOMPATIBLE_CONTROLS_USED, ERROR_DS_INCOMPATIBLE_VERSION, ERROR_DS_INCORRECT_ROLE_OWNER, ERROR_DS_INIT_FAILURE, ERROR_DS_INIT_FAILURE_CONSOLE, ERROR_DS_INSTALL_NO_SCH_VERSION_IN_INIFILE, ERROR_DS_INSTALL_NO_SRC_SCH_VERSION, ERROR_DS_INSTALL_SCHEMA_MISMATCH, ERROR_DS_INSUFF_ACCESS_RIGHTS, ERROR_DS_INSUFFICIENT_ATTR_TO_CREATE_OBJECT, ERROR_DS_INTERNAL_FAILURE, ERROR_DS_INVALID_ATTRIBUTE_SYNTAX, ERROR_DS_INVALID_DMD, ERROR_DS_INVALID_DN_SYNTAX, ERROR_DS_INVALID_GROUP_TYPE, ERROR_DS_INVALID_LDAP_DISPLAY_NAME, ERROR_DS_INVALID_NAME_FOR_SPN, ERROR_DS_INVALID_ROLE_OWNER, ERROR_DS_INVALID_SCRIPT, ERROR_DS_INVALID_SEARCH_FLAG, ERROR_DS_INVALID_SEARCH_FLAG_SUBTREE, ERROR_DS_INVALID_SEARCH_FLAG_TUPLE, ERROR_DS_IS_LEAF, ERROR_DS_KEY_NOT_UNIQUE, ERROR_DS_LDAP_SEND_QUEUE_FULL, ERROR_DS_LINK_ID_NOT_AVAILABLE, ERROR_DS_LOCAL_CANT_HAVE_CROSSDOMAIN_LOCAL_MEMBER, ERROR_DS_LOCAL_ERROR, ERROR_DS_LOCAL_MEMBER_OF_LOCAL_ONLY, ERROR_DS_LOOP_DETECT, ERROR_DS_LOW_DSA_VERSION, ERROR_DS_MACHINE_ACCOUNT_CREATED_PRENT4, ERROR_DS_MACHINE_ACCOUNT_QUOTA_EXCEEDED, ERROR_DS_MASTERDSA_REQUIRED, ERROR_DS_MAX_OBJ_SIZE_EXCEEDED, ERROR_DS_MEMBERSHIP_EVALUATED_LOCALLY, ERROR_DS_MISSING_EXPECTED_ATT, ERROR_DS_MISSING_FSMO_SETTINGS, ERROR_DS_MISSING_INFRASTRUCTURE_CONTAINER, ERROR_DS_MISSING_REQUIRED_ATT, ERROR_DS_MISSING_SUPREF, ERROR_DS_MODIFYDN_DISALLOWED_BY_FLAG, ERROR_DS_MODIFYDN_DISALLOWED_BY_INSTANCE_TYPE, ERROR_DS_MODIFYDN_WRONG_GRANDPARENT, ERROR_DS_MUST_BE_RUN_ON_DST_DC, ERROR_DS_NAME_ERROR_DOMAIN_ONLY, ERROR_DS_NAME_ERROR_NO_MAPPING, ERROR_DS_NAME_ERROR_NO_SYNTACTICAL_MAPPING, ERROR_DS_NAME_ERROR_NOT_FOUND, ERROR_DS_NAME_ERROR_NOT_UNIQUE, ERROR_DS_NAME_ERROR_RESOLVING, ERROR_DS_NAME_ERROR_TRUST_REFERRAL, ERROR_DS_NAME_NOT_UNIQUE, ERROR_DS_NAME_REFERENCE_INVALID, ERROR_DS_NAME_TOO_LONG, ERROR_DS_NAME_TOO_MANY_PARTS, ERROR_DS_NAME_TYPE_UNKNOWN, ERROR_DS_NAME_UNPARSEABLE, ERROR_DS_NAME_VALUE_TOO_LONG, ERROR_DS_NAMING_MASTER_GC, ERROR_DS_NAMING_VIOLATION, ERROR_DS_NC_MUST_HAVE_NC_PARENT, ERROR_DS_NC_STILL_HAS_DSAS, ERROR_DS_NCNAME_MISSING_CR_REF, ERROR_DS_NCNAME_MUST_BE_NC, ERROR_DS_NO_ATTRIBUTE_OR_VALUE, ERROR_DS_NO_BEHAVIOR_VERSION_IN_MIXEDDOMAIN, ERROR_DS_NO_CHAINED_EVAL, ERROR_DS_NO_CHAINING, ERROR_DS_NO_CHECKPOINT_WITH_PDC, ERROR_DS_NO_CROSSREF_FOR_NC, ERROR_DS_NO_DELETED_NAME, ERROR_DS_NO_FPO_IN_UNIVERSAL_GROUPS, ERROR_DS_NO_MORE_RIDS, ERROR_DS_NO_MSDS_INTID, ERROR_DS_NO_NEST_GLOBALGROUP_IN_MIXEDDOMAIN, ERROR_DS_NO_NEST_LOCALGROUP_IN_MIXEDDOMAIN, ERROR_DS_NO_NTDSA_OBJECT, ERROR_DS_NO_OBJECT_MOVE_IN_SCHEMA_NC, ERROR_DS_NO_PARENT_OBJECT, ERROR_DS_NO_PKT_PRIVACY_ON_CONNECTION, ERROR_DS_NO_RDN_DEFINED_IN_SCHEMA, ERROR_DS_NO_REF_DOMAIN, ERROR_DS_NO_REQUESTED_ATTS_FOUND, ERROR_DS_NO_RESULTS_RETURNED, ERROR_DS_NO_RIDS_ALLOCATED, ERROR_DS_NO_SERVER_OBJECT, ERROR_DS_NO_SUCH_OBJECT, ERROR_DS_NO_TREE_DELETE_ABOVE_NC, ERROR_DS_NON_ASQ_SEARCH, ERROR_DS_NON_BASE_SEARCH, ERROR_DS_NONEXISTENT_MAY_HAVE, ERROR_DS_NONEXISTENT_MUST_HAVE, ERROR_DS_NONEXISTENT_POSS_SUP, ERROR_DS_NONSAFE_SCHEMA_CHANGE, ERROR_DS_NOT_AN_OBJECT, ERROR_DS_NOT_AUTHORITIVE_FOR_DST_NC, ERROR_DS_NOT_CLOSEST, ERROR_DS_NOT_INSTALLED, ERROR_DS_NOT_ON_BACKLINK, ERROR_DS_NOT_SUPPORTED, ERROR_DS_NOT_SUPPORTED_SORT_ORDER, ERROR_DS_NOTIFY_FILTER_TOO_COMPLEX, ERROR_DS_NTDSCRIPT_PROCESS_ERROR, ERROR_DS_NTDSCRIPT_SYNTAX_ERROR, ERROR_DS_OBJ_CLASS_NOT_DEFINED, ERROR_DS_OBJ_CLASS_NOT_SUBCLASS, ERROR_DS_OBJ_CLASS_VIOLATION, ERROR_DS_OBJ_GUID_EXISTS, ERROR_DS_OBJ_NOT_FOUND, ERROR_DS_OBJ_STRING_NAME_EXISTS, ERROR_DS_OBJ_TOO_LARGE, ERROR_DS_OBJECT_BEING_REMOVED, ERROR_DS_OBJECT_CLASS_REQUIRED, ERROR_DS_OBJECT_RESULTS_TOO_LARGE, ERROR_DS_OFFSET_RANGE_ERROR, ERROR_DS_OPERATIONS_ERROR, ERROR_DS_OUT_OF_SCOPE, ERROR_DS_OUT_OF_VERSION_STORE, ERROR_DS_PARAM_ERROR, ERROR_DS_PARENT_IS_AN_ALIAS, ERROR_DS_PDC_OPERATION_IN_PROGRESS, ERROR_DS_POLICY_NOT_KNOWN, ERROR_DS_PROTOCOL_ERROR, ERROR_DS_RANGE_CONSTRAINT, ERROR_DS_RDN_DOESNT_MATCH_SCHEMA, ERROR_DS_RECALCSCHEMA_FAILED, ERROR_DS_REFERRAL, ERROR_DS_REFERRAL_LIMIT_EXCEEDED, ERROR_DS_REFUSING_FSMO_ROLES, ERROR_DS_REMOTE_CROSSREF_OP_FAILED, ERROR_DS_REPL_LIFETIME_EXCEEDED, ERROR_DS_REPLICA_SET_CHANGE_NOT_ALLOWED_ON_DISABLED_CR, ERROR_DS_REPLICATOR_ONLY, ERROR_DS_RESERVED_LINK_ID, ERROR_DS_RIDMGR_INIT_ERROR, ERROR_DS_ROLE_NOT_VERIFIED, ERROR_DS_ROOT_CANT_BE_SUBREF, ERROR_DS_ROOT_MUST_BE_NC, ERROR_DS_ROOT_REQUIRES_CLASS_TOP, ERROR_DS_SAM_INIT_FAILURE, ERROR_DS_SAM_INIT_FAILURE_CONSOLE, ERROR_DS_SAM_NEED_BOOTKEY_FLOPPY, ERROR_DS_SAM_NEED_BOOTKEY_PASSWORD, ERROR_DS_SCHEMA_ALLOC_FAILED, ERROR_DS_SCHEMA_NOT_LOADED, ERROR_DS_SCHEMA_UPDATE_DISALLOWED, ERROR_DS_SEC_DESC_INVALID, ERROR_DS_SEC_DESC_TOO_SHORT, ERROR_DS_SECURITY_CHECKING_ERROR, ERROR_DS_SECURITY_ILLEGAL_MODIFY, ERROR_DS_SEMANTIC_ATT_TEST, ERROR_DS_SENSITIVE_GROUP_VIOLATION, ERROR_DS_SERVER_DOWN, ERROR_DS_SHUTTING_DOWN, ERROR_DS_SINGLE_USER_MODE_FAILED, ERROR_DS_SINGLE_VALUE_CONSTRAINT, ERROR_DS_SIZELIMIT_EXCEEDED, ERROR_DS_SORT_CONTROL_MISSING, ERROR_DS_SOURCE_AUDITING_NOT_ENABLED, ERROR_DS_SOURCE_DOMAIN_IN_FOREST, ERROR_DS_SRC_AND_DST_NC_IDENTICAL, ERROR_DS_SRC_AND_DST_OBJECT_CLASS_MISMATCH, ERROR_DS_SRC_DC_MUST_BE_SP4_OR_GREATER, ERROR_DS_SRC_GUID_MISMATCH, ERROR_DS_SRC_NAME_MISMATCH, ERROR_DS_SRC_OBJ_NOT_GROUP_OR_USER, ERROR_DS_SRC_SID_EXISTS_IN_FOREST, ERROR_DS_STRING_SD_CONVERSION_FAILED, ERROR_DS_STRONG_AUTH_REQUIRED, ERROR_DS_SUB_CLS_TEST_FAIL, ERROR_DS_SUBREF_MUST_HAVE_PARENT, ERROR_DS_SUBTREE_NOTIFY_NOT_NC_HEAD, ERROR_DS_SYNTAX_MISMATCH, ERROR_DS_THREAD_LIMIT_EXCEEDED, ERROR_DS_TIMELIMIT_EXCEEDED, ERROR_DS_TREE_DELETE_NOT_FINISHED, ERROR_DS_UNABLE_TO_SURRENDER_ROLES, ERROR_DS_UNAVAILABLE, ERROR_DS_UNAVAILABLE_CRIT_EXTENSION, ERROR_DS_UNICODEPWD_NOT_IN_QUOTES, ERROR_DS_UNIVERSAL_CANT_HAVE_LOCAL_MEMBER, ERROR_DS_UNKNOWN_ERROR, ERROR_DS_UNKNOWN_OPERATION, ERROR_DS_UNWILLING_TO_PERFORM, ERROR_DS_USER_BUFFER_TO_SMALL, ERROR_DS_VERSION_CHECK_FAILURE, ERROR_DS_WKO_CONTAINER_CANNOT_BE_SPECIAL, ERROR_DS_WRONG_LINKED_ATT_SYNTAX, ERROR_DS_WRONG_OM_OBJ_CLASS, ERROR_DUP_DOMAINNAME, ERROR_DUP_NAME, ERROR_DUPLICATE_SERVICE_NAME, ERROR_DUPLICATE_TAG, ERROR_DYNLINK_FROM_INVALID_RING, ERROR_EA_ACCESS_DENIED, ERROR_EA_FILE_CORRUPT, ERROR_EA_LIST_INCONSISTENT, ERROR_EA_TABLE_FULL, ERROR_EAS_DIDNT_FIT, ERROR_EAS_NOT_SUPPORTED, ERROR_EC_CIRCULAR_FORWARDING, ERROR_EC_CRED_NOT_FOUND, ERROR_EC_CREDSTORE_FULL, ERROR_EC_LOG_DISABLED, ERROR_EC_NO_ACTIVE_CHANNEL, ERROR_EC_SUBSCRIPTION_CANNOT_ACTIVATE, ERROR_EFS_ALG_BLOB_TOO_BIG, ERROR_EFS_DISABLED, ERROR_EFS_NOT_ALLOWED_IN_TRANSACTION, ERROR_EFS_SERVER_NOT_TRUSTED, ERROR_EFS_VERSION_NOT_SUPPORT, ERROR_ELEVATION_REQUIRED, ERROR_EMPTY, ERROR_ENCRYPTION_FAILED, ERROR_END_OF_MEDIA, ERROR_ENLISTMENT_NOT_FOUND, ERROR_ENLISTMENT_NOT_SUPERIOR, ERROR_ENVVAR_NOT_FOUND, ERROR_EOM_OVERFLOW, ERROR_ERRORS_ENCOUNTERED, ERROR_EVALUATION_EXPIRATION, ERROR_EVENT_DONE, ERROR_EVENT_PENDING, ERROR_EVENTLOG_CANT_START, ERROR_EVENTLOG_FILE_CHANGED, ERROR_EVENTLOG_FILE_CORRUPT, ERROR_EVT_CANNOT_OPEN_CHANNEL_OF_QUERY, ERROR_EVT_CHANNEL_CANNOT_ACTIVATE, ERROR_EVT_CHANNEL_NOT_FOUND, ERROR_EVT_CONFIGURATION_ERROR, ERROR_EVT_EVENT_DEFINITION_NOT_FOUND, ERROR_EVT_EVENT_TEMPLATE_NOT_FOUND, ERROR_EVT_FILTER_ALREADYSCOPED, ERROR_EVT_FILTER_INVARG, ERROR_EVT_FILTER_INVTEST, ERROR_EVT_FILTER_INVTYPE, ERROR_EVT_FILTER_NOTELTSET, ERROR_EVT_FILTER_OUT_OF_RANGE, ERROR_EVT_FILTER_PARSEERR, ERROR_EVT_FILTER_TOO_COMPLEX, ERROR_EVT_FILTER_UNEXPECTEDTOKEN, ERROR_EVT_FILTER_UNSUPPORTEDOP, ERROR_EVT_INVALID_CHANNEL_PATH, ERROR_EVT_INVALID_CHANNEL_PROPERTY_VALUE, ERROR_EVT_INVALID_EVENT_DATA, ERROR_EVT_INVALID_OPERATION_OVER_ENABLED_DIRECT_CHANNEL, ERROR_EVT_INVALID_PUBLISHER_NAME, ERROR_EVT_INVALID_PUBLISHER_PROPERTY_VALUE, ERROR_EVT_INVALID_QUERY, ERROR_EVT_MALFORMED_XML_TEXT, ERROR_EVT_MAX_INSERTS_REACHED, ERROR_EVT_MESSAGE_ID_NOT_FOUND, ERROR_EVT_MESSAGE_LOCALE_NOT_FOUND, ERROR_EVT_MESSAGE_NOT_FOUND, ERROR_EVT_NON_VALIDATING_MSXML, ERROR_EVT_PUBLISHER_DISABLED, ERROR_EVT_PUBLISHER_METADATA_NOT_FOUND, ERROR_EVT_QUERY_RESULT_INVALID_POSITION, ERROR_EVT_QUERY_RESULT_STALE, ERROR_EVT_SUBSCRIPTION_TO_DIRECT_CHANNEL, ERROR_EVT_UNRESOLVED_PARAMETER_INSERT, ERROR_EVT_UNRESOLVED_VALUE_INSERT, ERROR_EVT_VERSION_TOO_NEW, ERROR_EVT_VERSION_TOO_OLD, ERROR_EXCEPTION_IN_RESOURCE_CALL, ERROR_EXCEPTION_IN_SERVICE, ERROR_EXCL_SEM_ALREADY_OWNED, ERROR_EXE_CANNOT_MODIFY_SIGNED_BINARY, ERROR_EXE_CANNOT_MODIFY_STRONG_SIGNED_BINARY, ERROR_EXE_MACHINE_TYPE_MISMATCH, ERROR_EXE_MARKED_INVALID, ERROR_EXTENDED_ERROR, ERROR_EXTRANEOUS_INFORMATION, ERROR_FAIL_I24, ERROR_FAIL_NOACTION_REBOOT, ERROR_FAIL_REBOOT_INITIATED, ERROR_FAIL_REBOOT_REQUIRED, ERROR_FAIL_RESTART, ERROR_FAIL_SHUTDOWN, ERROR_FAILED_DRIVER_ENTRY, ERROR_FAILED_SERVICE_CONTROLLER_CONNECT, ERROR_FATAL_APP_EXIT, ERROR_FILE_CHECKED_OUT, ERROR_FILE_CORRUPT, ERROR_FILE_ENCRYPTED, ERROR_FILE_EXISTS, ERROR_FILE_IDENTITY_NOT_PERSISTENT, ERROR_FILE_INVALID, ERROR_FILE_NOT_ENCRYPTED, ERROR_FILE_NOT_FOUND, ERROR_FILE_OFFLINE, ERROR_FILE_READ_ONLY, ERROR_FILE_SYSTEM_LIMITATION, ERROR_FILE_TOO_LARGE, ERROR_FILEMARK_DETECTED, ERROR_FILENAME_EXCED_RANGE, ERROR_FIRMWARE_UPDATED, ERROR_FLOAT_MULTIPLE_FAULTS, ERROR_FLOAT_MULTIPLE_TRAPS, ERROR_FLOATED_SECTION, ERROR_FLOPPY_BAD_REGISTERS, ERROR_FLOPPY_ID_MARK_NOT_FOUND, ERROR_FLOPPY_UNKNOWN_ERROR, ERROR_FLOPPY_VOLUME, ERROR_FLOPPY_WRONG_CYLINDER, ERROR_FLT_ALREADY_ENLISTED, ERROR_FLT_CBDQ_DISABLED, ERROR_FLT_CONTEXT_ALLOCATION_NOT_FOUND, ERROR_FLT_CONTEXT_ALREADY_DEFINED, ERROR_FLT_CONTEXT_ALREADY_LINKED, ERROR_FLT_DELETING_OBJECT, ERROR_FLT_DISALLOW_FAST_IO, ERROR_FLT_DO_NOT_ATTACH, ERROR_FLT_DO_NOT_DETACH, ERROR_FLT_DUPLICATE_ENTRY, ERROR_FLT_FILTER_NOT_FOUND, ERROR_FLT_FILTER_NOT_READY, ERROR_FLT_INSTANCE_ALTITUDE_COLLISION, ERROR_FLT_INSTANCE_NAME_COLLISION, ERROR_FLT_INSTANCE_NOT_FOUND, ERROR_FLT_INTERNAL_ERROR, ERROR_FLT_INVALID_ASYNCHRONOUS_REQUEST, ERROR_FLT_INVALID_CONTEXT_REGISTRATION, ERROR_FLT_INVALID_NAME_REQUEST, ERROR_FLT_IO_COMPLETE, ERROR_FLT_MUST_BE_NONPAGED_POOL, ERROR_FLT_NAME_CACHE_MISS, ERROR_FLT_NO_DEVICE_OBJECT, ERROR_FLT_NO_HANDLER_DEFINED, ERROR_FLT_NO_WAITER_FOR_REPLY, ERROR_FLT_NOT_INITIALIZED, ERROR_FLT_NOT_SAFE_TO_POST_OPERATION, ERROR_FLT_POST_OPERATION_CLEANUP, ERROR_FLT_VOLUME_ALREADY_MOUNTED, ERROR_FLT_VOLUME_NOT_FOUND, ERROR_FORMS_AUTH_REQUIRED, ERROR_FOUND_OUT_OF_SCOPE, ERROR_FS_DRIVER_REQUIRED, ERROR_FSFILTER_OP_COMPLETED_SUCCESSFULLY, ERROR_FT_READ_RECOVERY_FROM_BACKUP, ERROR_FT_WRITE_RECOVERY, ERROR_FULL_BACKUP, ERROR_FULLSCREEN_MODE, ERROR_FUNCTION_FAILED, ERROR_FUNCTION_NOT_CALLED, ERROR_GEN_FAILURE, ERROR_GENERIC_COMMAND_FAILED, ERROR_GENERIC_NOT_MAPPED, ERROR_GLOBAL_ONLY_HOOK, ERROR_GRACEFUL_DISCONNECT, ERROR_GRAPHICS_ADAPTER_ACCESS_NOT_EXCLUDED, ERROR_GRAPHICS_ADAPTER_CHAIN_NOT_READY, ERROR_GRAPHICS_ADAPTER_MUST_HAVE_AT_LEAST_ONE_SOURCE, ERROR_GRAPHICS_ADAPTER_MUST_HAVE_AT_LEAST_ONE_TARGET, ERROR_GRAPHICS_ADAPTER_WAS_RESET, ERROR_GRAPHICS_ALLOCATION_BUSY, ERROR_GRAPHICS_ALLOCATION_CLOSED, ERROR_GRAPHICS_ALLOCATION_CONTENT_LOST, ERROR_GRAPHICS_ALLOCATION_INVALID, ERROR_GRAPHICS_CANCEL_VIDPN_TOPOLOGY_AUGMENTATION, ERROR_GRAPHICS_CANNOTCOLORCONVERT, ERROR_GRAPHICS_CANT_ACCESS_ACTIVE_VIDPN, ERROR_GRAPHICS_CANT_EVICT_PINNED_ALLOCATION, ERROR_GRAPHICS_CANT_LOCK_MEMORY, ERROR_GRAPHICS_CANT_RENDER_LOCKED_ALLOCATION, ERROR_GRAPHICS_CHAINLINKS_NOT_ENUMERATED, ERROR_GRAPHICS_CHAINLINKS_NOT_POWERED_ON, ERROR_GRAPHICS_CHAINLINKS_NOT_STARTED, ERROR_GRAPHICS_CHILD_DESCRIPTOR_NOT_SUPPORTED, ERROR_GRAPHICS_CLIENTVIDPN_NOT_SET, ERROR_GRAPHICS_COPP_NOT_SUPPORTED, ERROR_GRAPHICS_DATASET_IS_EMPTY, ERROR_GRAPHICS_DDCCI_CURRENT_CURRENT_VALUE_GREATER_THAN_MAXIMUM_VALUE, ERROR_GRAPHICS_DDCCI_INVALID_DATA, ERROR_GRAPHICS_DDCCI_INVALID_MESSAGE_CHECKSUM, ERROR_GRAPHICS_DDCCI_INVALID_MESSAGE_COMMAND, ERROR_GRAPHICS_DDCCI_INVALID_MESSAGE_LENGTH, ERROR_GRAPHICS_DDCCI_MONITOR_RETURNED_INVALID_TIMING_STATUS_BYTE, ERROR_GRAPHICS_DDCCI_VCP_NOT_SUPPORTED, ERROR_GRAPHICS_DISPLAY_DEVICE_NOT_ATTACHED_TO_DESKTOP, ERROR_GRAPHICS_DRIVER_MISMATCH, ERROR_GRAPHICS_EMPTY_ADAPTER_MONITOR_MODE_SUPPORT_INTERSECTION, ERROR_GRAPHICS_FREQUENCYRANGE_ALREADY_IN_SET, ERROR_GRAPHICS_FREQUENCYRANGE_NOT_IN_SET, ERROR_GRAPHICS_GAMMA_RAMP_NOT_SUPPORTED, ERROR_GRAPHICS_GPU_EXCEPTION_ON_DEVICE, ERROR_GRAPHICS_I2C_DEVICE_DOES_NOT_EXIST, ERROR_GRAPHICS_I2C_ERROR_RECEIVING_DATA, ERROR_GRAPHICS_I2C_ERROR_TRANSMITTING_DATA, ERROR_GRAPHICS_I2C_NOT_SUPPORTED, ERROR_GRAPHICS_INCOMPATIBLE_PRIVATE_FORMAT, ERROR_GRAPHICS_INCONSISTENT_DEVICE_LINK_STATE, ERROR_GRAPHICS_INSUFFICIENT_DMA_BUFFER, ERROR_GRAPHICS_INTERNAL_ERROR, ERROR_GRAPHICS_INVALID_ACTIVE_REGION, ERROR_GRAPHICS_INVALID_ALLOCATION_HANDLE, ERROR_GRAPHICS_INVALID_ALLOCATION_INSTANCE, ERROR_GRAPHICS_INVALID_ALLOCATION_USAGE, ERROR_GRAPHICS_INVALID_CLIENT_TYPE, ERROR_GRAPHICS_INVALID_COLORBASIS, ERROR_GRAPHICS_INVALID_COPYPROTECTION_TYPE, ERROR_GRAPHICS_INVALID_DISPLAY_ADAPTER, ERROR_GRAPHICS_INVALID_DRIVER_MODEL, ERROR_GRAPHICS_INVALID_FREQUENCY, ERROR_GRAPHICS_INVALID_GAMMA_RAMP, ERROR_GRAPHICS_INVALID_MODE_PRUNING_ALGORITHM, ERROR_GRAPHICS_INVALID_MONITOR_CAPABILITY_ORIGIN, ERROR_GRAPHICS_INVALID_MONITOR_FREQUENCYRANGE, ERROR_GRAPHICS_INVALID_MONITOR_FREQUENCYRANGE_CONSTRAINT, ERROR_GRAPHICS_INVALID_MONITOR_FREQUENCYRANGESET, ERROR_GRAPHICS_INVALID_MONITOR_SOURCE_MODE, ERROR_GRAPHICS_INVALID_MONITOR_SOURCEMODESET, ERROR_GRAPHICS_INVALID_MONITORDESCRIPTOR, ERROR_GRAPHICS_INVALID_MONITORDESCRIPTORSET, ERROR_GRAPHICS_INVALID_PATH_CONTENT_GEOMETRY_TRANSFORMATION, ERROR_GRAPHICS_INVALID_PATH_CONTENT_TYPE, ERROR_GRAPHICS_INVALID_PATH_IMPORTANCE_ORDINAL, ERROR_GRAPHICS_INVALID_PHYSICAL_MONITOR_HANDLE, ERROR_GRAPHICS_INVALID_PIXELFORMAT, ERROR_GRAPHICS_INVALID_PIXELVALUEACCESSMODE, ERROR_GRAPHICS_INVALID_POINTER, ERROR_GRAPHICS_INVALID_PRIMARYSURFACE_SIZE, ERROR_GRAPHICS_INVALID_SCANLINE_ORDERING, ERROR_GRAPHICS_INVALID_STRIDE, ERROR_GRAPHICS_INVALID_TOTAL_REGION, ERROR_GRAPHICS_INVALID_VIDEO_PRESENT_SOURCE, ERROR_GRAPHICS_INVALID_VIDEO_PRESENT_SOURCE_MODE, ERROR_GRAPHICS_INVALID_VIDEO_PRESENT_TARGET, ERROR_GRAPHICS_INVALID_VIDEO_PRESENT_TARGET_MODE, ERROR_GRAPHICS_INVALID_VIDEOPRESENTSOURCESET, ERROR_GRAPHICS_INVALID_VIDEOPRESENTTARGETSET, ERROR_GRAPHICS_INVALID_VIDPN, ERROR_GRAPHICS_INVALID_VIDPN_PRESENT_PATH, ERROR_GRAPHICS_INVALID_VIDPN_SOURCEMODESET, ERROR_GRAPHICS_INVALID_VIDPN_TARGET_SUBSET_TYPE, ERROR_GRAPHICS_INVALID_VIDPN_TARGETMODESET, ERROR_GRAPHICS_INVALID_VIDPN_TOPOLOGY, ERROR_GRAPHICS_INVALID_VIDPN_TOPOLOGY_RECOMMENDATION_REASON, ERROR_GRAPHICS_INVALID_VISIBLEREGION_SIZE, ERROR_GRAPHICS_LEADLINK_NOT_ENUMERATED, ERROR_GRAPHICS_LEADLINK_START_DEFERRED, ERROR_GRAPHICS_MAX_NUM_PATHS_REACHED, ERROR_GRAPHICS_MCA_INTERNAL_ERROR, ERROR_GRAPHICS_MCA_INVALID_CAPABILITIES_STRING, ERROR_GRAPHICS_MCA_INVALID_TECHNOLOGY_TYPE_RETURNED, ERROR_GRAPHICS_MCA_INVALID_VCP_VERSION, ERROR_GRAPHICS_MCA_MCCS_VERSION_MISMATCH, ERROR_GRAPHICS_MCA_MONITOR_VIOLATES_MCCS_SPECIFICATION, ERROR_GRAPHICS_MCA_UNSUPPORTED_COLOR_TEMPERATURE, ERROR_GRAPHICS_MCA_UNSUPPORTED_MCCS_VERSION, ERROR_GRAPHICS_MIRRORING_DEVICES_NOT_SUPPORTED, ERROR_GRAPHICS_MODE_ALREADY_IN_MODESET, ERROR_GRAPHICS_MODE_ID_MUST_BE_UNIQUE, ERROR_GRAPHICS_MODE_NOT_IN_MODESET, ERROR_GRAPHICS_MODE_NOT_PINNED, ERROR_GRAPHICS_MONITOR_COULD_NOT_BE_ASSOCIATED_WITH_ADAPTER, ERROR_GRAPHICS_MONITOR_NO_LONGER_EXISTS, ERROR_GRAPHICS_MONITOR_NOT_CONNECTED, ERROR_GRAPHICS_MONITORDESCRIPTOR_ALREADY_IN_SET, ERROR_GRAPHICS_MONITORDESCRIPTOR_ID_MUST_BE_UNIQUE, ERROR_GRAPHICS_MONITORDESCRIPTOR_NOT_IN_SET, ERROR_GRAPHICS_MULTISAMPLING_NOT_SUPPORTED, ERROR_GRAPHICS_NO_ACTIVE_VIDPN, ERROR_GRAPHICS_NO_AVAILABLE_IMPORTANCE_ORDINALS, ERROR_GRAPHICS_NO_AVAILABLE_VIDPN_TARGET, ERROR_GRAPHICS_NO_DISPLAY_DEVICE_CORRESPONDS_TO_NAME, ERROR_GRAPHICS_NO_DISPLAY_MODE_MANAGEMENT_SUPPORT, ERROR_GRAPHICS_NO_MONITORS_CORRESPOND_TO_DISPLAY_DEVICE, ERROR_GRAPHICS_NO_MORE_ELEMENTS_IN_DATASET, ERROR_GRAPHICS_NO_PREFERRED_MODE, ERROR_GRAPHICS_NO_RECOMMENDED_FUNCTIONAL_VIDPN, ERROR_GRAPHICS_NO_RECOMMENDED_VIDPN_TOPOLOGY, ERROR_GRAPHICS_NO_VIDEO_MEMORY, ERROR_GRAPHICS_NO_VIDPNMGR, ERROR_GRAPHICS_NOT_A_LINKED_ADAPTER, ERROR_GRAPHICS_NOT_EXCLUSIVE_MODE_OWNER, ERROR_GRAPHICS_NOT_POST_DEVICE_DRIVER, ERROR_GRAPHICS_ONLY_CONSOLE_SESSION_SUPPORTED, ERROR_GRAPHICS_OPM_ALL_HDCP_HARDWARE_ALREADY_IN_USE, ERROR_GRAPHICS_OPM_DRIVER_INTERNAL_ERROR, ERROR_GRAPHICS_OPM_HDCP_SRM_NEVER_SET, ERROR_GRAPHICS_OPM_INTERNAL_ERROR, ERROR_GRAPHICS_OPM_INVALID_CONFIGURATION_REQUEST, ERROR_GRAPHICS_OPM_INVALID_ENCRYPTED_PARAMETERS, ERROR_GRAPHICS_OPM_INVALID_HANDLE, ERROR_GRAPHICS_OPM_INVALID_INFORMATION_REQUEST, ERROR_GRAPHICS_OPM_INVALID_SRM, ERROR_GRAPHICS_OPM_NO_VIDEO_OUTPUTS_EXIST, ERROR_GRAPHICS_OPM_NOT_SUPPORTED, ERROR_GRAPHICS_OPM_OUTPUT_DOES_NOT_SUPPORT_ACP, ERROR_GRAPHICS_OPM_OUTPUT_DOES_NOT_SUPPORT_CGMSA, ERROR_GRAPHICS_OPM_OUTPUT_DOES_NOT_SUPPORT_HDCP, ERROR_GRAPHICS_OPM_RESOLUTION_TOO_HIGH, ERROR_GRAPHICS_OPM_SESSION_TYPE_CHANGE_IN_PROGRESS, ERROR_GRAPHICS_OPM_SIGNALING_NOT_SUPPORTED, ERROR_GRAPHICS_OPM_SPANNING_MODE_ENABLED, ERROR_GRAPHICS_OPM_THEATER_MODE_ENABLED, ERROR_GRAPHICS_OPM_VIDEO_OUTPUT_DOES_NOT_HAVE_COPP_SEMANTICS, ERROR_GRAPHICS_OPM_VIDEO_OUTPUT_DOES_NOT_HAVE_OPM_SEMANTICS, ERROR_GRAPHICS_OPM_VIDEO_OUTPUT_NO_LONGER_EXISTS, ERROR_GRAPHICS_PARAMETER_ARRAY_TOO_SMALL, ERROR_GRAPHICS_PARTIAL_DATA_POPULATED, ERROR_GRAPHICS_PATH_ALREADY_IN_TOPOLOGY, ERROR_GRAPHICS_PATH_CONTENT_GEOMETRY_TRANSFORMATION_NOT_PINNED, ERROR_GRAPHICS_PATH_CONTENT_GEOMETRY_TRANSFORMATION_NOT_SUPPORTED, ERROR_GRAPHICS_PATH_NOT_IN_TOPOLOGY, ERROR_GRAPHICS_PINNED_MODE_MUST_REMAIN_IN_SET, ERROR_GRAPHICS_POLLING_TOO_FREQUENTLY, ERROR_GRAPHICS_PRESENT_DENIED, ERROR_GRAPHICS_PRESENT_MODE_CHANGED, ERROR_GRAPHICS_PRESENT_OCCLUDED, ERROR_GRAPHICS_PVP_HFS_FAILED, ERROR_GRAPHICS_PVP_INVALID_CERTIFICATE_LENGTH, ERROR_GRAPHICS_RESOURCES_NOT_RELATED, ERROR_GRAPHICS_SESSION_TYPE_CHANGE_IN_PROGRESS, ERROR_GRAPHICS_SOURCE_ALREADY_IN_SET, ERROR_GRAPHICS_SOURCE_ID_MUST_BE_UNIQUE, ERROR_GRAPHICS_SOURCE_NOT_IN_TOPOLOGY, ERROR_GRAPHICS_SPECIFIED_CHILD_ALREADY_CONNECTED, ERROR_GRAPHICS_STALE_MODESET, ERROR_GRAPHICS_STALE_VIDPN_TOPOLOGY, ERROR_GRAPHICS_START_DEFERRED, ERROR_GRAPHICS_TARGET_ALREADY_IN_SET, ERROR_GRAPHICS_TARGET_ID_MUST_BE_UNIQUE, ERROR_GRAPHICS_TARGET_NOT_IN_TOPOLOGY, ERROR_GRAPHICS_TOO_MANY_REFERENCES, ERROR_GRAPHICS_TOPOLOGY_CHANGES_NOT_ALLOWED, ERROR_GRAPHICS_TRY_AGAIN_LATER, ERROR_GRAPHICS_TRY_AGAIN_NOW, ERROR_GRAPHICS_UAB_NOT_SUPPORTED, ERROR_GRAPHICS_UNASSIGNED_MODESET_ALREADY_EXISTS, ERROR_GRAPHICS_UNKNOWN_CHILD_STATUS, ERROR_GRAPHICS_UNSWIZZLING_APERTURE_UNAVAILABLE, ERROR_GRAPHICS_UNSWIZZLING_APERTURE_UNSUPPORTED, ERROR_GRAPHICS_VIDEO_PRESENT_TARGETS_LESS_THAN_SOURCES, ERROR_GRAPHICS_VIDPN_MODALITY_NOT_SUPPORTED, ERROR_GRAPHICS_VIDPN_SOURCE_IN_USE, ERROR_GRAPHICS_VIDPN_TOPOLOGY_CURRENTLY_NOT_SUPPORTED, ERROR_GRAPHICS_VIDPN_TOPOLOGY_NOT_SUPPORTED, ERROR_GRAPHICS_WRONG_ALLOCATION_DEVICE, ERROR_GROUP_EXISTS, ERROR_GROUP_NOT_AVAILABLE, ERROR_GROUP_NOT_FOUND, ERROR_GROUP_NOT_ONLINE, ERROR_GUID_SUBSTITUTION_MADE, ERROR_HANDLE_DISK_FULL, ERROR_HANDLE_EOF, ERROR_HANDLE_NO_LONGER_VALID, ERROR_HANDLES_CLOSED, ERROR_HIBERNATED, ERROR_HIBERNATION_FAILURE, ERROR_HOOK_NEEDS_HMOD, ERROR_HOOK_NOT_INSTALLED, ERROR_HOOK_TYPE_NOT_ALLOWED, ERROR_HOST_DOWN, ERROR_HOST_NODE_NOT_AVAILABLE, ERROR_HOST_NODE_NOT_GROUP_OWNER, ERROR_HOST_NODE_NOT_RESOURCE_OWNER, ERROR_HOST_UNREACHABLE, ERROR_HOTKEY_ALREADY_REGISTERED, ERROR_HOTKEY_NOT_REGISTERED, ERROR_HUNG_DISPLAY_DRIVER_THREAD, ERROR_HWNDS_HAVE_DIFF_PARENT, ERROR_ICM_NOT_ENABLED, ERROR_IEPORT_FULL, ERROR_ILL_FORMED_PASSWORD, ERROR_ILLEGAL_CHARACTER, ERROR_ILLEGAL_DLL_RELOCATION, ERROR_ILLEGAL_ELEMENT_ADDRESS, ERROR_ILLEGAL_FLOAT_CONTEXT, ERROR_IMAGE_MACHINE_TYPE_MISMATCH, ERROR_IMAGE_MACHINE_TYPE_MISMATCH_EXE, ERROR_IMAGE_NOT_AT_BASE, ERROR_IMPLEMENTATION_LIMIT, ERROR_IMPLICIT_TRANSACTION_NOT_SUPPORTED, ERROR_INC_BACKUP, ERROR_INCOMPATIBLE_SERVICE_PRIVILEGE, ERROR_INCOMPATIBLE_SERVICE_SID_TYPE, ERROR_INCORRECT_ADDRESS, ERROR_INCORRECT_SIZE, ERROR_INDEX_ABSENT, ERROR_INDIGENOUS_TYPE, ERROR_INDOUBT_TRANSACTIONS_EXIST, ERROR_INFLOOP_IN_RELOC_CHAIN, ERROR_INSTALL_ALREADY_RUNNING, ERROR_INSTALL_FAILURE, ERROR_INSTALL_LANGUAGE_UNSUPPORTED, ERROR_INSTALL_LOG_FAILURE, ERROR_INSTALL_NOTUSED, ERROR_INSTALL_PACKAGE_INVALID, ERROR_INSTALL_PACKAGE_OPEN_FAILED, ERROR_INSTALL_PACKAGE_REJECTED, ERROR_INSTALL_PACKAGE_VERSION, ERROR_INSTALL_PLATFORM_UNSUPPORTED, ERROR_INSTALL_REMOTE_DISALLOWED, ERROR_INSTALL_REMOTE_PROHIBITED, ERROR_INSTALL_SERVICE_FAILURE, ERROR_INSTALL_SERVICE_SAFEBOOT, ERROR_INSTALL_SOURCE_ABSENT, ERROR_INSTALL_SUSPEND, ERROR_INSTALL_TEMP_UNWRITABLE, ERROR_INSTALL_TRANSFORM_FAILURE, ERROR_INSTALL_TRANSFORM_REJECTED, ERROR_INSTALL_UI_FAILURE, ERROR_INSTALL_USEREXIT, ERROR_INSTRUCTION_MISALIGNMENT, ERROR_INSUFFICIENT_BUFFER, ERROR_INSUFFICIENT_LOGON_INFO, ERROR_INSUFFICIENT_POWER, ERROR_INSUFFICIENT_RESOURCE_FOR_SPECIFIED_SHARED_SECTION_SIZE, ERROR_INTERNAL_DB_CORRUPTION, ERROR_INTERNAL_DB_ERROR, ERROR_INTERNAL_ERROR, ERROR_INTERRUPT_STILL_CONNECTED, ERROR_INTERRUPT_VECTOR_ALREADY_CONNECTED, ERROR_INVALID_ACCEL_HANDLE, ERROR_INVALID_ACCESS, ERROR_INVALID_ACCOUNT_NAME, ERROR_INVALID_ACL, ERROR_INVALID_ADDRESS, ERROR_INVALID_AT_INTERRUPT_TIME, ERROR_INVALID_BLOCK, ERROR_INVALID_BLOCK_LENGTH, ERROR_INVALID_CATEGORY, ERROR_INVALID_CLEANER, ERROR_INVALID_CLUSTER_IPV6_ADDRESS, ERROR_INVALID_CMM, ERROR_INVALID_COLORINDEX, ERROR_INVALID_COLORSPACE, ERROR_INVALID_COMBOBOX_MESSAGE, ERROR_INVALID_COMMAND_LINE, ERROR_INVALID_COMPUTERNAME, ERROR_INVALID_CRUNTIME_PARAMETER, ERROR_INVALID_CURSOR_HANDLE, ERROR_INVALID_DATA, ERROR_INVALID_DATATYPE, ERROR_INVALID_DEVICE_OBJECT_PARAMETER, ERROR_INVALID_DLL, ERROR_INVALID_DOMAIN_ROLE, ERROR_INVALID_DOMAIN_STATE, ERROR_INVALID_DOMAINNAME, ERROR_INVALID_DRIVE, ERROR_INVALID_DRIVE_OBJECT, ERROR_INVALID_DWP_HANDLE, ERROR_INVALID_EA_HANDLE, ERROR_INVALID_EA_NAME, ERROR_INVALID_EDIT_HEIGHT, ERROR_INVALID_ENVIRONMENT, ERROR_INVALID_EVENT_COUNT, ERROR_INVALID_EVENTNAME, ERROR_INVALID_EXE_SIGNATURE, ERROR_INVALID_FIELD, ERROR_INVALID_FILTER_PROC, ERROR_INVALID_FLAG_NUMBER, ERROR_INVALID_FLAGS, ERROR_INVALID_FORM_NAME, ERROR_INVALID_FORM_SIZE, ERROR_INVALID_FUNCTION, ERROR_INVALID_GROUP_ATTRIBUTES, ERROR_INVALID_GROUPNAME, ERROR_INVALID_GW_COMMAND, ERROR_INVALID_HANDLE, ERROR_INVALID_HANDLE_STATE, ERROR_INVALID_HOOK_FILTER, ERROR_INVALID_HOOK_HANDLE, ERROR_INVALID_HW_PROFILE, ERROR_INVALID_ICON_HANDLE, ERROR_INVALID_ID_AUTHORITY, ERROR_INVALID_IMAGE_HASH, ERROR_INVALID_IMPORT_OF_NON_DLL, ERROR_INVALID_INDEX, ERROR_INVALID_KEYBOARD_HANDLE, ERROR_INVALID_LABEL, ERROR_INVALID_LB_MESSAGE, ERROR_INVALID_LDT_DESCRIPTOR, ERROR_INVALID_LDT_OFFSET, ERROR_INVALID_LDT_SIZE, ERROR_INVALID_LEVEL, ERROR_INVALID_LIBRARY, ERROR_INVALID_LIST_FORMAT, ERROR_INVALID_LOGON_HOURS, ERROR_INVALID_LOGON_TYPE, ERROR_INVALID_MEDIA, ERROR_INVALID_MEDIA_POOL, ERROR_INVALID_MEMBER, ERROR_INVALID_MENU_HANDLE, ERROR_INVALID_MESSAGE, ERROR_INVALID_MESSAGEDEST, ERROR_INVALID_MESSAGENAME, ERROR_INVALID_MINALLOCSIZE, ERROR_INVALID_MODULETYPE, ERROR_INVALID_MONITOR_HANDLE, ERROR_INVALID_MSGBOX_STYLE, ERROR_INVALID_NAME, ERROR_INVALID_NETNAME, ERROR_INVALID_OPERATION, ERROR_INVALID_OPERATION_ON_QUORUM, ERROR_INVALID_OPLOCK_PROTOCOL, ERROR_INVALID_ORDINAL, ERROR_INVALID_OWNER, ERROR_INVALID_PARAMETER, ERROR_INVALID_PASSWORD, ERROR_INVALID_PASSWORDNAME, ERROR_INVALID_PATCH_XML, ERROR_INVALID_PIXEL_FORMAT, ERROR_INVALID_PLUGPLAY_DEVICE_PATH, ERROR_INVALID_PORT_ATTRIBUTES, ERROR_INVALID_PRIMARY_GROUP, ERROR_INVALID_PRINT_MONITOR, ERROR_INVALID_PRINTER_COMMAND, ERROR_INVALID_PRINTER_NAME, ERROR_INVALID_PRINTER_STATE, ERROR_INVALID_PRIORITY, ERROR_INVALID_PROFILE, ERROR_INVALID_QUOTA_LOWER, ERROR_INVALID_REPARSE_DATA, ERROR_INVALID_SCROLLBAR_RANGE, ERROR_INVALID_SECURITY_DESCR, ERROR_INVALID_SEGDPL, ERROR_INVALID_SEGMENT_NUMBER, ERROR_INVALID_SEPARATOR_FILE, ERROR_INVALID_SERVER_STATE, ERROR_INVALID_SERVICE_ACCOUNT, ERROR_INVALID_SERVICE_CONTROL, ERROR_INVALID_SERVICE_LOCK, ERROR_INVALID_SERVICENAME, ERROR_INVALID_SHARENAME, ERROR_INVALID_SHOWWIN_COMMAND, ERROR_INVALID_SID, ERROR_INVALID_SIGNAL_NUMBER, ERROR_INVALID_SPI_VALUE, ERROR_INVALID_STACKSEG, ERROR_INVALID_STARTING_CODESEG, ERROR_INVALID_STATE, ERROR_INVALID_SUB_AUTHORITY, ERROR_INVALID_TABLE, ERROR_INVALID_TARGET_HANDLE, ERROR_INVALID_TASK_INDEX, ERROR_INVALID_TASK_NAME, ERROR_INVALID_THREAD_ID, ERROR_INVALID_TIME, ERROR_INVALID_TRANSACTION, ERROR_INVALID_TRANSFORM, ERROR_INVALID_UNWIND_TARGET, ERROR_INVALID_USER_BUFFER, ERROR_INVALID_VARIANT, ERROR_INVALID_VERIFY_SWITCH, ERROR_INVALID_WINDOW_HANDLE, ERROR_INVALID_WINDOW_STYLE, ERROR_INVALID_WORKSTATION, ERROR_IO_DEVICE, ERROR_IO_INCOMPLETE, ERROR_IO_PENDING, ERROR_IO_PRIVILEGE_FAILED, ERROR_IO_REISSUE_AS_CACHED, ERROR_IOPL_NOT_ENABLED, ERROR_IP_ADDRESS_CONFLICT1, ERROR_IP_ADDRESS_CONFLICT2, ERROR_IPSEC_BAD_SPI, ERROR_IPSEC_CLEAR_TEXT_DROP, ERROR_IPSEC_DEFAULT_MM_AUTH_NOT_FOUND, ERROR_IPSEC_DEFAULT_MM_POLICY_NOT_FOUND, ERROR_IPSEC_DEFAULT_QM_POLICY_NOT_FOUND, ERROR_IPSEC_IKE_ADD_UPDATE_KEY_FAILED, ERROR_IPSEC_IKE_ATTRIB_FAIL, ERROR_IPSEC_IKE_AUTH_FAIL, ERROR_IPSEC_IKE_BENIGN_REINIT, ERROR_IPSEC_IKE_CERT_CHAIN_POLICY_MISMATCH, ERROR_IPSEC_IKE_CGA_AUTH_FAILED, ERROR_IPSEC_IKE_CRL_FAILED, ERROR_IPSEC_IKE_DECRYPT, ERROR_IPSEC_IKE_DH_FAIL, ERROR_IPSEC_IKE_DH_FAILURE, ERROR_IPSEC_IKE_DOS_COOKIE_SENT, ERROR_IPSEC_IKE_DROP_NO_RESPONSE, ERROR_IPSEC_IKE_ENCRYPT, ERROR_IPSEC_IKE_ERROR, ERROR_IPSEC_IKE_FAILQUERYSSP, ERROR_IPSEC_IKE_FAILSSPINIT, ERROR_IPSEC_IKE_GENERAL_PROCESSING_ERROR, ERROR_IPSEC_IKE_GETSPIFAIL, ERROR_IPSEC_IKE_INVALID_AUTH_ALG, ERROR_IPSEC_IKE_INVALID_AUTH_PAYLOAD, ERROR_IPSEC_IKE_INVALID_CERT_KEYLEN, ERROR_IPSEC_IKE_INVALID_CERT_TYPE, ERROR_IPSEC_IKE_INVALID_COOKIE, ERROR_IPSEC_IKE_INVALID_ENCRYPT_ALG, ERROR_IPSEC_IKE_INVALID_FILTER, ERROR_IPSEC_IKE_INVALID_GROUP, ERROR_IPSEC_IKE_INVALID_HASH, ERROR_IPSEC_IKE_INVALID_HASH_ALG, ERROR_IPSEC_IKE_INVALID_HASH_SIZE, ERROR_IPSEC_IKE_INVALID_HEADER, ERROR_IPSEC_IKE_INVALID_KEY_USAGE, ERROR_IPSEC_IKE_INVALID_MM_FOR_QM, ERROR_IPSEC_IKE_INVALID_PAYLOAD, ERROR_IPSEC_IKE_INVALID_POLICY, ERROR_IPSEC_IKE_INVALID_RESPONDER_LIFETIME_NOTIFY, ERROR_IPSEC_IKE_INVALID_SIG, ERROR_IPSEC_IKE_INVALID_SIGNATURE, ERROR_IPSEC_IKE_INVALID_SITUATION, ERROR_IPSEC_IKE_KERBEROS_ERROR, ERROR_IPSEC_IKE_LOAD_FAILED, ERROR_IPSEC_IKE_LOAD_SOFT_SA, ERROR_IPSEC_IKE_MM_ACQUIRE_DROP, ERROR_IPSEC_IKE_MM_DELAY_DROP, ERROR_IPSEC_IKE_MM_EXPIRED, ERROR_IPSEC_IKE_MM_LIMIT, ERROR_IPSEC_IKE_NEG_STATUS_BEGIN, ERROR_IPSEC_IKE_NEG_STATUS_END, ERROR_IPSEC_IKE_NEGOTIATION_DISABLED, ERROR_IPSEC_IKE_NEGOTIATION_PENDING, ERROR_IPSEC_IKE_NO_CERT, ERROR_IPSEC_IKE_NO_MM_POLICY, ERROR_IPSEC_IKE_NO_PEER_CERT, ERROR_IPSEC_IKE_NO_POLICY, ERROR_IPSEC_IKE_NO_PRIVATE_KEY, ERROR_IPSEC_IKE_NO_PUBLIC_KEY, ERROR_IPSEC_IKE_NOTCBPRIV, ERROR_IPSEC_IKE_OUT_OF_MEMORY, ERROR_IPSEC_IKE_PEER_CRL_FAILED, ERROR_IPSEC_IKE_PEER_MM_ASSUMED_INVALID, ERROR_IPSEC_IKE_POLICY_CHANGE, ERROR_IPSEC_IKE_POLICY_MATCH, ERROR_IPSEC_IKE_PROCESS_ERR, ERROR_IPSEC_IKE_PROCESS_ERR_CERT, ERROR_IPSEC_IKE_PROCESS_ERR_CERT_REQ, ERROR_IPSEC_IKE_PROCESS_ERR_DELETE, ERROR_IPSEC_IKE_PROCESS_ERR_HASH, ERROR_IPSEC_IKE_PROCESS_ERR_ID, ERROR_IPSEC_IKE_PROCESS_ERR_KE, ERROR_IPSEC_IKE_PROCESS_ERR_NATOA, ERROR_IPSEC_IKE_PROCESS_ERR_NONCE, ERROR_IPSEC_IKE_PROCESS_ERR_NOTIFY, ERROR_IPSEC_IKE_PROCESS_ERR_PROP, ERROR_IPSEC_IKE_PROCESS_ERR_SA, ERROR_IPSEC_IKE_PROCESS_ERR_SIG, ERROR_IPSEC_IKE_PROCESS_ERR_TRANS, ERROR_IPSEC_IKE_PROCESS_ERR_VENDOR, ERROR_IPSEC_IKE_QM_ACQUIRE_DROP, ERROR_IPSEC_IKE_QM_DELAY_DROP, ERROR_IPSEC_IKE_QM_EXPIRED, ERROR_IPSEC_IKE_QM_LIMIT, ERROR_IPSEC_IKE_QUEUE_DROP_MM, ERROR_IPSEC_IKE_QUEUE_DROP_NO_MM, ERROR_IPSEC_IKE_RPC_DELETE, ERROR_IPSEC_IKE_SA_DELETED, ERROR_IPSEC_IKE_SA_REAPED, ERROR_IPSEC_IKE_SECLOADFAIL, ERROR_IPSEC_IKE_SHUTTING_DOWN, ERROR_IPSEC_IKE_SOFT_SA_TORN_DOWN, ERROR_IPSEC_IKE_SRVACQFAIL, ERROR_IPSEC_IKE_SRVQUERYCRED, ERROR_IPSEC_IKE_TIMED_OUT, ERROR_IPSEC_IKE_TOO_MANY_FILTERS, ERROR_IPSEC_IKE_UNEXPECTED_MESSAGE_ID, ERROR_IPSEC_IKE_UNKNOWN_DOI, ERROR_IPSEC_IKE_UNSUPPORTED_ID, ERROR_IPSEC_INTEGRITY_CHECK_FAILED, ERROR_IPSEC_INVALID_PACKET, ERROR_IPSEC_MM_AUTH_EXISTS, ERROR_IPSEC_MM_AUTH_IN_USE, ERROR_IPSEC_MM_AUTH_NOT_FOUND, ERROR_IPSEC_MM_AUTH_PENDING_DELETION, ERROR_IPSEC_MM_FILTER_EXISTS, ERROR_IPSEC_MM_FILTER_NOT_FOUND, ERROR_IPSEC_MM_FILTER_PENDING_DELETION, ERROR_IPSEC_MM_POLICY_EXISTS, ERROR_IPSEC_MM_POLICY_IN_USE, ERROR_IPSEC_MM_POLICY_NOT_FOUND, ERROR_IPSEC_MM_POLICY_PENDING_DELETION, ERROR_IPSEC_QM_POLICY_EXISTS, ERROR_IPSEC_QM_POLICY_IN_USE, ERROR_IPSEC_QM_POLICY_NOT_FOUND, ERROR_IPSEC_QM_POLICY_PENDING_DELETION, ERROR_IPSEC_REPLAY_CHECK_FAILED, ERROR_IPSEC_SA_LIFETIME_EXPIRED, ERROR_IPSEC_TRANSPORT_FILTER_EXISTS, ERROR_IPSEC_TRANSPORT_FILTER_NOT_FOUND, ERROR_IPSEC_TRANSPORT_FILTER_PENDING_DELETION, ERROR_IPSEC_TUNNEL_FILTER_EXISTS, ERROR_IPSEC_TUNNEL_FILTER_NOT_FOUND, ERROR_IPSEC_TUNNEL_FILTER_PENDING_DELETION, ERROR_IPSEC_WRONG_SA, ERROR_IRQ_BUSY, ERROR_IS_JOIN_PATH, ERROR_IS_JOIN_TARGET, ERROR_IS_JOINED, ERROR_IS_SUBST_PATH, ERROR_IS_SUBST_TARGET, ERROR_IS_SUBSTED, ERROR_ITERATED_DATA_EXCEEDS_64k, ERROR_JOIN_TO_JOIN, ERROR_JOIN_TO_SUBST, ERROR_JOURNAL_DELETE_IN_PROGRESS, ERROR_JOURNAL_ENTRY_DELETED, ERROR_JOURNAL_HOOK_SET, ERROR_JOURNAL_NOT_ACTIVE, ERROR_KERNEL_APC, ERROR_KEY_DELETED, ERROR_KEY_HAS_CHILDREN, ERROR_KM_DRIVER_BLOCKED, ERROR_LABEL_TOO_LONG, ERROR_LAST_ADMIN, ERROR_LB_WITHOUT_TABSTOPS, ERROR_LIBRARY_FULL, ERROR_LIBRARY_OFFLINE, ERROR_LICENSE_QUOTA_EXCEEDED, ERROR_LISTBOX_ID_NOT_FOUND, ERROR_LM_CROSS_ENCRYPTION_REQUIRED, ERROR_LOCAL_USER_SESSION_KEY, ERROR_LOCK_FAILED, ERROR_LOCK_VIOLATION, ERROR_LOCKED, ERROR_LOG_APPENDED_FLUSH_FAILED, ERROR_LOG_ARCHIVE_IN_PROGRESS, ERROR_LOG_ARCHIVE_NOT_IN_PROGRESS, ERROR_LOG_BLOCK_INCOMPLETE, ERROR_LOG_BLOCK_INVALID, ERROR_LOG_BLOCK_VERSION, ERROR_LOG_BLOCKS_EXHAUSTED, ERROR_LOG_CANT_DELETE, ERROR_LOG_CLIENT_ALREADY_REGISTERED, ERROR_LOG_CLIENT_NOT_REGISTERED, ERROR_LOG_CONTAINER_LIMIT_EXCEEDED, ERROR_LOG_CONTAINER_OPEN_FAILED, ERROR_LOG_CONTAINER_READ_FAILED, ERROR_LOG_CONTAINER_STATE_INVALID, ERROR_LOG_CONTAINER_WRITE_FAILED, ERROR_LOG_CORRUPTION_DETECTED, ERROR_LOG_DEDICATED, ERROR_LOG_EPHEMERAL, ERROR_LOG_FILE_FULL, ERROR_LOG_FULL, ERROR_LOG_FULL_HANDLER_IN_PROGRESS, ERROR_LOG_GROWTH_FAILED, ERROR_LOG_HARD_ERROR, ERROR_LOG_INCONSISTENT_SECURITY, ERROR_LOG_INVALID_RANGE, ERROR_LOG_METADATA_CORRUPT, ERROR_LOG_METADATA_FLUSH_FAILED, ERROR_LOG_METADATA_INCONSISTENT, ERROR_LOG_METADATA_INVALID, ERROR_LOG_MULTIPLEXED, ERROR_LOG_NO_RESTART, ERROR_LOG_NOT_ENOUGH_CONTAINERS, ERROR_LOG_PINNED, ERROR_LOG_PINNED_ARCHIVE_TAIL, ERROR_LOG_PINNED_RESERVATION, ERROR_LOG_POLICY_ALREADY_INSTALLED, ERROR_LOG_POLICY_CONFLICT, ERROR_LOG_POLICY_INVALID, ERROR_LOG_POLICY_NOT_INSTALLED, ERROR_LOG_READ_CONTEXT_INVALID, ERROR_LOG_READ_MODE_INVALID, ERROR_LOG_RECORD_NONEXISTENT, ERROR_LOG_RECORDS_RESERVED_INVALID, ERROR_LOG_RESERVATION_INVALID, ERROR_LOG_RESIZE_INVALID_SIZE, ERROR_LOG_RESTART_INVALID, ERROR_LOG_SECTOR_INVALID, ERROR_LOG_SECTOR_PARITY_INVALID, ERROR_LOG_SECTOR_REMAPPED, ERROR_LOG_SPACE_RESERVED_INVALID, ERROR_LOG_START_OF_LOG, ERROR_LOG_STATE_INVALID, ERROR_LOG_TAIL_INVALID, ERROR_LOGIN_TIME_RESTRICTION, ERROR_LOGIN_WKSTA_RESTRICTION, ERROR_LOGON_FAILURE, ERROR_LOGON_NOT_GRANTED, ERROR_LOGON_SERVER_CONFLICT, ERROR_LOGON_SESSION_COLLISION, ERROR_LOGON_SESSION_EXISTS, ERROR_LOGON_TYPE_NOT_GRANTED, ERROR_LONGJUMP, ERROR_LOST_WRITEBEHIND_DATA, ERROR_LOST_WRITEBEHIND_DATA_LOCAL_DISK_ERROR, ERROR_LOST_WRITEBEHIND_DATA_NETWORK_DISCONNECTED, ERROR_LOST_WRITEBEHIND_DATA_NETWORK_SERVER_ERROR, ERROR_LUIDS_EXHAUSTED, ERROR_MACHINE_LOCKED, ERROR_MAGAZINE_NOT_PRESENT, ERROR_MALFORMED_SUBSTITUTION_STRING, ERROR_MAPPED_ALIGNMENT, ERROR_MARSHALL_OVERFLOW, ERROR_MAX_SESSIONS_REACHED, ERROR_MAX_THRDS_REACHED, ERROR_MCA_EXCEPTION, ERROR_MCA_INTERNAL_ERROR, ERROR_MCA_INVALID_CAPABILITIES_STRING, ERROR_MCA_INVALID_TECHNOLOGY_TYPE_RETURNED, ERROR_MCA_INVALID_VCP_VERSION, ERROR_MCA_MCCS_VERSION_MISMATCH, ERROR_MCA_MONITOR_VIOLATES_MCCS_SPECIFICATION, ERROR_MCA_OCCURED, ERROR_MCA_UNSUPPORTED_COLOR_TEMPERATURE, ERROR_MCA_UNSUPPORTED_MCCS_VERSION, ERROR_MEDIA_CHANGED, ERROR_MEDIA_CHECK, ERROR_MEDIA_INCOMPATIBLE, ERROR_MEDIA_NOT_AVAILABLE, ERROR_MEDIA_OFFLINE, ERROR_MEDIA_UNAVAILABLE, ERROR_MEDIUM_NOT_ACCESSIBLE, ERROR_MEMBER_IN_ALIAS, ERROR_MEMBER_IN_GROUP, ERROR_MEMBER_NOT_IN_ALIAS, ERROR_MEMBER_NOT_IN_GROUP, ERROR_MEMBERS_PRIMARY_GROUP, ERROR_MEMORY_HARDWARE, ERROR_MENU_ITEM_NOT_FOUND, ERROR_MESSAGE_EXCEEDS_MAX_SIZE, ERROR_MESSAGE_SYNC_ONLY, ERROR_META_EXPANSION_TOO_LONG, ERROR_METAFILE_NOT_SUPPORTED, ERROR_MINIVERSION_INACCESSIBLE_FROM_SPECIFIED_TRANSACTION, ERROR_MISSING_SYSTEMFILE, ERROR_MOD_NOT_FOUND, ERROR_MONITOR_INVALID_DESCRIPTOR_CHECKSUM, ERROR_MONITOR_INVALID_DETAILED_TIMING_BLOCK, ERROR_MONITOR_INVALID_SERIAL_NUMBER_MONDSC_BLOCK, ERROR_MONITOR_INVALID_STANDARD_TIMING_BLOCK, ERROR_MONITOR_INVALID_USER_FRIENDLY_MONDSC_BLOCK, ERROR_MONITOR_NO_DESCRIPTOR, ERROR_MONITOR_NO_MORE_DESCRIPTOR_DATA, ERROR_MONITOR_UNKNOWN_DESCRIPTOR_FORMAT, ERROR_MONITOR_WMI_DATABLOCK_REGISTRATION_FAILED, ERROR_MORE_DATA, ERROR_MORE_WRITES, ERROR_MOUNT_POINT_NOT_RESOLVED, ERROR_MP_PROCESSOR_MISMATCH, ERROR_MR_MID_NOT_FOUND, ERROR_MUI_FILE_NOT_FOUND, ERROR_MUI_FILE_NOT_LOADED, ERROR_MUI_INTLSETTINGS_INVALID_LOCALE_NAME, ERROR_MUI_INTLSETTINGS_UILANG_NOT_INSTALLED, ERROR_MUI_INVALID_FILE, ERROR_MUI_INVALID_LOCALE_NAME, ERROR_MUI_INVALID_RC_CONFIG, ERROR_MUI_INVALID_ULTIMATEFALLBACK_NAME, ERROR_MULTIPLE_FAULT_VIOLATION, ERROR_MUTANT_LIMIT_EXCEEDED, ERROR_MUTUAL_AUTH_FAILED, ERROR_NDIS_ADAPTER_NOT_FOUND, ERROR_NDIS_ADAPTER_NOT_READY, ERROR_NDIS_ADAPTER_REMOVED, ERROR_NDIS_ALREADY_MAPPED, ERROR_NDIS_BAD_CHARACTERISTICS, ERROR_NDIS_BAD_VERSION, ERROR_NDIS_BUFFER_TOO_SHORT, ERROR_NDIS_DEVICE_FAILED, ERROR_NDIS_DOT11_AUTO_CONFIG_ENABLED, ERROR_NDIS_DOT11_MEDIA_IN_USE, ERROR_NDIS_DOT11_POWER_STATE_INVALID, ERROR_NDIS_ERROR_READING_FILE, ERROR_NDIS_FILE_NOT_FOUND, ERROR_NDIS_GROUP_ADDRESS_IN_USE, ERROR_NDIS_INDICATION_REQUIRED, ERROR_NDIS_INTERFACE_CLOSING, ERROR_NDIS_INTERFACE_NOT_FOUND, ERROR_NDIS_INVALID_ADDRESS, ERROR_NDIS_INVALID_DATA, ERROR_NDIS_INVALID_DEVICE_REQUEST, ERROR_NDIS_INVALID_LENGTH, ERROR_NDIS_INVALID_OID, ERROR_NDIS_INVALID_PACKET, ERROR_NDIS_INVALID_PORT, ERROR_NDIS_INVALID_PORT_STATE, ERROR_NDIS_LOW_POWER_STATE, ERROR_NDIS_MEDIA_DISCONNECTED, ERROR_NDIS_MULTICAST_EXISTS, ERROR_NDIS_MULTICAST_FULL, ERROR_NDIS_MULTICAST_NOT_FOUND, ERROR_NDIS_NOT_SUPPORTED, ERROR_NDIS_OPEN_FAILED, ERROR_NDIS_PAUSED, ERROR_NDIS_REQUEST_ABORTED, ERROR_NDIS_RESET_IN_PROGRESS, ERROR_NDIS_RESOURCE_CONFLICT, ERROR_NDIS_UNSUPPORTED_MEDIA, ERROR_NDIS_UNSUPPORTED_REVISION, ERROR_NEGATIVE_SEEK, ERROR_NESTING_NOT_ALLOWED, ERROR_NET_OPEN_FAILED, ERROR_NET_WRITE_FAULT, ERROR_NETLOGON_NOT_STARTED, ERROR_NETNAME_DELETED, ERROR_NETWORK_ACCESS_DENIED, ERROR_NETWORK_BUSY, ERROR_NETWORK_NOT_AVAILABLE, ERROR_NETWORK_UNREACHABLE, ERROR_NO_ASSOCIATION, ERROR_NO_BROWSER_SERVERS_FOUND, ERROR_NO_CALLBACK_ACTIVE, ERROR_NO_DATA, ERROR_NO_DATA_DETECTED, ERROR_NO_EFS, ERROR_NO_EVENT_PAIR, ERROR_NO_GUID_TRANSLATION, ERROR_NO_IMPERSONATION_TOKEN, ERROR_NO_INHERITANCE, ERROR_NO_LINK_TRACKING_IN_TRANSACTION, ERROR_NO_LOG_SPACE, ERROR_NO_LOGON_SERVERS, ERROR_NO_MATCH, ERROR_NO_MEDIA_IN_DRIVE, ERROR_NO_MORE_DEVICES, ERROR_NO_MORE_FILES, ERROR_NO_MORE_ITEMS, ERROR_NO_MORE_MATCHES, ERROR_NO_MORE_SEARCH_HANDLES, ERROR_NO_MORE_USER_HANDLES, ERROR_NO_NET_OR_BAD_PATH, ERROR_NO_NETWORK, ERROR_NO_PAGEFILE, ERROR_NO_PROC_SLOTS, ERROR_NO_PROMOTION_ACTIVE, ERROR_NO_QUOTAS_FOR_ACCOUNT, ERROR_NO_RECOVERY_POLICY, ERROR_NO_RECOVERY_PROGRAM, ERROR_NO_SAVEPOINT_WITH_OPEN_FILES, ERROR_NO_SCROLLBARS, ERROR_NO_SECRETS, ERROR_NO_SECURITY_ON_OBJECT, ERROR_NO_SHUTDOWN_IN_PROGRESS, ERROR_NO_SIGNAL_SENT, ERROR_NO_SITE_SETTINGS_OBJECT, ERROR_NO_SITENAME, ERROR_NO_SPOOL_SPACE, ERROR_NO_SUCH_ALIAS, ERROR_NO_SUCH_DOMAIN, ERROR_NO_SUCH_GROUP, ERROR_NO_SUCH_LOGON_SESSION, ERROR_NO_SUCH_MEMBER, ERROR_NO_SUCH_PACKAGE, ERROR_NO_SUCH_PRIVILEGE, ERROR_NO_SUCH_SITE, ERROR_NO_SUCH_USER, ERROR_NO_SUPPORTING_DRIVES, ERROR_NO_SYSTEM_MENU, ERROR_NO_SYSTEM_RESOURCES, ERROR_NO_TOKEN, ERROR_NO_TRACKING_SERVICE, ERROR_NO_TRUST_LSA_SECRET, ERROR_NO_TRUST_SAM_ACCOUNT, ERROR_NO_TXF_METADATA, ERROR_NO_UNICODE_TRANSLATION, ERROR_NO_USER_KEYS, ERROR_NO_USER_SESSION_KEY, ERROR_NO_VOLUME_ID, ERROR_NO_VOLUME_LABEL, ERROR_NO_WILDCARD_CHARACTERS, ERROR_NO_WRITABLE_DC_FOUND, ERROR_NO_YIELD_PERFORMED, ERROR_NOACCESS, ERROR_NODE_CANNOT_BE_CLUSTERED, ERROR_NODE_CANT_HOST_RESOURCE, ERROR_NODE_NOT_AVAILABLE, ERROR_NOINTERFACE, ERROR_NOLOGON_INTERDOMAIN_TRUST_ACCOUNT, ERROR_NOLOGON_SERVER_TRUST_ACCOUNT, ERROR_NOLOGON_WORKSTATION_TRUST_ACCOUNT, ERROR_NON_ACCOUNT_SID, ERROR_NON_DOMAIN_SID, ERROR_NON_MDICHILD_WINDOW, ERROR_NONE_MAPPED, ERROR_NONPAGED_SYSTEM_RESOURCES, ERROR_NOT_A_REPARSE_POINT, ERROR_NOT_ALL_ASSIGNED, ERROR_NOT_AUTHENTICATED, ERROR_NOT_CAPABLE, ERROR_NOT_CHILD_WINDOW, ERROR_NOT_CONNECTED, ERROR_NOT_CONTAINER, ERROR_NOT_DOS_DISK, ERROR_NOT_EMPTY, ERROR_NOT_ENOUGH_MEMORY, ERROR_NOT_ENOUGH_QUOTA, ERROR_NOT_ENOUGH_SERVER_MEMORY, ERROR_NOT_EXPORT_FORMAT, ERROR_NOT_FOUND, ERROR_NOT_JOINED, ERROR_NOT_LOCKED, ERROR_NOT_LOGGED_ON, ERROR_NOT_LOGON_PROCESS, ERROR_NOT_OWNER, ERROR_NOT_QUORUM_CAPABLE, ERROR_NOT_QUORUM_CLASS, ERROR_NOT_READY, ERROR_NOT_REGISTRY_FILE, ERROR_NOT_SAFE_MODE_DRIVER, ERROR_NOT_SAFEBOOT_SERVICE, ERROR_NOT_SAME_DEVICE, ERROR_NOT_SNAPSHOT_VOLUME, ERROR_NOT_SUBSTED, ERROR_NOT_SUPPORTED, ERROR_NOT_SUPPORTED_ON_SBS, ERROR_NOT_SUPPORTED_ON_STANDARD_SERVER, ERROR_NOT_TINY_STREAM, ERROR_NOTHING_TO_TERMINATE, ERROR_NOTIFY_CLEANUP, ERROR_NOTIFY_ENUM_DIR, ERROR_NT_CROSS_ENCRYPTION_REQUIRED, ERROR_NTLM_BLOCKED, ERROR_NULL_LM_PASSWORD, ERROR_OBJECT_ALREADY_EXISTS, ERROR_OBJECT_IN_LIST, ERROR_OBJECT_NAME_EXISTS, ERROR_OBJECT_NO_LONGER_EXISTS, ERROR_OBJECT_NOT_FOUND, ERROR_OLD_WIN_VERSION, ERROR_ONLY_IF_CONNECTED, ERROR_OPEN_FAILED, ERROR_OPEN_FILES, ERROR_OPERATION_ABORTED, ERROR_OPERATION_NOT_SUPPORTED_IN_TRANSACTION, ERROR_OPLOCK_BREAK_IN_PROGRESS, ERROR_OPLOCK_NOT_GRANTED, ERROR_OUT_OF_PAPER, ERROR_OUT_OF_STRUCTURES, ERROR_OUTOFMEMORY, ERROR_OVERRIDE_NOCHANGES, ERROR_PAGE_FAULT_COPY_ON_WRITE, ERROR_PAGE_FAULT_DEMAND_ZERO, ERROR_PAGE_FAULT_GUARD_PAGE, ERROR_PAGE_FAULT_PAGING_FILE, ERROR_PAGE_FAULT_TRANSITION, ERROR_PAGED_SYSTEM_RESOURCES, ERROR_PAGEFILE_CREATE_FAILED, ERROR_PAGEFILE_QUOTA, ERROR_PAGEFILE_QUOTA_EXCEEDED, ERROR_PARAMETER_QUOTA_EXCEEDED, ERROR_PARTIAL_COPY, ERROR_PARTITION_FAILURE, ERROR_PASSWORD_EXPIRED, ERROR_PASSWORD_MUST_CHANGE, ERROR_PASSWORD_RESTRICTION, ERROR_PATCH_MANAGED_ADVERTISED_PRODUCT, ERROR_PATCH_NO_SEQUENCE, ERROR_PATCH_PACKAGE_INVALID, ERROR_PATCH_PACKAGE_OPEN_FAILED, ERROR_PATCH_PACKAGE_REJECTED, ERROR_PATCH_PACKAGE_UNSUPPORTED, ERROR_PATCH_REMOVAL_DISALLOWED, ERROR_PATCH_REMOVAL_UNSUPPORTED, ERROR_PATCH_TARGET_NOT_FOUND, ERROR_PATH_BUSY, ERROR_PATH_NOT_FOUND, ERROR_PER_USER_TRUST_QUOTA_EXCEEDED, ERROR_PIPE_BUSY, ERROR_PIPE_CONNECTED, ERROR_PIPE_LISTENING, ERROR_PIPE_LOCAL, ERROR_PIPE_NOT_CONNECTED, ERROR_PKINIT_FAILURE, ERROR_PLUGPLAY_QUERY_VETOED, ERROR_PNP_BAD_MPS_TABLE, ERROR_PNP_INVALID_ID, ERROR_PNP_IRQ_TRANSLATION_FAILED, ERROR_PNP_REBOOT_REQUIRED, ERROR_PNP_RESTART_ENUMERATION, ERROR_PNP_TRANSLATION_FAILED, ERROR_POINT_NOT_FOUND, ERROR_POLICY_OBJECT_NOT_FOUND, ERROR_POLICY_ONLY_IN_DS, ERROR_POPUP_ALREADY_ACTIVE, ERROR_PORT_MESSAGE_TOO_LONG, ERROR_PORT_NOT_SET, ERROR_PORT_UNREACHABLE, ERROR_POSSIBLE_DEADLOCK, ERROR_POTENTIAL_FILE_FOUND, ERROR_PREDEFINED_HANDLE, ERROR_PRIMARY_TRANSPORT_CONNECT_FAILED, ERROR_PRINT_CANCELLED, ERROR_PRINT_JOB_RESTART_REQUIRED, ERROR_PRINT_MONITOR_ALREADY_INSTALLED, ERROR_PRINT_MONITOR_IN_USE, ERROR_PRINT_PROCESSOR_ALREADY_INSTALLED, ERROR_PRINTER_ALREADY_EXISTS, ERROR_PRINTER_DELETED, ERROR_PRINTER_DRIVER_ALREADY_INSTALLED, ERROR_PRINTER_DRIVER_BLOCKED, ERROR_PRINTER_DRIVER_DOWNLOAD_NEEDED, ERROR_PRINTER_DRIVER_IN_USE, ERROR_PRINTER_DRIVER_PACKAGE_IN_USE, ERROR_PRINTER_DRIVER_WARNED, ERROR_PRINTER_HAS_JOBS_QUEUED, ERROR_PRINTER_NOT_FOUND, ERROR_PRINTQ_FULL, ERROR_PRIVATE_DIALOG_INDEX, ERROR_PRIVILEGE_NOT_HELD, ERROR_PROC_NOT_FOUND, ERROR_PROCESS_ABORTED, ERROR_PROCESS_IN_JOB, ERROR_PROCESS_IS_PROTECTED, ERROR_PROCESS_MODE_ALREADY_BACKGROUND, ERROR_PROCESS_MODE_NOT_BACKGROUND, ERROR_PROCESS_NOT_IN_JOB, ERROR_PRODUCT_UNINSTALLED, ERROR_PRODUCT_VERSION, ERROR_PROFILE_DOES_NOT_MATCH_DEVICE, ERROR_PROFILE_NOT_ASSOCIATED_WITH_DEVICE, ERROR_PROFILE_NOT_FOUND, ERROR_PROFILING_AT_LIMIT, ERROR_PROFILING_NOT_STARTED, ERROR_PROFILING_NOT_STOPPED, ERROR_PROMOTION_ACTIVE, ERROR_PROTOCOL_UNREACHABLE, ERROR_PWD_HISTORY_CONFLICT, ERROR_PWD_TOO_RECENT, ERROR_PWD_TOO_SHORT, ERROR_QUORUM_DISK_NOT_FOUND, ERROR_QUORUM_NOT_ALLOWED_IN_THIS_GROUP, ERROR_QUORUM_OWNER_ALIVE, ERROR_QUORUM_RESOURCE, ERROR_QUORUM_RESOURCE_ONLINE_FAILED, ERROR_QUORUMLOG_OPEN_FAILED, ERROR_QUOTA_LIST_INCONSISTENT, ERROR_RANGE_LIST_CONFLICT, ERROR_RANGE_NOT_FOUND, ERROR_RDP_PROTOCOL_ERROR, ERROR_READ_FAULT, ERROR_REC_NON_EXISTENT, ERROR_RECEIVE_EXPEDITED, ERROR_RECEIVE_PARTIAL, ERROR_RECEIVE_PARTIAL_EXPEDITED, ERROR_RECOVERY_FAILURE, ERROR_RECOVERY_NOT_NEEDED, ERROR_REDIR_PAUSED, ERROR_REDIRECTOR_HAS_OPEN_HANDLES, ERROR_REG_NAT_CONSUMPTION, ERROR_REGISTRY_CORRUPT, ERROR_REGISTRY_HIVE_RECOVERED, ERROR_REGISTRY_IO_FAILED, ERROR_REGISTRY_QUOTA_LIMIT, ERROR_REGISTRY_RECOVERED, ERROR_RELOC_CHAIN_XEEDS_SEGLIM, ERROR_REM_NOT_LIST, ERROR_REMOTE_FILE_VERSION_MISMATCH, ERROR_REMOTE_PRINT_CONNECTIONS_BLOCKED, ERROR_REMOTE_SESSION_LIMIT_EXCEEDED, ERROR_REMOTE_STORAGE_MEDIA_ERROR, ERROR_REMOTE_STORAGE_NOT_ACTIVE, ERROR_REPARSE, ERROR_REPARSE_ATTRIBUTE_CONFLICT, ERROR_REPARSE_OBJECT, ERROR_REPARSE_TAG_INVALID, ERROR_REPARSE_TAG_MISMATCH, ERROR_REPLY_MESSAGE_MISMATCH, ERROR_REQ_NOT_ACCEP, ERROR_REQUEST_ABORTED, ERROR_REQUEST_OUT_OF_SEQUENCE, ERROR_REQUEST_REFUSED, ERROR_REQUIRES_INTERACTIVE_WINDOWSTATION, ERROR_RESMON_CREATE_FAILED, ERROR_RESMON_INVALID_STATE, ERROR_RESMON_ONLINE_FAILED, ERROR_RESOURCE_CALL_TIMED_OUT, ERROR_RESOURCE_DATA_NOT_FOUND, ERROR_RESOURCE_DISABLED, ERROR_RESOURCE_ENUM_USER_STOP, ERROR_RESOURCE_FAILED, ERROR_RESOURCE_LANG_NOT_FOUND, ERROR_RESOURCE_NAME_NOT_FOUND, ERROR_RESOURCE_NOT_AVAILABLE, ERROR_RESOURCE_NOT_FOUND, ERROR_RESOURCE_NOT_ONLINE, ERROR_RESOURCE_NOT_PRESENT, ERROR_RESOURCE_ONLINE, ERROR_RESOURCE_PROPERTIES_STORED, ERROR_RESOURCE_PROPERTY_UNCHANGEABLE, ERROR_RESOURCE_REQUIREMENTS_CHANGED, ERROR_RESOURCE_TYPE_NOT_FOUND, ERROR_RESOURCEMANAGER_NOT_FOUND, ERROR_RESOURCEMANAGER_READ_ONLY, ERROR_RESTART_APPLICATION, ERROR_RESUME_HIBERNATION, ERROR_RETRY, ERROR_REVISION_MISMATCH, ERROR_RING2_STACK_IN_USE, ERROR_RING2SEG_MUST_BE_MOVABLE, ERROR_RM_ALREADY_STARTED, ERROR_RM_DISCONNECTED, ERROR_RM_METADATA_CORRUPT, ERROR_RM_NOT_ACTIVE, ERROR_RMODE_APP, ERROR_ROLLBACK_TIMER_EXPIRED, ERROR_ROWSNOTRELEASED, ERROR_RPL_NOT_ALLOWED, ERROR_RXACT_COMMIT_FAILURE, ERROR_RXACT_COMMIT_NECESSARY, ERROR_RXACT_COMMITTED, ERROR_RXACT_INVALID_STATE, ERROR_RXACT_STATE_CREATED, ERROR_SAM_INIT_FAILURE, ERROR_SAME_DRIVE, ERROR_SCOPE_NOT_FOUND, ERROR_SCREEN_ALREADY_LOCKED, ERROR_SECRET_TOO_LONG, ERROR_SECTOR_NOT_FOUND, ERROR_SEEK, ERROR_SEEK_ON_DEVICE, ERROR_SEGMENT_NOTIFICATION, ERROR_SEM_IS_SET, ERROR_SEM_NOT_FOUND, ERROR_SEM_OWNER_DIED, ERROR_SEM_TIMEOUT, ERROR_SEM_USER_LIMIT, ERROR_SERIAL_NO_DEVICE, ERROR_SERVER_DISABLED, ERROR_SERVER_HAS_OPEN_HANDLES, ERROR_SERVER_NOT_DISABLED, ERROR_SERVER_SHUTDOWN_IN_PROGRESS, ERROR_SERVER_SID_MISMATCH, ERROR_SERVICE_ALREADY_RUNNING, ERROR_SERVICE_CANNOT_ACCEPT_CTRL, ERROR_SERVICE_DATABASE_LOCKED, ERROR_SERVICE_DEPENDENCY_DELETED, ERROR_SERVICE_DEPENDENCY_FAIL, ERROR_SERVICE_DISABLED, ERROR_SERVICE_DOES_NOT_EXIST, ERROR_SERVICE_EXISTS, ERROR_SERVICE_LOGON_FAILED, ERROR_SERVICE_MARKED_FOR_DELETE, ERROR_SERVICE_NEVER_STARTED, ERROR_SERVICE_NO_THREAD, ERROR_SERVICE_NOT_ACTIVE, ERROR_SERVICE_NOT_FOUND, ERROR_SERVICE_NOT_IN_EXE, ERROR_SERVICE_NOTIFICATION, ERROR_SERVICE_NOTIFY_CLIENT_LAGGING, ERROR_SERVICE_REQUEST_TIMEOUT, ERROR_SERVICE_SPECIFIC_ERROR, ERROR_SERVICE_START_HANG, ERROR_SESSION_CREDENTIAL_CONFLICT, ERROR_SET_NOT_FOUND, ERROR_SET_POWER_STATE_FAILED, ERROR_SET_POWER_STATE_VETOED, ERROR_SETCOUNT_ON_BAD_LB, ERROR_SETMARK_DETECTED, ERROR_SHARED_POLICY, ERROR_SHARING_BUFFER_EXCEEDED, ERROR_SHARING_PAUSED, ERROR_SHARING_VIOLATION, ERROR_SHUTDOWN_CLUSTER, ERROR_SHUTDOWN_IN_PROGRESS, ERROR_SHUTDOWN_IS_SCHEDULED, ERROR_SHUTDOWN_USERS_LOGGED_ON, ERROR_SIGNAL_PENDING, ERROR_SIGNAL_REFUSED, ERROR_SINGLE_INSTANCE_APP, ERROR_SMARTCARD_SUBSYSTEM_FAILURE, ERROR_SMI_PRIMITIVE_INSTALLER_FAILED, ERROR_SOME_NOT_MAPPED, ERROR_SOURCE_ELEMENT_EMPTY, ERROR_SPARSE_NOT_ALLOWED_IN_TRANSACTION, ERROR_SPECIAL_ACCOUNT, ERROR_SPECIAL_GROUP, ERROR_SPECIAL_USER, ERROR_SPL_NO_ADDJOB, ERROR_SPL_NO_STARTDOC, ERROR_SPOOL_FILE_NOT_FOUND, ERROR_STACK_BUFFER_OVERRUN, ERROR_STACK_OVERFLOW, ERROR_STACK_OVERFLOW_READ, ERROR_STATIC_INIT, ERROR_STOPPED_ON_SYMLINK, ERROR_STREAM_MINIVERSION_NOT_FOUND, ERROR_STREAM_MINIVERSION_NOT_VALID, ERROR_SUBST_TO_JOIN, ERROR_SUBST_TO_SUBST, ERROR_SUCCESS, ERROR_SUCCESS_REBOOT_INITIATED, ERROR_SUCCESS_REBOOT_REQUIRED, ERROR_SUCCESS_RESTART_REQUIRED, ERROR_SWAPERROR, ERROR_SXS_ACTIVATION_CONTEXT_DISABLED, ERROR_SXS_ASSEMBLY_IS_NOT_A_DEPLOYMENT, ERROR_SXS_ASSEMBLY_MISSING, ERROR_SXS_ASSEMBLY_NOT_FOUND, ERROR_SXS_ASSEMBLY_NOT_LOCKED, ERROR_SXS_CANT_GEN_ACTCTX, ERROR_SXS_COMPONENT_STORE_CORRUPT, ERROR_SXS_CORRUPT_ACTIVATION_STACK, ERROR_SXS_CORRUPTION, ERROR_SXS_DUPLICATE_ASSEMBLY_NAME, ERROR_SXS_DUPLICATE_CLSID, ERROR_SXS_DUPLICATE_DLL_NAME, ERROR_SXS_DUPLICATE_IID, ERROR_SXS_DUPLICATE_PROGID, ERROR_SXS_DUPLICATE_TLBID, ERROR_SXS_DUPLICATE_WINDOWCLASS_NAME, ERROR_SXS_EARLY_DEACTIVATION, ERROR_SXS_FILE_HASH_MISMATCH, ERROR_SXS_FILE_HASH_MISSING, ERROR_SXS_FILE_NOT_PART_OF_ASSEMBLY, ERROR_SXS_IDENTITIES_DIFFERENT, ERROR_SXS_IDENTITY_DUPLICATE_ATTRIBUTE, ERROR_SXS_IDENTITY_PARSE_ERROR, ERROR_SXS_INCORRECT_PUBLIC_KEY_TOKEN, ERROR_SXS_INVALID_ACTCTXDATA_FORMAT, ERROR_SXS_INVALID_ASSEMBLY_IDENTITY_ATTRIBUTE, ERROR_SXS_INVALID_ASSEMBLY_IDENTITY_ATTRIBUTE_NAME, ERROR_SXS_INVALID_DEACTIVATION, ERROR_SXS_INVALID_IDENTITY_ATTRIBUTE_NAME, ERROR_SXS_INVALID_IDENTITY_ATTRIBUTE_VALUE, ERROR_SXS_INVALID_XML_NAMESPACE_URI, ERROR_SXS_KEY_NOT_FOUND, ERROR_SXS_LEAF_MANIFEST_DEPENDENCY_NOT_INSTALLED, ERROR_SXS_MANIFEST_FORMAT_ERROR, ERROR_SXS_MANIFEST_IDENTITY_SAME_BUT_CONTENTS_DIFFERENT, ERROR_SXS_MANIFEST_INVALID_REQUIRED_DEFAULT_NAMESPACE, ERROR_SXS_MANIFEST_MISSING_REQUIRED_DEFAULT_NAMESPACE, ERROR_SXS_MANIFEST_PARSE_ERROR, ERROR_SXS_MANIFEST_TOO_BIG, ERROR_SXS_MISSING_ASSEMBLY_IDENTITY_ATTRIBUTE, ERROR_SXS_MULTIPLE_DEACTIVATION, ERROR_SXS_POLICY_PARSE_ERROR, ERROR_SXS_PRIVATE_MANIFEST_CROSS_PATH_WITH_REPARSE_POINT, ERROR_SXS_PROCESS_DEFAULT_ALREADY_SET, ERROR_SXS_PROCESS_TERMINATION_REQUESTED, ERROR_SXS_PROTECTION_CATALOG_FILE_MISSING, ERROR_SXS_PROTECTION_CATALOG_NOT_VALID, ERROR_SXS_PROTECTION_PUBLIC_KEY_TOO_SHORT, ERROR_SXS_PROTECTION_RECOVERY_FAILED, ERROR_SXS_RELEASE_ACTIVATION_CONTEXT, ERROR_SXS_ROOT_MANIFEST_DEPENDENCY_NOT_INSTALLED, ERROR_SXS_SECTION_NOT_FOUND, ERROR_SXS_SETTING_NOT_REGISTERED, ERROR_SXS_SYSTEM_DEFAULT_ACTIVATION_CONTEXT_EMPTY, ERROR_SXS_THREAD_QUERIES_DISABLED, ERROR_SXS_TRANSACTION_CLOSURE_INCOMPLETE, ERROR_SXS_UNKNOWN_ENCODING, ERROR_SXS_UNKNOWN_ENCODING_GROUP, ERROR_SXS_UNTRANSLATABLE_HRESULT, ERROR_SXS_VERSION_CONFLICT, ERROR_SXS_WRONG_SECTION_TYPE, ERROR_SXS_XML_E_BADCHARDATA, ERROR_SXS_XML_E_BADCHARINSTRING, ERROR_SXS_XML_E_BADNAMECHAR, ERROR_SXS_XML_E_BADPEREFINSUBSET, ERROR_SXS_XML_E_BADSTARTNAMECHAR, ERROR_SXS_XML_E_BADXMLCASE, ERROR_SXS_XML_E_BADXMLDECL, ERROR_SXS_XML_E_COMMENTSYNTAX, ERROR_SXS_XML_E_DUPLICATEATTRIBUTE, ERROR_SXS_XML_E_EXPECTINGCLOSEQUOTE, ERROR_SXS_XML_E_EXPECTINGTAGEND, ERROR_SXS_XML_E_INCOMPLETE_ENCODING, ERROR_SXS_XML_E_INTERNALERROR, ERROR_SXS_XML_E_INVALID_DECIMAL, ERROR_SXS_XML_E_INVALID_HEXIDECIMAL, ERROR_SXS_XML_E_INVALID_STANDALONE, ERROR_SXS_XML_E_INVALID_UNICODE, ERROR_SXS_XML_E_INVALID_VERSION, ERROR_SXS_XML_E_INVALIDATROOTLEVEL, ERROR_SXS_XML_E_INVALIDENCODING, ERROR_SXS_XML_E_INVALIDSWITCH, ERROR_SXS_XML_E_MISSING_PAREN, ERROR_SXS_XML_E_MISSINGEQUALS, ERROR_SXS_XML_E_MISSINGQUOTE, ERROR_SXS_XML_E_MISSINGROOT, ERROR_SXS_XML_E_MISSINGSEMICOLON, ERROR_SXS_XML_E_MISSINGWHITESPACE, ERROR_SXS_XML_E_MULTIPLE_COLONS, ERROR_SXS_XML_E_MULTIPLEROOTS, ERROR_SXS_XML_E_RESERVEDNAMESPACE, ERROR_SXS_XML_E_UNBALANCEDPAREN, ERROR_SXS_XML_E_UNCLOSEDCDATA, ERROR_SXS_XML_E_UNCLOSEDCOMMENT, ERROR_SXS_XML_E_UNCLOSEDDECL, ERROR_SXS_XML_E_UNCLOSEDENDTAG, ERROR_SXS_XML_E_UNCLOSEDSTARTTAG, ERROR_SXS_XML_E_UNCLOSEDSTRING, ERROR_SXS_XML_E_UNCLOSEDTAG, ERROR_SXS_XML_E_UNEXPECTED_STANDALONE, ERROR_SXS_XML_E_UNEXPECTED_WHITESPACE, ERROR_SXS_XML_E_UNEXPECTEDENDTAG, ERROR_SXS_XML_E_UNEXPECTEDEOF, ERROR_SXS_XML_E_WHITESPACEORQUESTIONMARK, ERROR_SXS_XML_E_XMLDECLSYNTAX, ERROR_SYMLINK_CLASS_DISABLED, ERROR_SYMLINK_NOT_SUPPORTED, ERROR_SYNC_FOREGROUND_REFRESH_REQUIRED, ERROR_SYNCHRONIZATION_REQUIRED, ERROR_SYSTEM_DEVICE_NOT_FOUND, ERROR_SYSTEM_HIVE_TOO_LARGE, ERROR_SYSTEM_IMAGE_BAD_SIGNATURE, ERROR_SYSTEM_POWERSTATE_COMPLEX_TRANSITION, ERROR_SYSTEM_POWERSTATE_TRANSITION, ERROR_SYSTEM_PROCESS_TERMINATED, ERROR_SYSTEM_SHUTDOWN, ERROR_SYSTEM_TRACE, ERROR_TAG_NOT_FOUND, ERROR_TAG_NOT_PRESENT, ERROR_THREAD_1_INACTIVE, ERROR_THREAD_ALREADY_IN_TASK, ERROR_THREAD_MODE_ALREADY_BACKGROUND, ERROR_THREAD_MODE_NOT_BACKGROUND, ERROR_THREAD_NOT_IN_PROCESS, ERROR_THREAD_WAS_SUSPENDED, ERROR_TIME_SKEW, ERROR_TIMEOUT, ERROR_TIMER_NOT_CANCELED, ERROR_TIMER_RESOLUTION_NOT_SET, ERROR_TIMER_RESUME_IGNORED, ERROR_TLW_WITH_WSCHILD, ERROR_TM_IDENTITY_MISMATCH, ERROR_TM_INITIALIZATION_FAILED, ERROR_TM_VOLATILE, ERROR_TOKEN_ALREADY_IN_USE, ERROR_TOO_MANY_CMDS, ERROR_TOO_MANY_CONTEXT_IDS, ERROR_TOO_MANY_LINKS, ERROR_TOO_MANY_LUIDS_REQUESTED, ERROR_TOO_MANY_MODULES, ERROR_TOO_MANY_MUXWAITERS, ERROR_TOO_MANY_NAMES, ERROR_TOO_MANY_OPEN_FILES, ERROR_TOO_MANY_POSTS, ERROR_TOO_MANY_SECRETS, ERROR_TOO_MANY_SEM_REQUESTS, ERROR_TOO_MANY_SEMAPHORES, ERROR_TOO_MANY_SESS, ERROR_TOO_MANY_SIDS, ERROR_TOO_MANY_TCBS, ERROR_TOO_MANY_THREADS, ERROR_TRANSACTED_MAPPING_UNSUPPORTED_REMOTE, ERROR_TRANSACTION_ALREADY_ABORTED, ERROR_TRANSACTION_ALREADY_COMMITTED, ERROR_TRANSACTION_FREEZE_IN_PROGRESS, ERROR_TRANSACTION_INTEGRITY_VIOLATED, ERROR_TRANSACTION_INVALID_MARSHALL_BUFFER, ERROR_TRANSACTION_NOT_ACTIVE, ERROR_TRANSACTION_NOT_FOUND, ERROR_TRANSACTION_NOT_JOINED, ERROR_TRANSACTION_NOT_REQUESTED, ERROR_TRANSACTION_NOT_ROOT, ERROR_TRANSACTION_OBJECT_EXPIRED, ERROR_TRANSACTION_PROPAGATION_FAILED, ERROR_TRANSACTION_RECORD_TOO_LONG, ERROR_TRANSACTION_REQUEST_NOT_VALID, ERROR_TRANSACTION_REQUIRED_PROMOTION, ERROR_TRANSACTION_RESPONSE_NOT_ENLISTED, ERROR_TRANSACTION_SCOPE_CALLBACKS_NOT_SET, ERROR_TRANSACTION_SUPERIOR_EXISTS, ERROR_TRANSACTIONAL_CONFLICT, ERROR_TRANSACTIONAL_OPEN_NOT_ALLOWED, ERROR_TRANSACTIONMANAGER_NOT_FOUND, ERROR_TRANSACTIONMANAGER_NOT_ONLINE, ERROR_TRANSACTIONMANAGER_RECOVERY_NAME_COLLISION, ERROR_TRANSACTIONS_NOT_FROZEN, ERROR_TRANSACTIONS_UNSUPPORTED_REMOTE, ERROR_TRANSFORM_NOT_SUPPORTED, ERROR_TRANSLATION_COMPLETE, ERROR_TRANSPORT_FULL, ERROR_TRUST_FAILURE, ERROR_TRUSTED_DOMAIN_FAILURE, ERROR_TRUSTED_RELATIONSHIP_FAILURE, ERROR_TS_INCOMPATIBLE_SESSIONS, ERROR_TXF_ATTRIBUTE_CORRUPT, ERROR_TXF_DIR_NOT_EMPTY, ERROR_TXF_METADATA_ALREADY_PRESENT, ERROR_UNABLE_TO_CLEAN, ERROR_UNABLE_TO_EJECT_MOUNTED_MEDIA, ERROR_UNABLE_TO_INVENTORY_DRIVE, ERROR_UNABLE_TO_INVENTORY_SLOT, ERROR_UNABLE_TO_INVENTORY_TRANSPORT, ERROR_UNABLE_TO_LOAD_MEDIUM, ERROR_UNABLE_TO_LOCK_MEDIA, ERROR_UNABLE_TO_MOVE_REPLACEMENT, ERROR_UNABLE_TO_MOVE_REPLACEMENT_2, ERROR_UNABLE_TO_REMOVE_REPLACED, ERROR_UNABLE_TO_UNLOAD_MEDIA, ERROR_UNDEFINED_CHARACTER, ERROR_UNEXP_NET_ERR, ERROR_UNEXPECTED_MM_CREATE_ERR, ERROR_UNEXPECTED_MM_EXTEND_ERR, ERROR_UNEXPECTED_MM_MAP_ERROR, ERROR_UNEXPECTED_OMID, ERROR_UNHANDLED_EXCEPTION, ERROR_UNIDENTIFIED_ERROR, ERROR_UNKNOWN_COMPONENT, ERROR_UNKNOWN_FEATURE, ERROR_UNKNOWN_PATCH, ERROR_UNKNOWN_PORT, ERROR_UNKNOWN_PRINT_MONITOR, ERROR_UNKNOWN_PRINTER_DRIVER, ERROR_UNKNOWN_PRINTPROCESSOR, ERROR_UNKNOWN_PRODUCT, ERROR_UNKNOWN_PROPERTY, ERROR_UNKNOWN_REVISION, ERROR_UNMAPPED_SUBSTITUTION_STRING, ERROR_UNRECOGNIZED_MEDIA, ERROR_UNRECOGNIZED_VOLUME, ERROR_UNSUPPORTED_COMPRESSION, ERROR_UNSUPPORTED_TYPE, ERROR_UNWIND, ERROR_UNWIND_CONSOLIDATE, ERROR_USER_APC, ERROR_USER_DELETE_TRUST_QUOTA_EXCEEDED, ERROR_USER_EXISTS, ERROR_USER_MAPPED_FILE, ERROR_USER_PROFILE_LOAD, ERROR_VALIDATE_CONTINUE, ERROR_VC_DISCONNECTED, ERROR_VDM_DISALLOWED, ERROR_VDM_HARD_ERROR, ERROR_VERIFIER_STOP, ERROR_VERSION_PARSE_ERROR, ERROR_VIRUS_DELETED, ERROR_VIRUS_INFECTED, ERROR_VOLSNAP_HIBERNATE_READY, ERROR_VOLSNAP_PREPARE_HIBERNATE, ERROR_VOLUME_CONTAINS_SYS_FILES, ERROR_VOLUME_DIRTY, ERROR_VOLUME_MOUNTED, ERROR_VOLUME_NOT_SIS_ENABLED, ERROR_VOLUME_NOT_SUPPORT_EFS, ERROR_WAIT_1, ERROR_WAIT_2, ERROR_WAIT_3, ERROR_WAIT_63, ERROR_WAIT_FOR_OPLOCK, ERROR_WAIT_NO_CHILDREN, ERROR_WAKE_SYSTEM, ERROR_WAKE_SYSTEM_DEBUGGER, ERROR_WAS_LOCKED, ERROR_WAS_UNLOCKED, ERROR_WINDOW_NOT_COMBOBOX, ERROR_WINDOW_NOT_DIALOG, ERROR_WINDOW_OF_OTHER_THREAD, ERROR_WINS_INTERNAL, ERROR_WMI_ALREADY_DISABLED, ERROR_WMI_ALREADY_ENABLED, ERROR_WMI_DP_FAILED, ERROR_WMI_DP_NOT_FOUND, ERROR_WMI_GUID_DISCONNECTED, ERROR_WMI_GUID_NOT_FOUND, ERROR_WMI_INSTANCE_NOT_FOUND, ERROR_WMI_INVALID_MOF, ERROR_WMI_INVALID_REGINFO, ERROR_WMI_ITEMID_NOT_FOUND, ERROR_WMI_READ_ONLY, ERROR_WMI_SERVER_UNAVAILABLE, ERROR_WMI_SET_FAILURE, ERROR_WMI_TRY_AGAIN, ERROR_WMI_UNRESOLVED_INSTANCE_REF, ERROR_WORKING_SET_QUOTA, ERROR_WOW_ASSERTION, ERROR_WRITE_FAULT, ERROR_WRITE_PROTECT, ERROR_WRONG_COMPARTMENT, ERROR_WRONG_DISK, ERROR_WRONG_EFS, ERROR_WRONG_PASSWORD, ERROR_WRONG_TARGET_NAME, ERROR_WX86_ERROR, ERROR_WX86_WARNING, ERROR_XML_ENCODING_MISMATCH, ERROR_XML_PARSE_ERROR, ERROR_XMLDSIG_ERROR, EVENT_E_ALL_SUBSCRIBERS_FAILED, EVENT_E_CANT_MODIFY_OR_DELETE_CONFIGURED_OBJECT, EVENT_E_CANT_MODIFY_OR_DELETE_UNCONFIGURED_OBJECT, EVENT_E_COMPLUS_NOT_INSTALLED, EVENT_E_FIRST, EVENT_E_INTERNALERROR, EVENT_E_INTERNALEXCEPTION, EVENT_E_INVALID_EVENT_CLASS_PARTITION, EVENT_E_INVALID_PER_USER_SID, EVENT_E_LAST, EVENT_E_MISSING_EVENTCLASS, EVENT_E_NOT_ALL_REMOVED, EVENT_E_PER_USER_SID_NOT_LOGGED_ON, EVENT_E_QUERYFIELD, EVENT_E_QUERYSYNTAX, EVENT_E_TOO_MANY_METHODS, EVENT_E_USER_EXCEPTION, EVENT_S_FIRST, EVENT_S_LAST, EVENT_S_NOSUBSCRIBERS, EVENT_S_SOME_SUBSCRIBERS_FAILED, FACILITY_AAF, FACILITY_ACS, FACILITY_BACKGROUNDCOPY, FACILITY_CERT, FACILITY_CMI, FACILITY_COMPLUS, FACILITY_CONFIGURATION, FACILITY_CONTROL, FACILITY_DIRECTORYSERVICE, FACILITY_DISPATCH, FACILITY_DPLAY, FACILITY_FVE, FACILITY_FWP, FACILITY_GRAPHICS, FACILITY_HTTP, FACILITY_INTERNET, FACILITY_ITF, FACILITY_MEDIASERVER, FACILITY_METADIRECTORY, FACILITY_MSMQ, FACILITY_NDIS, FACILITY_NT_BIT, FACILITY_NULL, FACILITY_PLA, FACILITY_RPC, FACILITY_SCARD, FACILITY_SECURITY, FACILITY_SETUPAPI, FACILITY_SHELL, FACILITY_SSPI, FACILITY_STATE_MANAGEMENT, FACILITY_STORAGE, FACILITY_SXS, FACILITY_TPM_SERVICES, FACILITY_TPM_SOFTWARE, FACILITY_UMI, FACILITY_URT, FACILITY_USERMODE_COMMONLOG, FACILITY_USERMODE_FILTER_MANAGER, FACILITY_USERMODE_HYPERVISOR, FACILITY_WIN32, FACILITY_WINDOWS, FACILITY_WINDOWS_CE, FACILITY_WINDOWS_DEFENDER, FACILITY_WINDOWSUPDATE, FACILITY_WINRM, FRS_ERR_AUTHENTICATION, FRS_ERR_CHILD_TO_PARENT_COMM, FRS_ERR_INSUFFICIENT_PRIV, FRS_ERR_INTERNAL, FRS_ERR_INTERNAL_API, FRS_ERR_INVALID_API_SEQUENCE, FRS_ERR_INVALID_SERVICE_PARAMETER, FRS_ERR_PARENT_AUTHENTICATION, FRS_ERR_PARENT_INSUFFICIENT_PRIV, FRS_ERR_PARENT_TO_CHILD_COMM, FRS_ERR_SERVICE_COMM, FRS_ERR_STARTING_SERVICE, FRS_ERR_STOPPING_SERVICE, FRS_ERR_SYSVOL_DEMOTE, FRS_ERR_SYSVOL_IS_BUSY, FRS_ERR_SYSVOL_POPULATE, FRS_ERR_SYSVOL_POPULATE_TIMEOUT, FVE_E_ACTION_NOT_ALLOWED, FVE_E_AD_ATTR_NOT_SET, FVE_E_AD_GUID_NOT_FOUND, FVE_E_AD_INSUFFICIENT_BUFFER, FVE_E_AD_INVALID_DATASIZE, FVE_E_AD_INVALID_DATATYPE, FVE_E_AD_NO_VALUES, FVE_E_AD_SCHEMA_NOT_INSTALLED, FVE_E_AUTH_INVALID_APPLICATION, FVE_E_AUTH_INVALID_CONFIG, FVE_E_AUTOUNLOCK_ENABLED, FVE_E_BAD_DATA, FVE_E_BAD_INFORMATION, FVE_E_BCD_APPLICATIONS_PATH_INCORRECT, FVE_E_BOOTABLE_CDDVD, FVE_E_CANNOT_ENCRYPT_NO_KEY, FVE_E_CANNOT_SET_FVEK_ENCRYPTED, FVE_E_CLUSTERING_NOT_SUPPORTED, FVE_E_CONV_READ, FVE_E_CONV_WRITE, FVE_E_DEBUGGER_ENABLED, FVE_E_DRY_RUN_FAILED, FVE_E_FAILED_AUTHENTICATION, FVE_E_FAILED_BAD_FS, FVE_E_FAILED_SECTOR_SIZE, FVE_E_FAILED_WRONG_FS, FVE_E_FIPS_DISABLE_PROTECTION_NOT_ALLOWED, FVE_E_FIPS_PREVENTS_EXTERNAL_KEY_EXPORT, FVE_E_FIPS_PREVENTS_RECOVERY_PASSWORD, FVE_E_FIPS_RNG_CHECK_FAILED, FVE_E_FIRMWARE_TYPE_NOT_SUPPORTED, FVE_E_FOREIGN_VOLUME, FVE_E_FS_MOUNTED, FVE_E_FS_NOT_EXTENDED, FVE_E_INVALID_KEY_FORMAT, FVE_E_INVALID_PASSWORD_FORMAT, FVE_E_INVALID_PROTECTOR_TYPE, FVE_E_KEY_REQUIRED, FVE_E_KEYFILE_INVALID, FVE_E_KEYFILE_NO_VMK, FVE_E_KEYFILE_NOT_FOUND, FVE_E_LOCKED_VOLUME, FVE_E_NO_BOOTMGR_METRIC, FVE_E_NO_BOOTSECTOR_METRIC, FVE_E_NO_LICENSE, FVE_E_NO_MBR_METRIC, FVE_E_NO_PROTECTORS_TO_TEST, FVE_E_NO_TPM_BIOS, FVE_E_NOT_ACTIVATED, FVE_E_NOT_ALLOWED_IN_SAFE_MODE, FVE_E_NOT_ALLOWED_IN_VERSION, FVE_E_NOT_DATA_VOLUME, FVE_E_NOT_DECRYPTED, FVE_E_NOT_ENCRYPTED, FVE_E_NOT_ON_STACK, FVE_E_NOT_OS_VOLUME, FVE_E_NOT_SUPPORTED, FVE_E_OS_NOT_PROTECTED, FVE_E_OVERLAPPED_UPDATE, FVE_E_PIN_INVALID, FVE_E_POLICY_PASSWORD_REQUIRED, FVE_E_PROTECTION_DISABLED, FVE_E_PROTECTOR_EXISTS, FVE_E_PROTECTOR_NOT_FOUND, FVE_E_RAW_ACCESS, FVE_E_RAW_BLOCKED, FVE_E_REBOOT_REQUIRED, FVE_E_RECOVERY_KEY_REQUIRED, FVE_E_RELATIVE_PATH, FVE_E_SECURE_KEY_REQUIRED, FVE_E_SYSTEM_VOLUME, FVE_E_TOKEN_NOT_IMPERSONATED, FVE_E_TOO_SMALL, FVE_E_TPM_DISABLED, FVE_E_TPM_INVALID_PCR, FVE_E_TPM_NO_VMK, FVE_E_TPM_NOT_OWNED, FVE_E_TPM_SRK_AUTH_NOT_ZERO, FVE_E_VOLUME_BOUND_ALREADY, FVE_E_VOLUME_NOT_BOUND, FVE_E_WRONG_BOOTMGR, FVE_E_WRONG_BOOTSECTOR, FVE_E_WRONG_SYSTEM_FS, FWP_E_ACTION_INCOMPATIBLE_WITH_LAYER, FWP_E_ACTION_INCOMPATIBLE_WITH_SUBLAYER, FWP_E_ALREADY_EXISTS, FWP_E_BUILTIN_OBJECT, FWP_E_CALLOUT_NOT_FOUND, FWP_E_CALLOUT_NOTIFICATION_FAILED, FWP_E_CONDITION_NOT_FOUND, FWP_E_CONTEXT_INCOMPATIBLE_WITH_CALLOUT, FWP_E_CONTEXT_INCOMPATIBLE_WITH_LAYER, FWP_E_DUPLICATE_CONDITION, FWP_E_DUPLICATE_KEYMOD, FWP_E_DYNAMIC_SESSION_IN_PROGRESS, FWP_E_EM_NOT_SUPPORTED, FWP_E_FILTER_NOT_FOUND, FWP_E_IN_USE, FWP_E_INCOMPATIBLE_AUTH_METHOD, FWP_E_INCOMPATIBLE_DH_GROUP, FWP_E_INCOMPATIBLE_LAYER, FWP_E_INCOMPATIBLE_SA_STATE, FWP_E_INCOMPATIBLE_TXN, FWP_E_INVALID_ACTION_TYPE, FWP_E_INVALID_AUTH_TRANSFORM, FWP_E_INVALID_CIPHER_TRANSFORM, FWP_E_INVALID_ENUMERATOR, FWP_E_INVALID_FLAGS, FWP_E_INVALID_INTERVAL, FWP_E_INVALID_NET_MASK, FWP_E_INVALID_PARAMETER, FWP_E_INVALID_RANGE, FWP_E_INVALID_WEIGHT, FWP_E_KM_CLIENTS_ONLY, FWP_E_LAYER_NOT_FOUND, FWP_E_LIFETIME_MISMATCH, FWP_E_MATCH_TYPE_MISMATCH, FWP_E_NET_EVENTS_DISABLED, FWP_E_NEVER_MATCH, FWP_E_NO_TXN_IN_PROGRESS, FWP_E_NOT_FOUND, FWP_E_NOTIFICATION_DROPPED, FWP_E_NULL_DISPLAY_NAME, FWP_E_NULL_POINTER, FWP_E_OUT_OF_BOUNDS, FWP_E_PROVIDER_CONTEXT_MISMATCH, FWP_E_PROVIDER_CONTEXT_NOT_FOUND, FWP_E_PROVIDER_NOT_FOUND, FWP_E_RESERVED, FWP_E_SESSION_ABORTED, FWP_E_SUBLAYER_NOT_FOUND, FWP_E_TIMEOUT, FWP_E_TOO_MANY_CALLOUTS, FWP_E_TOO_MANY_SUBLAYERS, FWP_E_TRAFFIC_MISMATCH, FWP_E_TXN_ABORTED, FWP_E_TXN_IN_PROGRESS, FWP_E_TYPE_MISMATCH, FWP_E_WRONG_SESSION, FWP_E_ZERO_LENGTH_ARRAY, INPLACE_E_FIRST, INPLACE_E_LAST, INPLACE_E_NOTOOLSPACE, INPLACE_E_NOTUNDOABLE, INPLACE_S_FIRST, INPLACE_S_LAST, INPLACE_S_TRUNCATED, MARSHAL_E_FIRST, MARSHAL_E_LAST, MARSHAL_S_FIRST, MARSHAL_S_LAST, MEM_E_INVALID_LINK, MEM_E_INVALID_ROOT, MEM_E_INVALID_SIZE, MK_E_CANTOPENFILE, MK_E_CONNECTMANUALLY, MK_E_ENUMERATION_FAILED, MK_E_EXCEEDEDDEADLINE, MK_E_FIRST, MK_E_INTERMEDIATEINTERFACENOTSUPPORTED, MK_E_INVALIDEXTENSION, MK_E_LAST, MK_E_MUSTBOTHERUSER, MK_E_NEEDGENERIC, MK_E_NO_NORMALIZED, MK_E_NOINVERSE, MK_E_NOOBJECT, MK_E_NOPREFIX, MK_E_NOSTORAGE, MK_E_NOTBINDABLE, MK_E_NOTBOUND, MK_E_SYNTAX, MK_E_UNAVAILABLE, MK_S_FIRST, MK_S_HIM, MK_S_LAST, MK_S_ME, MK_S_MONIKERALREADYREGISTERED, MK_S_REDUCED_TO_SELF, MK_S_US, MSDTC_E_DUPLICATE_RESOURCE, MSSIPOTF_E_BAD_FIRST_TABLE_PLACEMENT, MSSIPOTF_E_BAD_MAGICNUMBER, MSSIPOTF_E_BAD_OFFSET_TABLE, MSSIPOTF_E_BADVERSION, MSSIPOTF_E_CANTGETOBJECT, MSSIPOTF_E_CRYPT, MSSIPOTF_E_DSIG_STRUCTURE, MSSIPOTF_E_FAILED_HINTS_CHECK, MSSIPOTF_E_FAILED_POLICY, MSSIPOTF_E_FILE, MSSIPOTF_E_FILE_CHECKSUM, MSSIPOTF_E_FILETOOSMALL, MSSIPOTF_E_NOHEADTABLE, MSSIPOTF_E_NOT_OPENTYPE, MSSIPOTF_E_OUTOFMEMRANGE, MSSIPOTF_E_PCONST_CHECK, MSSIPOTF_E_STRUCTURE, MSSIPOTF_E_TABLE_CHECKSUM, MSSIPOTF_E_TABLE_LONGWORD, MSSIPOTF_E_TABLE_PADBYTES, MSSIPOTF_E_TABLE_TAGORDER, MSSIPOTF_E_TABLES_OVERLAP, NO_ERROR, NOERROR, NTE_BAD_ALGID, NTE_BAD_DATA, NTE_BAD_FLAGS, NTE_BAD_HASH, NTE_BAD_HASH_STATE, NTE_BAD_KEY, NTE_BAD_KEY_STATE, NTE_BAD_KEYSET, NTE_BAD_KEYSET_PARAM, NTE_BAD_LEN, NTE_BAD_PROV_TYPE, NTE_BAD_PROVIDER, NTE_BAD_PUBLIC_KEY, NTE_BAD_SIGNATURE, NTE_BAD_TYPE, NTE_BAD_UID, NTE_BAD_VER, NTE_BUFFER_TOO_SMALL, NTE_BUFFERS_OVERLAP, NTE_DECRYPTION_FAILURE, NTE_DOUBLE_ENCRYPT, NTE_EXISTS, NTE_FAIL, NTE_FIXEDPARAMETER, NTE_HMAC_NOT_SUPPORTED, NTE_INTERNAL_ERROR, NTE_INVALID_HANDLE, NTE_INVALID_PARAMETER, NTE_KEYSET_ENTRY_BAD, NTE_KEYSET_NOT_DEF, NTE_NO_KEY, NTE_NO_MEMORY, NTE_NO_MORE_ITEMS, NTE_NOT_FOUND, NTE_NOT_SUPPORTED, NTE_OP_OK, NTE_PERM, NTE_PROV_DLL_NOT_FOUND, NTE_PROV_TYPE_ENTRY_BAD, NTE_PROV_TYPE_NO_MATCH, NTE_PROV_TYPE_NOT_DEF, NTE_PROVIDER_DLL_FAIL, NTE_SIGNATURE_FILE_BAD, NTE_SILENT_CONTEXT, NTE_SYS_ERR, NTE_TEMPORARY_PROFILE, NTE_TOKEN_KEYSET_STORAGE_FULL, NTE_UI_REQUIRED, OLE_E_ADVF, OLE_E_ADVISENOTSUPPORTED, OLE_E_BLANK, OLE_E_CANT_BINDTOSOURCE, OLE_E_CANT_GETMONIKER, OLE_E_CANTCONVERT, OLE_E_CLASSDIFF, OLE_E_ENUM_NOMORE, OLE_E_FIRST, OLE_E_INVALIDHWND, OLE_E_INVALIDRECT, OLE_E_LAST, OLE_E_NOCACHE, OLE_E_NOCONNECTION, OLE_E_NOSTORAGE, OLE_E_NOT_INPLACEACTIVE, OLE_E_NOTRUNNING, OLE_E_OLEVERB, OLE_E_PROMPTSAVECANCELLED, OLE_E_STATIC, OLE_E_WRONGCOMPOBJ, OLE_S_FIRST, OLE_S_LAST, OLE_S_MAC_CLIPFORMAT, OLE_S_STATIC, OLE_S_USEREG, OLEOBJ_E_FIRST, OLEOBJ_E_INVALIDVERB, OLEOBJ_E_LAST, OLEOBJ_E_NOVERBS, OLEOBJ_S_CANNOT_DOVERB_NOW, OLEOBJ_S_FIRST, OLEOBJ_S_INVALIDHWND, OLEOBJ_S_INVALIDVERB, OLEOBJ_S_LAST, OR_INVALID_OID, OR_INVALID_OXID, OR_INVALID_SET, OSS_ACCESS_SERIALIZATION_ERROR, OSS_API_DLL_NOT_LINKED, OSS_BAD_ARG, OSS_BAD_ENCRULES, OSS_BAD_PTR, OSS_BAD_TABLE, OSS_BAD_TIME, OSS_BAD_VERSION, OSS_BERDER_DLL_NOT_LINKED, OSS_CANT_CLOSE_TRACE_FILE, OSS_CANT_OPEN_TRACE_FILE, OSS_CANT_OPEN_TRACE_WINDOW, OSS_COMPARATOR_CODE_NOT_LINKED, OSS_COMPARATOR_DLL_NOT_LINKED, OSS_CONSTRAINT_DLL_NOT_LINKED, OSS_CONSTRAINT_VIOLATED, OSS_COPIER_DLL_NOT_LINKED, OSS_DATA_ERROR, OSS_FATAL_ERROR, OSS_INDEFINITE_NOT_SUPPORTED, OSS_LIMITED, OSS_MEM_ERROR, OSS_MEM_MGR_DLL_NOT_LINKED, OSS_MORE_BUF, OSS_MORE_INPUT, OSS_MUTEX_NOT_CREATED, OSS_NEGATIVE_UINTEGER, OSS_NULL_FCN, OSS_NULL_TBL, OSS_OID_DLL_NOT_LINKED, OSS_OPEN_TYPE_ERROR, OSS_OUT_MEMORY, OSS_OUT_OF_RANGE, OSS_PDU_MISMATCH, OSS_PDU_RANGE, OSS_PDV_CODE_NOT_LINKED, OSS_PDV_DLL_NOT_LINKED, OSS_PER_DLL_NOT_LINKED, OSS_REAL_CODE_NOT_LINKED, OSS_REAL_DLL_NOT_LINKED, OSS_TABLE_MISMATCH, OSS_TOO_LONG, OSS_TRACE_FILE_ALREADY_OPEN, OSS_TYPE_NOT_SUPPORTED, OSS_UNAVAIL_ENCRULES, OSS_UNIMPLEMENTED, PERSIST_E_NOTSELFSIZING, PERSIST_E_SIZEDEFINITE, PERSIST_E_SIZEINDEFINITE, PLA_E_CABAPI_FAILURE, PLA_E_CONFLICT_INCL_EXCL_API, PLA_E_CREDENTIALS_REQUIRED, PLA_E_DC_ALREADY_EXISTS, PLA_E_DC_START_WAIT_TIMEOUT, PLA_E_DCS_ALREADY_EXISTS, PLA_E_DCS_IN_USE, PLA_E_DCS_NOT_FOUND, PLA_E_DCS_NOT_RUNNING, PLA_E_DCS_SINGLETON_REQUIRED, PLA_E_DCS_START_WAIT_TIMEOUT, PLA_E_EXE_ALREADY_CONFIGURED, PLA_E_EXE_FULL_PATH_REQUIRED, PLA_E_EXE_PATH_NOT_VALID, PLA_E_INVALID_SESSION_NAME, PLA_E_NETWORK_EXE_NOT_VALID, PLA_E_NO_DUPLICATES, PLA_E_NO_MIN_DISK, PLA_E_PLA_CHANNEL_NOT_ENABLED, PLA_E_PROPERTY_CONFLICT, PLA_E_REPORT_WAIT_TIMEOUT, PLA_E_RULES_MANAGER_FAILED, PLA_E_TASKSCHED_CHANNEL_NOT_ENABLED, PLA_E_TOO_MANY_FOLDERS, PLA_S_PROPERTY_IGNORED, REGDB_E_BADTHREADINGMODEL, REGDB_E_CLASSNOTREG, REGDB_E_FIRST, REGDB_E_IIDNOTREG, REGDB_E_INVALIDVALUE, REGDB_E_KEYMISSING, REGDB_E_LAST, REGDB_E_READREGDB, REGDB_E_WRITEREGDB, REGDB_S_FIRST, REGDB_S_LAST, RPC_E_ACCESS_DENIED, RPC_E_ATTEMPTED_MULTITHREAD, RPC_E_CALL_CANCELED, RPC_E_CALL_COMPLETE, RPC_E_CALL_REJECTED, RPC_E_CANTCALLOUT_AGAIN, RPC_E_CANTCALLOUT_INASYNCCALL, RPC_E_CANTCALLOUT_INEXTERNALCALL, RPC_E_CANTCALLOUT_ININPUTSYNCCALL, RPC_E_CANTPOST_INSENDCALL, RPC_E_CANTTRANSMIT_CALL, RPC_E_CHANGED_MODE, RPC_E_CLIENT_CANTMARSHAL_DATA, RPC_E_CLIENT_CANTUNMARSHAL_DATA, RPC_E_CLIENT_DIED, RPC_E_CONNECTION_TERMINATED, RPC_E_DISCONNECTED, RPC_E_FAULT, RPC_E_FULLSIC_REQUIRED, RPC_E_INVALID_CALLDATA, RPC_E_INVALID_DATA, RPC_E_INVALID_DATAPACKET, RPC_E_INVALID_EXTENSION, RPC_E_INVALID_HEADER, RPC_E_INVALID_IPID, RPC_E_INVALID_OBJECT, RPC_E_INVALID_OBJREF, RPC_E_INVALID_PARAMETER, RPC_E_INVALID_STD_NAME, RPC_E_INVALIDMETHOD, RPC_E_NO_CONTEXT, RPC_E_NO_GOOD_SECURITY_PACKAGES, RPC_E_NO_SYNC, RPC_E_NOT_REGISTERED, RPC_E_OUT_OF_RESOURCES, RPC_E_REMOTE_DISABLED, RPC_E_RETRY, RPC_E_SERVER_CANTMARSHAL_DATA, RPC_E_SERVER_CANTUNMARSHAL_DATA, RPC_E_SERVER_DIED, RPC_E_SERVER_DIED_DNE, RPC_E_SERVERCALL_REJECTED, RPC_E_SERVERCALL_RETRYLATER, RPC_E_SERVERFAULT, RPC_E_SYS_CALL_FAILED, RPC_E_THREAD_NOT_INIT, RPC_E_TIMEOUT, RPC_E_TOO_LATE, RPC_E_UNEXPECTED, RPC_E_UNSECURE_CALL, RPC_E_VERSION_MISMATCH, RPC_E_WRONG_THREAD, RPC_S_ADDRESS_ERROR, RPC_S_ALREADY_LISTENING, RPC_S_ALREADY_REGISTERED, RPC_S_BINDING_HAS_NO_AUTH, RPC_S_BINDING_INCOMPLETE, RPC_S_CALL_CANCELLED, RPC_S_CALL_FAILED, RPC_S_CALL_FAILED_DNE, RPC_S_CALL_IN_PROGRESS, RPC_S_CALLPENDING, RPC_S_CANNOT_SUPPORT, RPC_S_CANT_CREATE_ENDPOINT, RPC_S_COMM_FAILURE, RPC_S_DUPLICATE_ENDPOINT, RPC_S_ENTRY_ALREADY_EXISTS, RPC_S_ENTRY_NOT_FOUND, RPC_S_ENTRY_TYPE_MISMATCH, RPC_S_FP_DIV_ZERO, RPC_S_FP_OVERFLOW, RPC_S_FP_UNDERFLOW, RPC_S_GROUP_MEMBER_NOT_FOUND, RPC_S_GRP_ELT_NOT_ADDED, RPC_S_GRP_ELT_NOT_REMOVED, RPC_S_INCOMPLETE_NAME, RPC_S_INTERFACE_NOT_EXPORTED, RPC_S_INTERFACE_NOT_FOUND, RPC_S_INTERNAL_ERROR, RPC_S_INVALID_ASYNC_CALL, RPC_S_INVALID_ASYNC_HANDLE, RPC_S_INVALID_AUTH_IDENTITY, RPC_S_INVALID_BINDING, RPC_S_INVALID_BOUND, RPC_S_INVALID_ENDPOINT_FORMAT, RPC_S_INVALID_NAF_ID, RPC_S_INVALID_NAME_SYNTAX, RPC_S_INVALID_NET_ADDR, RPC_S_INVALID_NETWORK_OPTIONS, RPC_S_INVALID_OBJECT, RPC_S_INVALID_RPC_PROTSEQ, RPC_S_INVALID_STRING_BINDING, RPC_S_INVALID_STRING_UUID, RPC_S_INVALID_TAG, RPC_S_INVALID_TIMEOUT, RPC_S_INVALID_VERS_OPTION, RPC_S_MAX_CALLS_TOO_SMALL, RPC_S_NAME_SERVICE_UNAVAILABLE, RPC_S_NO_BINDINGS, RPC_S_NO_CALL_ACTIVE, RPC_S_NO_CONTEXT_AVAILABLE, RPC_S_NO_ENDPOINT_FOUND, RPC_S_NO_ENTRY_NAME, RPC_S_NO_INTERFACES, RPC_S_NO_MORE_BINDINGS, RPC_S_NO_MORE_MEMBERS, RPC_S_NO_PRINC_NAME, RPC_S_NO_PROTSEQS, RPC_S_NO_PROTSEQS_REGISTERED, RPC_S_NOT_ALL_OBJS_EXPORTED, RPC_S_NOT_ALL_OBJS_UNEXPORTED, RPC_S_NOT_CANCELLED, RPC_S_NOT_LISTENING, RPC_S_NOT_RPC_ERROR, RPC_S_NOTHING_TO_EXPORT, RPC_S_OBJECT_NOT_FOUND, RPC_S_OUT_OF_RESOURCES, RPC_S_PRF_ELT_NOT_ADDED, RPC_S_PRF_ELT_NOT_REMOVED, RPC_S_PROCNUM_OUT_OF_RANGE, RPC_S_PROFILE_NOT_ADDED, RPC_S_PROTOCOL_ERROR, RPC_S_PROTSEQ_NOT_FOUND, RPC_S_PROTSEQ_NOT_SUPPORTED, RPC_S_PROXY_ACCESS_DENIED, RPC_S_SEC_PKG_ERROR, RPC_S_SEND_INCOMPLETE, RPC_S_SERVER_TOO_BUSY, RPC_S_SERVER_UNAVAILABLE, RPC_S_STRING_TOO_LONG, RPC_S_TYPE_ALREADY_REGISTERED, RPC_S_UNKNOWN_AUTHN_LEVEL, RPC_S_UNKNOWN_AUTHN_SERVICE, RPC_S_UNKNOWN_AUTHN_TYPE, RPC_S_UNKNOWN_AUTHZ_SERVICE, RPC_S_UNKNOWN_IF, RPC_S_UNKNOWN_MGR_TYPE, RPC_S_UNSUPPORTED_AUTHN_LEVEL, RPC_S_UNSUPPORTED_NAME_SYNTAX, RPC_S_UNSUPPORTED_TRANS_SYN, RPC_S_UNSUPPORTED_TYPE, RPC_S_UUID_LOCAL_ONLY, RPC_S_UUID_NO_ADDRESS, RPC_S_WAITONTIMER, RPC_S_WRONG_KIND_OF_BINDING, RPC_S_ZERO_DIVIDE, RPC_X_BAD_STUB_DATA, RPC_X_BYTE_COUNT_TOO_SMALL, RPC_X_ENUM_VALUE_OUT_OF_RANGE, RPC_X_INVALID_ES_ACTION, RPC_X_INVALID_PIPE_OBJECT, RPC_X_NO_MORE_ENTRIES, RPC_X_NULL_REF_POINTER, RPC_X_PIPE_CLOSED, RPC_X_PIPE_DISCIPLINE_ERROR, RPC_X_PIPE_EMPTY, RPC_X_SS_CANNOT_GET_CALL_HANDLE, RPC_X_SS_CHAR_TRANS_OPEN_FAIL, RPC_X_SS_CHAR_TRANS_SHORT_FILE, RPC_X_SS_CONTEXT_DAMAGED, RPC_X_SS_HANDLES_MISMATCH, RPC_X_SS_IN_NULL_CONTEXT, RPC_X_WRONG_ES_VERSION, RPC_X_WRONG_PIPE_ORDER, RPC_X_WRONG_PIPE_VERSION, RPC_X_WRONG_STUB_VERSION, S_FALSE, S_OK, SCARD_E_BAD_SEEK, SCARD_E_CANCELLED, SCARD_E_CANT_DISPOSE, SCARD_E_CARD_UNSUPPORTED, SCARD_E_CERTIFICATE_UNAVAILABLE, SCARD_E_COMM_DATA_LOST, SCARD_E_DIR_NOT_FOUND, SCARD_E_DUPLICATE_READER, SCARD_E_FILE_NOT_FOUND, SCARD_E_ICC_CREATEORDER, SCARD_E_ICC_INSTALLATION, SCARD_E_INSUFFICIENT_BUFFER, SCARD_E_INVALID_ATR, SCARD_E_INVALID_CHV, SCARD_E_INVALID_HANDLE, SCARD_E_INVALID_PARAMETER, SCARD_E_INVALID_TARGET, SCARD_E_INVALID_VALUE, SCARD_E_NO_ACCESS, SCARD_E_NO_DIR, SCARD_E_NO_FILE, SCARD_E_NO_KEY_CONTAINER, SCARD_E_NO_MEMORY, SCARD_E_NO_READERS_AVAILABLE, SCARD_E_NO_SERVICE, SCARD_E_NO_SMARTCARD, SCARD_E_NO_SUCH_CERTIFICATE, SCARD_E_NOT_READY, SCARD_E_NOT_TRANSACTED, SCARD_E_PCI_TOO_SMALL, SCARD_E_PROTO_MISMATCH, SCARD_E_READER_UNAVAILABLE, SCARD_E_READER_UNSUPPORTED, SCARD_E_SERVER_TOO_BUSY, SCARD_E_SERVICE_STOPPED, SCARD_E_SHARING_VIOLATION, SCARD_E_SYSTEM_CANCELLED, SCARD_E_TIMEOUT, SCARD_E_UNEXPECTED, SCARD_E_UNKNOWN_CARD, SCARD_E_UNKNOWN_READER, SCARD_E_UNKNOWN_RES_MNG, SCARD_E_UNSUPPORTED_FEATURE, SCARD_E_WRITE_TOO_MANY, SCARD_F_COMM_ERROR, SCARD_F_INTERNAL_ERROR, SCARD_F_UNKNOWN_ERROR, SCARD_F_WAITED_TOO_LONG, SCARD_P_SHUTDOWN, SCARD_S_SUCCESS, SCARD_W_CACHE_ITEM_NOT_FOUND, SCARD_W_CACHE_ITEM_STALE, SCARD_W_CACHE_ITEM_TOO_BIG, SCARD_W_CANCELLED_BY_USER, SCARD_W_CARD_NOT_AUTHENTICATED, SCARD_W_CHV_BLOCKED, SCARD_W_EOF, SCARD_W_REMOVED_CARD, SCARD_W_RESET_CARD, SCARD_W_SECURITY_VIOLATION, SCARD_W_UNPOWERED_CARD, SCARD_W_UNRESPONSIVE_CARD, SCARD_W_UNSUPPORTED_CARD, SCARD_W_WRONG_CHV, SCHED_E_ACCOUNT_DBASE_CORRUPT, SCHED_E_ACCOUNT_INFORMATION_NOT_SET, SCHED_E_ACCOUNT_NAME_NOT_FOUND, SCHED_E_ALREADY_RUNNING, SCHED_E_CANNOT_OPEN_TASK, SCHED_E_INVALID_TASK, SCHED_E_INVALID_TASK_HASH, SCHED_E_INVALIDVALUE, SCHED_E_MALFORMEDXML, SCHED_E_MISSINGNODE, SCHED_E_NAMESPACE, SCHED_E_NO_SECURITY_SERVICES, SCHED_E_PAST_END_BOUNDARY, SCHED_E_SERVICE_NOT_AVAILABLE, SCHED_E_SERVICE_NOT_INSTALLED, SCHED_E_SERVICE_NOT_LOCALSYSTEM, SCHED_E_SERVICE_NOT_RUNNING, SCHED_E_SERVICE_TOO_BUSY, SCHED_E_START_ON_DEMAND, SCHED_E_TASK_ATTEMPTED, SCHED_E_TASK_DISABLED, SCHED_E_TASK_NOT_READY, SCHED_E_TASK_NOT_RUNNING, SCHED_E_TASK_NOT_V1_COMPAT, SCHED_E_TOO_MANY_NODES, SCHED_E_TRIGGER_NOT_FOUND, SCHED_E_UNEXPECTEDNODE, SCHED_E_UNKNOWN_OBJECT_VERSION, SCHED_E_UNSUPPORTED_ACCOUNT_OPTION, SCHED_E_USER_NOT_LOGGED_ON, SCHED_S_BATCH_LOGON_PROBLEM, SCHED_S_EVENT_TRIGGER, SCHED_S_SOME_TRIGGERS_FAILED, SCHED_S_TASK_DISABLED, SCHED_S_TASK_HAS_NOT_RUN, SCHED_S_TASK_NO_MORE_RUNS, SCHED_S_TASK_NO_VALID_TRIGGERS, SCHED_S_TASK_NOT_SCHEDULED, SCHED_S_TASK_QUEUED, SCHED_S_TASK_READY, SCHED_S_TASK_RUNNING, SCHED_S_TASK_TERMINATED, SEC_E_ALGORITHM_MISMATCH, SEC_E_BAD_BINDINGS, SEC_E_BAD_PKGID, SEC_E_BUFFER_TOO_SMALL, SEC_E_CANNOT_INSTALL, SEC_E_CANNOT_PACK, SEC_E_CERT_EXPIRED, SEC_E_CERT_UNKNOWN, SEC_E_CERT_WRONG_USAGE, SEC_E_CONTEXT_EXPIRED, SEC_E_CROSSREALM_DELEGATION_FAILURE, SEC_E_CRYPTO_SYSTEM_INVALID, SEC_E_DECRYPT_FAILURE, SEC_E_DELEGATION_POLICY, SEC_E_DELEGATION_REQUIRED, SEC_E_DOWNGRADE_DETECTED, SEC_E_ENCRYPT_FAILURE, SEC_E_ILLEGAL_MESSAGE, SEC_E_INCOMPLETE_CREDENTIALS, SEC_E_INCOMPLETE_MESSAGE, SEC_E_INSUFFICIENT_MEMORY, SEC_E_INTERNAL_ERROR, SEC_E_INVALID_HANDLE, SEC_E_INVALID_PARAMETER, SEC_E_INVALID_TOKEN, SEC_E_ISSUING_CA_UNTRUSTED, SEC_E_ISSUING_CA_UNTRUSTED_KDC, SEC_E_KDC_CERT_EXPIRED, SEC_E_KDC_CERT_REVOKED, SEC_E_KDC_INVALID_REQUEST, SEC_E_KDC_UNABLE_TO_REFER, SEC_E_KDC_UNKNOWN_ETYPE, SEC_E_LOGON_DENIED, SEC_E_MAX_REFERRALS_EXCEEDED, SEC_E_MESSAGE_ALTERED, SEC_E_MULTIPLE_ACCOUNTS, SEC_E_MUST_BE_KDC, SEC_E_NO_AUTHENTICATING_AUTHORITY, SEC_E_NO_CREDENTIALS, SEC_E_NO_IMPERSONATION, SEC_E_NO_IP_ADDRESSES, SEC_E_NO_KERB_KEY, SEC_E_NO_PA_DATA, SEC_E_NO_S4U_PROT_SUPPORT, SEC_E_NO_SPM, SEC_E_NO_TGT_REPLY, SEC_E_NOT_OWNER, SEC_E_NOT_SUPPORTED, SEC_E_OK, SEC_E_OUT_OF_SEQUENCE, SEC_E_PKINIT_CLIENT_FAILURE, SEC_E_PKINIT_NAME_MISMATCH, SEC_E_POLICY_NLTM_ONLY, SEC_E_QOP_NOT_SUPPORTED, SEC_E_REVOCATION_OFFLINE_C, SEC_E_REVOCATION_OFFLINE_KDC, SEC_E_SECPKG_NOT_FOUND, SEC_E_SECURITY_QOS_FAILED, SEC_E_SHUTDOWN_IN_PROGRESS, SEC_E_SMARTCARD_CERT_EXPIRED, SEC_E_SMARTCARD_CERT_REVOKED, SEC_E_SMARTCARD_LOGON_REQUIRED, SEC_E_STRONG_CRYPTO_NOT_SUPPORTED, SEC_E_TARGET_UNKNOWN, SEC_E_TIME_SKEW, SEC_E_TOO_MANY_PRINCIPALS, SEC_E_UNFINISHED_CONTEXT_DELETED, SEC_E_UNKNOWN_CREDENTIALS, SEC_E_UNSUPPORTED_FUNCTION, SEC_E_UNSUPPORTED_PREAUTH, SEC_E_UNTRUSTED_ROOT, SEC_E_WRONG_CREDENTIAL_HANDLE, SEC_E_WRONG_PRINCIPAL, SEC_I_COMPLETE_AND_CONTINUE, SEC_I_COMPLETE_NEEDED, SEC_I_CONTEXT_EXPIRED, SEC_I_CONTINUE_NEEDED, SEC_I_INCOMPLETE_CREDENTIALS, SEC_I_LOCAL_LOGON, SEC_I_NO_LSA_CONTEXT, SEC_I_NO_RENEGOTIATION, SEC_I_RENEGOTIATE, SEC_I_SIGNATURE_NEEDED, SEVERITY_ERROR, SEVERITY_SUCCESS, SPAPI_E_AUTHENTICODE_DISALLOWED, SPAPI_E_AUTHENTICODE_PUBLISHER_NOT_TRUSTED, SPAPI_E_AUTHENTICODE_TRUST_NOT_ESTABLISHED, SPAPI_E_AUTHENTICODE_TRUSTED_PUBLISHER, SPAPI_E_BAD_INTERFACE_INSTALLSECT, SPAPI_E_BAD_SECTION_NAME_LINE, SPAPI_E_BAD_SERVICE_INSTALLSECT, SPAPI_E_CANT_LOAD_CLASS_ICON, SPAPI_E_CANT_REMOVE_DEVINST, SPAPI_E_CLASS_MISMATCH, SPAPI_E_DEVICE_INSTALL_BLOCKED, SPAPI_E_DEVICE_INSTALLER_NOT_READY, SPAPI_E_DEVICE_INTERFACE_ACTIVE, SPAPI_E_DEVICE_INTERFACE_REMOVED, SPAPI_E_DEVINFO_DATA_LOCKED, SPAPI_E_DEVINFO_LIST_LOCKED, SPAPI_E_DEVINFO_NOT_REGISTERED, SPAPI_E_DEVINST_ALREADY_EXISTS, SPAPI_E_DEVINSTALL_QUEUE_NONNATIVE, SPAPI_E_DI_BAD_PATH, SPAPI_E_DI_DO_DEFAULT, SPAPI_E_DI_DONT_INSTALL, SPAPI_E_DI_FUNCTION_OBSOLETE, SPAPI_E_DI_NOFILECOPY, SPAPI_E_DI_POSTPROCESSING_REQUIRED, SPAPI_E_DRIVER_INSTALL_BLOCKED, SPAPI_E_DRIVER_NONNATIVE, SPAPI_E_DRIVER_STORE_ADD_FAILED, SPAPI_E_DRIVER_STORE_DELETE_FAILED, SPAPI_E_DUPLICATE_FOUND, SPAPI_E_ERROR_NOT_INSTALLED, SPAPI_E_EXPECTED_SECTION_NAME, SPAPI_E_FILE_HASH_NOT_IN_CATALOG, SPAPI_E_FILEQUEUE_LOCKED, SPAPI_E_GENERAL_SYNTAX, SPAPI_E_IN_WOW64, SPAPI_E_INCORRECTLY_COPIED_INF, SPAPI_E_INF_IN_USE_BY_DEVICES, SPAPI_E_INVALID_CLASS, SPAPI_E_INVALID_CLASS_INSTALLER, SPAPI_E_INVALID_COINSTALLER, SPAPI_E_INVALID_DEVINST_NAME, SPAPI_E_INVALID_FILTER_DRIVER, SPAPI_E_INVALID_HWPROFILE, SPAPI_E_INVALID_INF_LOGCONFIG, SPAPI_E_INVALID_MACHINENAME, SPAPI_E_INVALID_PROPPAGE_PROVIDER, SPAPI_E_INVALID_REFERENCE_STRING, SPAPI_E_INVALID_REG_PROPERTY, SPAPI_E_INVALID_TARGET, SPAPI_E_KEY_DOES_NOT_EXIST, SPAPI_E_LINE_NOT_FOUND, SPAPI_E_MACHINE_UNAVAILABLE, SPAPI_E_NO_ASSOCIATED_CLASS, SPAPI_E_NO_ASSOCIATED_SERVICE, SPAPI_E_NO_AUTHENTICODE_CATALOG, SPAPI_E_NO_BACKUP, SPAPI_E_NO_CATALOG_FOR_OEM_INF, SPAPI_E_NO_CLASS_DRIVER_LIST, SPAPI_E_NO_CLASSINSTALL_PARAMS, SPAPI_E_NO_COMPAT_DRIVERS, SPAPI_E_NO_CONFIGMGR_SERVICES, SPAPI_E_NO_DEFAULT_DEVICE_INTERFACE, SPAPI_E_NO_DEVICE_ICON, SPAPI_E_NO_DEVICE_SELECTED, SPAPI_E_NO_DRIVER_SELECTED, SPAPI_E_NO_INF, SPAPI_E_NO_SUCH_DEVICE_INTERFACE, SPAPI_E_NO_SUCH_DEVINST, SPAPI_E_NO_SUCH_INTERFACE_CLASS, SPAPI_E_NON_WINDOWS_DRIVER, SPAPI_E_NON_WINDOWS_NT_DRIVER, SPAPI_E_NOT_AN_INSTALLED_OEM_INF, SPAPI_E_NOT_DISABLEABLE, SPAPI_E_ONLY_VALIDATE_VIA_AUTHENTICODE, SPAPI_E_PNP_REGISTRY_ERROR, SPAPI_E_REMOTE_COMM_FAILURE, SPAPI_E_REMOTE_REQUEST_UNSUPPORTED, SPAPI_E_SCE_DISABLED, SPAPI_E_SECTION_NAME_TOO_LONG, SPAPI_E_SECTION_NOT_FOUND, SPAPI_E_SET_SYSTEM_RESTORE_POINT, SPAPI_E_SIGNATURE_OSATTRIBUTE_MISMATCH, SPAPI_E_UNKNOWN_EXCEPTION, SPAPI_E_UNRECOVERABLE_STACK_OVERFLOW, SPAPI_E_WRONG_INF_STYLE, SPAPI_E_WRONG_INF_TYPE, STG_E_ABNORMALAPIEXIT, STG_E_ACCESSDENIED, STG_E_BADBASEADDRESS, STG_E_CANTSAVE, STG_E_CSS_AUTHENTICATION_FAILURE, STG_E_CSS_KEY_NOT_ESTABLISHED, STG_E_CSS_KEY_NOT_PRESENT, STG_E_CSS_REGION_MISMATCH, STG_E_CSS_SCRAMBLED_SECTOR, STG_E_DISKISWRITEPROTECTED, STG_E_DOCFILECORRUPT, STG_E_DOCFILETOOLARGE, STG_E_EXTANTMARSHALLINGS, STG_E_FILEALREADYEXISTS, STG_E_FILENOTFOUND, STG_E_INCOMPLETE, STG_E_INSUFFICIENTMEMORY, STG_E_INUSE, STG_E_INVALIDFLAG, STG_E_INVALIDFUNCTION, STG_E_INVALIDHANDLE, STG_E_INVALIDHEADER, STG_E_INVALIDNAME, STG_E_INVALIDPARAMETER, STG_E_INVALIDPOINTER, STG_E_LOCKVIOLATION, STG_E_MEDIUMFULL, STG_E_NOMOREFILES, STG_E_NOTCURRENT, STG_E_NOTFILEBASEDSTORAGE, STG_E_NOTSIMPLEFORMAT, STG_E_OLDDLL, STG_E_OLDFORMAT, STG_E_PATHNOTFOUND, STG_E_PROPSETMISMATCHED, STG_E_READFAULT, STG_E_RESETS_EXHAUSTED, STG_E_REVERTED, STG_E_SEEKERROR, STG_E_SHAREREQUIRED, STG_E_SHAREVIOLATION, STG_E_STATUS_COPY_PROTECTION_FAILURE, STG_E_TERMINATED, STG_E_TOOMANYOPENFILES, STG_E_UNIMPLEMENTEDFUNCTION, STG_E_UNKNOWN, STG_E_WRITEFAULT, STG_S_BLOCK, STG_S_CANNOTCONSOLIDATE, STG_S_CONSOLIDATIONFAILED, STG_S_CONVERTED, STG_S_MONITORING, STG_S_MULTIPLEOPENS, STG_S_RETRYNOW, TBS_E_BAD_PARAMETER, TBS_E_BUFFER_TOO_LARGE, TBS_E_COMMAND_CANCELED, TBS_E_INSUFFICIENT_BUFFER, TBS_E_INTERNAL_ERROR, TBS_E_INVALID_CONTEXT, TBS_E_INVALID_CONTEXT_PARAM, TBS_E_INVALID_OUTPUT_POINTER, TBS_E_IOERROR, TBS_E_PPI_NOT_SUPPORTED, TBS_E_SERVICE_DISABLED, TBS_E_SERVICE_NOT_RUNNING, TBS_E_SERVICE_START_PENDING, TBS_E_TOO_MANY_RESOURCES, TBS_E_TOO_MANY_TBS_CONTEXTS, TBS_E_TPM_NOT_FOUND, TBSIMP_E_BUFFER_TOO_SMALL, TBSIMP_E_CLEANUP_FAILED, TBSIMP_E_COMMAND_CANCELED, TBSIMP_E_COMMAND_FAILED, TBSIMP_E_DUPLICATE_VHANDLE, TBSIMP_E_HASH_BAD_KEY, TBSIMP_E_HASH_TABLE_FULL, TBSIMP_E_INVALID_CONTEXT_HANDLE, TBSIMP_E_INVALID_CONTEXT_PARAM, TBSIMP_E_INVALID_OUTPUT_POINTER, TBSIMP_E_INVALID_PARAMETER, TBSIMP_E_INVALID_RESOURCE, TBSIMP_E_LIST_NO_MORE_ITEMS, TBSIMP_E_LIST_NOT_FOUND, TBSIMP_E_NOT_ENOUGH_SPACE, TBSIMP_E_NOT_ENOUGH_TPM_CONTEXTS, TBSIMP_E_NOTHING_TO_UNLOAD, TBSIMP_E_OUT_OF_MEMORY, TBSIMP_E_PPI_NOT_SUPPORTED, TBSIMP_E_RESOURCE_EXPIRED, TBSIMP_E_RPC_INIT_FAILED, TBSIMP_E_SCHEDULER_NOT_RUNNING, TBSIMP_E_TOO_MANY_RESOURCES, TBSIMP_E_TOO_MANY_TBS_CONTEXTS, TBSIMP_E_TPM_ERROR, TBSIMP_E_TPM_INCOMPATIBLE, TBSIMP_E_UNKNOWN_ORDINAL, TPM_E_AREA_LOCKED, TPM_E_AUDITFAIL_SUCCESSFUL, TPM_E_AUDITFAIL_UNSUCCESSFUL, TPM_E_AUDITFAILURE, TPM_E_AUTH_CONFLICT, TPM_E_AUTH2FAIL, TPM_E_AUTHFAIL, TPM_E_BAD_ATTRIBUTES, TPM_E_BAD_COUNTER, TPM_E_BAD_DATASIZE, TPM_E_BAD_DELEGATE, TPM_E_BAD_HANDLE, TPM_E_BAD_KEY_PROPERTY, TPM_E_BAD_LOCALITY, TPM_E_BAD_MIGRATION, TPM_E_BAD_MODE, TPM_E_BAD_ORDINAL, TPM_E_BAD_PARAM_SIZE, TPM_E_BAD_PARAMETER, TPM_E_BAD_PRESENCE, TPM_E_BAD_SCHEME, TPM_E_BAD_SIGNATURE, TPM_E_BAD_TYPE, TPM_E_BAD_VERSION, TPM_E_BADCONTEXT, TPM_E_BADINDEX, TPM_E_BADTAG, TPM_E_CLEAR_DISABLED, TPM_E_COMMAND_BLOCKED, TPM_E_CONTEXT_GAP, TPM_E_DAA_INPUT_DATA0, TPM_E_DAA_INPUT_DATA1, TPM_E_DAA_ISSUER_SETTINGS, TPM_E_DAA_ISSUER_VALIDITY, TPM_E_DAA_RESOURCES, TPM_E_DAA_STAGE, TPM_E_DAA_TPM_SETTINGS, TPM_E_DAA_WRONG_W, TPM_E_DEACTIVATED, TPM_E_DECRYPT_ERROR, TPM_E_DEFEND_LOCK_RUNNING, TPM_E_DELEGATE_ADMIN, TPM_E_DELEGATE_FAMILY, TPM_E_DELEGATE_LOCK, TPM_E_DISABLED, TPM_E_DISABLED_CMD, TPM_E_DOING_SELFTEST, TPM_E_DUPLICATE_VHANDLE, TPM_E_EMBEDDED_COMMAND_BLOCKED, TPM_E_EMBEDDED_COMMAND_UNSUPPORTED, TPM_E_ENCRYPT_ERROR, TPM_E_ERROR_MASK, TPM_E_FAIL, TPM_E_FAILEDSELFTEST, TPM_E_FAMILYCOUNT, TPM_E_INAPPROPRIATE_ENC, TPM_E_INAPPROPRIATE_SIG, TPM_E_INSTALL_DISABLED, TPM_E_INVALID_AUTHHANDLE, TPM_E_INVALID_FAMILY, TPM_E_INVALID_HANDLE, TPM_E_INVALID_KEYHANDLE, TPM_E_INVALID_KEYUSAGE, TPM_E_INVALID_PCR_INFO, TPM_E_INVALID_POSTINIT, TPM_E_INVALID_RESOURCE, TPM_E_INVALID_STRUCTURE, TPM_E_IOERROR, TPM_E_KEY_NOTSUPPORTED, TPM_E_KEY_OWNER_CONTROL, TPM_E_KEYNOTFOUND, TPM_E_MA_AUTHORITY, TPM_E_MA_DESTINATION, TPM_E_MA_SOURCE, TPM_E_MA_TICKET_SIGNATURE, TPM_E_MAXNVWRITES, TPM_E_MIGRATEFAIL, TPM_E_NEEDS_SELFTEST, TPM_E_NO_ENDORSEMENT, TPM_E_NO_NV_PERMISSION, TPM_E_NO_WRAP_TRANSPORT, TPM_E_NOCONTEXTSPACE, TPM_E_NOOPERATOR, TPM_E_NOSPACE, TPM_E_NOSRK, TPM_E_NOT_FULLWRITE, TPM_E_NOTFIPS, TPM_E_NOTLOCAL, TPM_E_NOTRESETABLE, TPM_E_NOTSEALED_BLOB, TPM_E_OWNER_CONTROL, TPM_E_OWNER_SET, TPM_E_PER_NOWRITE, TPM_E_PERMANENTEK, TPM_E_PPI_ACPI_FAILURE, TPM_E_PPI_BIOS_FAILURE, TPM_E_PPI_NOT_SUPPORTED, TPM_E_PPI_USER_ABORT, TPM_E_READ_ONLY, TPM_E_REQUIRES_SIGN, TPM_E_RESOURCEMISSING, TPM_E_RESOURCES, TPM_E_RETRY, TPM_E_SHA_ERROR, TPM_E_SHA_THREAD, TPM_E_SHORTRANDOM, TPM_E_SIZE, TPM_E_TOOMANYCONTEXTS, TPM_E_TRANSPORT_NOTEXCLUSIVE, TPM_E_WRITE_LOCKED, TPM_E_WRONG_ENTITYTYPE, TPM_E_WRONGPCRVAL, TPMAPI_E_ACCESS_DENIED, TPMAPI_E_AUTHORIZATION_FAILED, TPMAPI_E_BUFFER_TOO_SMALL, TPMAPI_E_ENCRYPTION_FAILED, TPMAPI_E_FIPS_RNG_CHECK_FAILED, TPMAPI_E_INTERNAL_ERROR, TPMAPI_E_INVALID_CONTEXT_HANDLE, TPMAPI_E_INVALID_CONTEXT_PARAMS, TPMAPI_E_INVALID_DELEGATE_BLOB, TPMAPI_E_INVALID_ENCODING, TPMAPI_E_INVALID_KEY_BLOB, TPMAPI_E_INVALID_KEY_PARAMS, TPMAPI_E_INVALID_KEY_SIZE, TPMAPI_E_INVALID_MIGRATION_AUTHORIZATION_BLOB, TPMAPI_E_INVALID_OUTPUT_POINTER, TPMAPI_E_INVALID_OWNER_AUTH, TPMAPI_E_INVALID_PARAMETER, TPMAPI_E_INVALID_PCR_DATA, TPMAPI_E_INVALID_PCR_INDEX, TPMAPI_E_INVALID_STATE, TPMAPI_E_MESSAGE_TOO_LARGE, TPMAPI_E_NOT_ENOUGH_DATA, TPMAPI_E_OUT_OF_MEMORY, TPMAPI_E_TBS_COMMUNICATION_ERROR, TPMAPI_E_TOO_MUCH_DATA, TPMAPI_E_TPM_COMMAND_ERROR, TRUST_E_ACTION_UNKNOWN, TRUST_E_BAD_DIGEST, TRUST_E_BASIC_CONSTRAINTS, TRUST_E_CERT_SIGNATURE, TRUST_E_COUNTER_SIGNER, TRUST_E_EXPLICIT_DISTRUST, TRUST_E_FAIL, TRUST_E_FINANCIAL_CRITERIA, TRUST_E_NO_SIGNER_CERT, TRUST_E_NOSIGNATURE, TRUST_E_PROVIDER_UNKNOWN, TRUST_E_SUBJECT_FORM_UNKNOWN, TRUST_E_SUBJECT_NOT_TRUSTED, TRUST_E_SYSTEM_ERROR, TRUST_E_TIME_STAMP, TYPE_E_AMBIGUOUSNAME, TYPE_E_BADMODULEKIND, TYPE_E_BUFFERTOOSMALL, TYPE_E_CANTCREATETMPFILE, TYPE_E_CANTLOADLIBRARY, TYPE_E_CIRCULARTYPE, TYPE_E_DLLFUNCTIONNOTFOUND, TYPE_E_DUPLICATEID, TYPE_E_ELEMENTNOTFOUND, TYPE_E_FIELDNOTFOUND, TYPE_E_INCONSISTENTPROPFUNCS, TYPE_E_INVALIDID, TYPE_E_INVALIDSTATE, TYPE_E_INVDATAREAD, TYPE_E_IOERROR, TYPE_E_LIBNOTREGISTERED, TYPE_E_NAMECONFLICT, TYPE_E_OUTOFBOUNDS, TYPE_E_QUALIFIEDNAMEDISALLOWED, TYPE_E_REGISTRYACCESS, TYPE_E_SIZETOOBIG, TYPE_E_TYPEMISMATCH, TYPE_E_UNDEFINEDTYPE, TYPE_E_UNKNOWNLCID, TYPE_E_UNSUPFORMAT, TYPE_E_WRONGTYPEKIND, VIEW_E_DRAW, VIEW_E_FIRST, VIEW_E_LAST, VIEW_S_ALREADY_FROZEN, VIEW_S_FIRST, VIEW_S_LAST, WAIT_TIMEOUT, WARNING_IPSEC_MM_POLICY_PRUNED, WARNING_IPSEC_QM_POLICY_PRUNED, WSA_E_CANCELLED, WSA_E_NO_MORE, WSA_QOS_ADMISSION_FAILURE, WSA_QOS_BAD_OBJECT, WSA_QOS_BAD_STYLE, WSA_QOS_EFILTERCOUNT, WSA_QOS_EFILTERSTYLE, WSA_QOS_EFILTERTYPE, WSA_QOS_EFLOWCOUNT, WSA_QOS_EFLOWDESC, WSA_QOS_EFLOWSPEC, WSA_QOS_EOBJLENGTH, WSA_QOS_EPOLICYOBJ, WSA_QOS_EPROVSPECBUF, WSA_QOS_EPSFILTERSPEC, WSA_QOS_EPSFLOWSPEC, WSA_QOS_ESDMODEOBJ, WSA_QOS_ESERVICETYPE, WSA_QOS_ESHAPERATEOBJ, WSA_QOS_EUNKOWNPSOBJ, WSA_QOS_GENERIC_ERROR, WSA_QOS_NO_RECEIVERS, WSA_QOS_NO_SENDERS, WSA_QOS_POLICY_FAILURE, WSA_QOS_RECEIVERS, WSA_QOS_REQUEST_CONFIRMED, WSA_QOS_RESERVED_PETYPE, WSA_QOS_SENDERS, WSA_QOS_TRAFFIC_CTRL_ERROR, WSABASEERR, WSAEACCES, WSAEADDRINUSE, WSAEADDRNOTAVAIL, WSAEAFNOSUPPORT, WSAEALREADY, WSAEBADF, WSAECANCELLED, WSAECONNABORTED, WSAECONNREFUSED, WSAECONNRESET, WSAEDESTADDRREQ, WSAEDISCON, WSAEDQUOT, WSAEFAULT, WSAEHOSTDOWN, WSAEHOSTUNREACH, WSAEINPROGRESS, WSAEINTR, WSAEINVAL, WSAEINVALIDPROCTABLE, WSAEINVALIDPROVIDER, WSAEISCONN, WSAELOOP, WSAEMFILE, WSAEMSGSIZE, WSAENAMETOOLONG, WSAENETDOWN, WSAENETRESET, WSAENETUNREACH, WSAENOBUFS, WSAENOMORE, WSAENOPROTOOPT, WSAENOTCONN, WSAENOTEMPTY, WSAENOTSOCK, WSAEOPNOTSUPP, WSAEPFNOSUPPORT, WSAEPROCLIM, WSAEPROTONOSUPPORT, WSAEPROTOTYPE, WSAEPROVIDERFAILEDINIT, WSAEREFUSED, WSAEREMOTE, WSAESHUTDOWN, WSAESOCKTNOSUPPORT, WSAESTALE, WSAETIMEDOUT, WSAETOOMANYREFS, WSAEUSERS, WSAEWOULDBLOCK, WSAHOST_NOT_FOUND, WSANO_DATA, WSANO_RECOVERY, WSANOTINITIALISED, WSASERVICE_NOT_FOUND, WSASYSCALLFAILURE, WSASYSNOTREADY, WSATRY_AGAIN, WSATYPE_NOT_FOUND, WSAVERNOTSUPPORTED, XACT_E_ABORTED, XACT_E_ABORTING, XACT_E_ALREADYINPROGRESS, XACT_E_ALREADYOTHERSINGLEPHASE, XACT_E_CANTRETAIN, XACT_E_CLERKEXISTS, XACT_E_CLERKNOTFOUND, XACT_E_COMMITFAILED, XACT_E_COMMITPREVENTED, XACT_E_CONNECTION_DENIED, XACT_E_CONNECTION_DOWN, XACT_E_DEST_TMNOTAVAILABLE, XACT_E_FIRST, XACT_E_HEURISTICABORT, XACT_E_HEURISTICCOMMIT, XACT_E_HEURISTICDAMAGE, XACT_E_HEURISTICDANGER, XACT_E_INDOUBT, XACT_E_INVALIDCOOKIE, XACT_E_INVALIDLSN, XACT_E_ISOLATIONLEVEL, XACT_E_LAST, XACT_E_LOGFULL, XACT_E_NETWORK_TX_DISABLED, XACT_E_NOASYNC, XACT_E_NOENLIST, XACT_E_NOIMPORTOBJECT, XACT_E_NOISORETAIN, XACT_E_NORESOURCE, XACT_E_NOTCURRENT, XACT_E_NOTIMEOUT, XACT_E_NOTRANSACTION, XACT_E_NOTSUPPORTED, XACT_E_PARTNER_NETWORK_TX_DISABLED, XACT_E_RECOVERYINPROGRESS, XACT_E_REENLISTTIMEOUT, XACT_E_REPLAYREQUEST, XACT_E_TIP_CONNECT_FAILED, XACT_E_TIP_DISABLED, XACT_E_TIP_PROTOCOL_ERROR, XACT_E_TIP_PULL_FAILED, XACT_E_TMNOTAVAILABLE, XACT_E_TRANSACTIONCLOSED, XACT_E_UNABLE_TO_LOAD_DTC_PROXY, XACT_E_UNABLE_TO_READ_DTC_CONFIG, XACT_E_UNKNOWNRMGRID, XACT_E_WRONGSTATE, XACT_E_WRONGUOW, XACT_E_XA_TX_DISABLED, XACT_E_XTIONEXISTS, XACT_S_ABORTING, XACT_S_ALLNORETAIN, XACT_S_ASYNC, XACT_S_DEFECT, XACT_S_FIRST, XACT_S_LAST, XACT_S_LASTRESOURCEMANAGER, XACT_S_LOCALLY_OK, XACT_S_MADECHANGESCONTENT, XACT_S_MADECHANGESINFORM, XACT_S_OKINFORM, XACT_S_READONLY, XACT_S_SINGLEPHASE, XACT_S_SOMENORETAIN, XENROLL_E_CANNOT_ADD_ROOT_CERT, XENROLL_E_KEY_NOT_EXPORTABLE, XENROLL_E_KEYSPEC_SMIME_MISMATCH, XENROLL_E_RESPONSE_KA_HASH_MISMATCH, XENROLL_E_RESPONSE_KA_HASH_NOT_FOUND, XENROLL_E_RESPONSE_UNEXPECTED_KA_HASH`

  ### Fields inherited from interface com.sun.jna.platform.win32.WinNT

  `ACCESS_ALLOWED_ACE_TYPE, ACCESS_ALLOWED_CALLBACK_ACE_TYPE, ACCESS_ALLOWED_CALLBACK_OBJECT_ACE_TYPE, ACCESS_ALLOWED_COMPOUND_ACE_TYPE, ACCESS_ALLOWED_OBJECT_ACE_TYPE, ACCESS_DENIED_ACE_TYPE, ACCESS_DENIED_CALLBACK_ACE_TYPE, ACCESS_DENIED_CALLBACK_OBJECT_ACE_TYPE, ACCESS_DENIED_OBJECT_ACE_TYPE, ACCESS_SYSTEM_SECURITY, ACL_REVISION, ACL_REVISION_DS, ACL_REVISION1, ACL_REVISION2, ACL_REVISION3, ACL_REVISION4, BOOLEAN_FALSE, BOOLEAN_TRUE, CACHE_FULLY_ASSOCIATIVE, COMPRESSION_ENGINE_HIBER, COMPRESSION_ENGINE_MAXIMUM, COMPRESSION_ENGINE_STANDARD, COMPRESSION_FORMAT_DEFAULT, COMPRESSION_FORMAT_LZNT1, COMPRESSION_FORMAT_NONE, COMPRESSION_FORMAT_XPRESS, COMPRESSION_FORMAT_XPRESS_HUFF, CONTAINER_INHERIT_ACE, CREATE_ALWAYS, CREATE_NEW, DACL_SECURITY_INFORMATION, DDD_EXACT_MATCH_ON_REMOVE, DDD_NO_BROADCAST_SYSTEM, DDD_RAW_TARGET_PATH, DDD_REMOVE_DEFINITION, DELETE, EVENT_ALL_ACCESS, EVENT_MODIFY_STATE, EVENTLOG_AUDIT_FAILURE, EVENTLOG_AUDIT_SUCCESS, EVENTLOG_BACKWARDS_READ, EVENTLOG_ERROR_TYPE, EVENTLOG_FORWARDS_READ, EVENTLOG_INFORMATION_TYPE, EVENTLOG_SEEK_READ, EVENTLOG_SEQUENTIAL_READ, EVENTLOG_SUCCESS, EVENTLOG_WARNING_TYPE, FILE_ACTION_ADDED, FILE_ACTION_MODIFIED, FILE_ACTION_REMOVED, FILE_ACTION_RENAMED_NEW_NAME, FILE_ACTION_RENAMED_OLD_NAME, FILE_ADD_FILE, FILE_ADD_SUBDIRECTORY, FILE_ALL_ACCESS, FILE_APPEND_DATA, FILE_ATTRIBUTE_ARCHIVE, FILE_ATTRIBUTE_COMPRESSED, FILE_ATTRIBUTE_DEVICE, FILE_ATTRIBUTE_DIRECTORY, FILE_ATTRIBUTE_ENCRYPTED, FILE_ATTRIBUTE_HIDDEN, FILE_ATTRIBUTE_NORMAL, FILE_ATTRIBUTE_NOT_CONTENT_INDEXED, FILE_ATTRIBUTE_OFFLINE, FILE_ATTRIBUTE_READONLY, FILE_ATTRIBUTE_REPARSE_POINT, FILE_ATTRIBUTE_SPARSE_FILE, FILE_ATTRIBUTE_SYSTEM, FILE_ATTRIBUTE_TEMPORARY, FILE_ATTRIBUTE_VIRTUAL, FILE_CASE_PRESERVED_NAMES, FILE_CASE_SENSITIVE_SEARCH, FILE_CREATE_PIPE_INSTANCE, FILE_DELETE_CHILD, FILE_EXECUTE, FILE_FILE_COMPRESSION, FILE_FLAG_BACKUP_SEMANTICS, FILE_FLAG_DELETE_ON_CLOSE, FILE_FLAG_NO_BUFFERING, FILE_FLAG_OPEN_NO_RECALL, FILE_FLAG_OPEN_REPARSE_POINT, FILE_FLAG_OVERLAPPED, FILE_FLAG_POSIX_SEMANTICS, FILE_FLAG_RANDOM_ACCESS, FILE_FLAG_SEQUENTIAL_SCAN, FILE_FLAG_WRITE_THROUGH, FILE_GENERIC_EXECUTE, FILE_GENERIC_READ, FILE_GENERIC_WRITE, FILE_LIST_DIRECTORY, FILE_NAMED_STREAMS, FILE_NOTIFY_CHANGE_ATTRIBUTES, FILE_NOTIFY_CHANGE_CREATION, FILE_NOTIFY_CHANGE_DIR_NAME, FILE_NOTIFY_CHANGE_FILE_NAME, FILE_NOTIFY_CHANGE_LAST_ACCESS, FILE_NOTIFY_CHANGE_LAST_WRITE, FILE_NOTIFY_CHANGE_NAME, FILE_NOTIFY_CHANGE_SECURITY, FILE_NOTIFY_CHANGE_SIZE, FILE_PERSISTENT_ACLS, FILE_READ_ATTRIBUTES, FILE_READ_DATA, FILE_READ_EA, FILE_READ_ONLY_VOLUME, FILE_SEQUENTIAL_WRITE_ONCE, FILE_SHARE_DELETE, FILE_SHARE_READ, FILE_SHARE_WRITE, FILE_SUPPORTS_ENCRYPTION, FILE_SUPPORTS_EXTENDED_ATTRIBUTES, FILE_SUPPORTS_HARD_LINKS, FILE_SUPPORTS_OBJECT_IDS, FILE_SUPPORTS_OPEN_BY_FILE_ID, FILE_SUPPORTS_REMOTE_STORAGE, FILE_SUPPORTS_REPARSE_POINTS, FILE_SUPPORTS_SPARSE_FILES, FILE_SUPPORTS_TRANSACTIONS, FILE_SUPPORTS_USN_JOURNAL, FILE_TRAVERSE, FILE_TYPE_CHAR, FILE_TYPE_DISK, FILE_TYPE_PIPE, FILE_TYPE_REMOTE, FILE_TYPE_UNKNOWN, FILE_UNICODE_ON_DISK, FILE_VOLUME_IS_COMPRESSED, FILE_VOLUME_QUOTAS, FILE_WRITE_ATTRIBUTES, FILE_WRITE_DATA, FILE_WRITE_EA, GENERIC_ALL, GENERIC_EXECUTE, GENERIC_READ, GENERIC_WRITE, GROUP_SECURITY_INFORMATION, INHERIT_ONLY_ACE, INHERITED_ACE, IO_REPARSE_TAG_CSV, IO_REPARSE_TAG_DFS, IO_REPARSE_TAG_DFSR, IO_REPARSE_TAG_HSM, IO_REPARSE_TAG_HSM2, IO_REPARSE_TAG_MOUNT_POINT, IO_REPARSE_TAG_SIS, IO_REPARSE_TAG_SYMLINK, IO_REPARSE_TAG_WIM, KEY_ALL_ACCESS, KEY_CREATE_LINK, KEY_CREATE_SUB_KEY, KEY_ENUMERATE_SUB_KEYS, KEY_EXECUTE, KEY_NOTIFY, KEY_QUERY_VALUE, KEY_READ, KEY_SET_VALUE, KEY_WOW64_32KEY, KEY_WOW64_64KEY, KEY_WOW64_RES, KEY_WRITE, LABEL_SECURITY_INFORMATION, LANG_AFRIKAANS, LANG_ALBANIAN, LANG_ARABIC, LANG_ARMENIAN, LANG_ASSAMESE, LANG_AZERI, LANG_BASQUE, LANG_BELARUSIAN, LANG_BENGALI, LANG_BULGARIAN, LANG_CATALAN, LANG_CHINESE, LANG_CROATIAN, LANG_CZECH, LANG_DANISH, LANG_DIVEHI, LANG_DUTCH, LANG_ENGLISH, LANG_ESTONIAN, LANG_FAEROESE, LANG_FARSI, LANG_FINNISH, LANG_FRENCH, LANG_GALICIAN, LANG_GEORGIAN, LANG_GERMAN, LANG_GREEK, LANG_GUJARATI, LANG_HEBREW, LANG_HINDI, LANG_HUNGARIAN, LANG_ICELANDIC, LANG_INDONESIAN, LANG_INVARIANT, LANG_ITALIAN, LANG_JAPANESE, LANG_KANNADA, LANG_KASHMIRI, LANG_KAZAK, LANG_KONKANI, LANG_KOREAN, LANG_KYRGYZ, LANG_LATVIAN, LANG_LITHUANIAN, LANG_MACEDONIAN, LANG_MALAY, LANG_MALAYALAM, LANG_MANIPURI, LANG_MARATHI, LANG_MONGOLIAN, LANG_NEPALI, LANG_NEUTRAL, LANG_NORWEGIAN, LANG_ORIYA, LANG_POLISH, LANG_PORTUGUESE, LANG_PUNJABI, LANG_ROMANIAN, LANG_RUSSIAN, LANG_SANSKRIT, LANG_SERBIAN, LANG_SINDHI, LANG_SLOVAK, LANG_SLOVENIAN, LANG_SPANISH, LANG_SWAHILI, LANG_SWEDISH, LANG_SYRIAC, LANG_SYSTEM_DEFAULT, LANG_TAMIL, LANG_TATAR, LANG_TELUGU, LANG_THAI, LANG_TURKISH, LANG_UKRAINIAN, LANG_URDU, LANG_USER_DEFAULT, LANG_UZBEK, LANG_VIETNAMESE, LOCALE_INVARIANT, LOCALE_NEUTRAL, LOCALE_SYSTEM_DEFAULT, LOCALE_USER_DEFAULT, LTP_PC_SMT, MAX_ACL_REVISION, MAXBYTE, MAXCHAR, MAXDWORD, MAXLONG, MAXSHORT, MAXWORD, MEM_COALESCE_PLACEHOLDERS, MEM_COMMIT, MEM_DECOMMIT, MEM_FREE, MEM_IMAGE, MEM_LARGE_PAGES, MEM_MAPPED, MEM_PHYSICAL, MEM_PRESERVE_PLACEHOLDER, MEM_PRIVATE, MEM_RELEASE, MEM_RESERVE, MEM_RESET, MEM_RESET_UNDO, MEM_TOP_DOWN, MIN_ACL_REVISION, MINCHAR, MINLONG, MINSHORT, MUTANT_ALL_ACCESS, MUTANT_QUERY_STATE, NLS_VALID_LOCALE_MASK, NO_PROPAGATE_INHERIT_ACE, NUM_DISCHARGE_POLICIES, OBJECT_INHERIT_ACE, OPEN_ALWAYS, OPEN_EXISTING, OWNER_SECURITY_INFORMATION, PAGE_EXECUTE, PAGE_EXECUTE_READ, PAGE_EXECUTE_READWRITE, PAGE_GUARD, PAGE_NOACCESS, PAGE_READONLY, PAGE_READWRITE, PAGE_WRITECOPY, PROCESS_ALL_ACCESS, PROCESS_CREATE_PROCESS, PROCESS_CREATE_THREAD, PROCESS_DUP_HANDLE, PROCESS_NAME_NATIVE, PROCESS_QUERY_INFORMATION, PROCESS_QUERY_LIMITED_INFORMATION, PROCESS_SET_INFORMATION, PROCESS_SET_QUOTA, PROCESS_SUSPEND_RESUME, PROCESS_SYNCHRONIZE, PROCESS_TERMINATE, PROCESS_VM_OPERATION, PROCESS_VM_READ, PROCESS_VM_WRITE, PROTECTED_DACL_SECURITY_INFORMATION, PROTECTED_SACL_SECURITY_INFORMATION, READ_CONTROL, REG_APP_HIVE, REG_BINARY, REG_CREATED_NEW_KEY, REG_DWORD, REG_DWORD_BIG_ENDIAN, REG_DWORD_LITTLE_ENDIAN, REG_EXPAND_SZ, REG_FORCE_RESTORE, REG_FORCE_UNLOAD, REG_FULL_RESOURCE_DESCRIPTOR, REG_HIVE_EXACT_FILE_GROWTH, REG_HIVE_NO_RM, REG_HIVE_SINGLE_LOG, REG_LATEST_FORMAT, REG_LEGAL_CHANGE_FILTER, REG_LEGAL_OPTION, REG_LINK, REG_MULTI_SZ, REG_NO_COMPRESSION, REG_NO_LAZY_FLUSH, REG_NONE, REG_NOTIFY_CHANGE_ATTRIBUTES, REG_NOTIFY_CHANGE_LAST_SET, REG_NOTIFY_CHANGE_NAME, REG_NOTIFY_CHANGE_SECURITY, REG_NOTIFY_THREAD_AGNOSTIC, REG_OPENED_EXISTING_KEY, REG_OPTION_BACKUP_RESTORE, REG_OPTION_CREATE_LINK, REG_OPTION_NON_VOLATILE, REG_OPTION_OPEN_LINK, REG_OPTION_RESERVED, REG_OPTION_VOLATILE, REG_PROCESS_PRIVATE, REG_QWORD, REG_QWORD_LITTLE_ENDIAN, REG_REFRESH_HIVE, REG_RESOURCE_LIST, REG_RESOURCE_REQUIREMENTS_LIST, REG_STANDARD_FORMAT, REG_START_JOURNAL, REG_SZ, REG_WHOLE_HIVE_VOLATILE, SACL_SECURITY_INFORMATION, SE_ASSIGNPRIMARYTOKEN_NAME, SE_AUDIT_NAME, SE_BACKUP_NAME, SE_CHANGE_NOTIFY_NAME, SE_CREATE_GLOBAL_NAME, SE_CREATE_PAGEFILE_NAME, SE_CREATE_PERMANENT_NAME, SE_CREATE_TOKEN_NAME, SE_DACL_AUTO_INHERIT_REQ, SE_DACL_AUTO_INHERITED, SE_DACL_DEFAULTED, SE_DACL_PRESENT, SE_DACL_PROTECTED, SE_DEBUG_NAME, SE_ENABLE_DELEGATION_NAME, SE_GROUP_DEFAULTED, SE_IMPERSONATE_NAME, SE_INC_BASE_PRIORITY_NAME, SE_INCREASE_QUOTA_NAME, SE_LOAD_DRIVER_NAME, SE_LOCK_MEMORY_NAME, SE_MACHINE_ACCOUNT_NAME, SE_MANAGE_VOLUME_NAME, SE_OWNER_DEFAULTED, SE_PRIVILEGE_ENABLED, SE_PRIVILEGE_ENABLED_BY_DEFAULT, SE_PRIVILEGE_REMOVED, SE_PRIVILEGE_USED_FOR_ACCESS, SE_PROF_SINGLE_PROCESS_NAME, SE_REMOTE_SHUTDOWN_NAME, SE_RESTORE_NAME, SE_RM_CONTROL_VALID, SE_SACL_AUTO_INHERIT_REQ, SE_SACL_AUTO_INHERITED, SE_SACL_DEFAULTED, SE_SACL_PRESENT, SE_SACL_PROTECTED, SE_SECURITY_NAME, SE_SELF_RELATIVE, SE_SHUTDOWN_NAME, SE_SYNC_AGENT_NAME, SE_SYSTEM_ENVIRONMENT_NAME, SE_SYSTEM_PROFILE_NAME, SE_SYSTEMTIME_NAME, SE_TAKE_OWNERSHIP_NAME, SE_TCB_NAME, SE_UNDOCK_NAME, SE_UNSOLICITED_INPUT_NAME, SECTION_ALL_ACCESS, SECTION_EXTEND_SIZE, SECTION_MAP_EXECUTE, SECTION_MAP_EXECUTE_EXPLICIT, SECTION_MAP_READ, SECTION_MAP_WRITE, SECTION_QUERY, SECURITY_DESCRIPTOR_REVISION, SECURITY_DYNAMIC_TRACKING, SECURITY_MAX_SID_SIZE, SECURITY_STATIC_TRACKING, SERVICE_ADAPTER, SERVICE_AUTO_START, SERVICE_BOOT_START, SERVICE_DEMAND_START, SERVICE_DISABLED, SERVICE_DRIVER, SERVICE_ERROR_CRITICAL, SERVICE_ERROR_IGNORE, SERVICE_ERROR_NORMAL, SERVICE_ERROR_SEVERE, SERVICE_FILE_SYSTEM_DRIVER, SERVICE_INTERACTIVE_PROCESS, SERVICE_KERNEL_DRIVER, SERVICE_RECOGNIZER_DRIVER, SERVICE_SYSTEM_START, SERVICE_TYPE_ALL, SERVICE_WIN32, SERVICE_WIN32_OWN_PROCESS, SERVICE_WIN32_SHARE_PROCESS, SID_MAX_SUB_AUTHORITIES, SID_RECOMMENDED_SUB_AUTHORITIES, SID_REVISION, SORT_CHINESE_BIG5, SORT_CHINESE_BOPOMOFO, SORT_CHINESE_PRC, SORT_CHINESE_PRCP, SORT_CHINESE_UNICODE, SORT_DEFAULT, SORT_GEORGIAN_MODERN, SORT_GEORGIAN_TRADITIONAL, SORT_GERMAN_PHONE_BOOK, SORT_HUNGARIAN_DEFAULT, SORT_HUNGARIAN_TECHNICAL, SORT_JAPANESE_UNICODE, SORT_JAPANESE_XJIS, SORT_KOREAN_KSC, SORT_KOREAN_UNICODE, SPECIFIC_RIGHTS_ALL, STANDARD_RIGHTS_ALL, STANDARD_RIGHTS_EXECUTE, STANDARD_RIGHTS_READ, STANDARD_RIGHTS_REQUIRED, STANDARD_RIGHTS_WRITE, STATUS_PENDING, SUBLANG_ARABIC_ALGERIA, SUBLANG_ARABIC_BAHRAIN, SUBLANG_ARABIC_EGYPT, SUBLANG_ARABIC_IRAQ, SUBLANG_ARABIC_JORDAN, SUBLANG_ARABIC_KUWAIT, SUBLANG_ARABIC_LEBANON, SUBLANG_ARABIC_LIBYA, SUBLANG_ARABIC_MOROCCO, SUBLANG_ARABIC_OMAN, SUBLANG_ARABIC_QATAR, SUBLANG_ARABIC_SAUDI_ARABIA, SUBLANG_ARABIC_SYRIA, SUBLANG_ARABIC_TUNISIA, SUBLANG_ARABIC_UAE, SUBLANG_ARABIC_YEMEN, SUBLANG_AZERI_CYRILLIC, SUBLANG_AZERI_LATIN, SUBLANG_CHINESE_HONGKONG, SUBLANG_CHINESE_MACAU, SUBLANG_CHINESE_SIMPLIFIED, SUBLANG_CHINESE_SINGAPORE, SUBLANG_CHINESE_TRADITIONAL, SUBLANG_DEFAULT, SUBLANG_DUTCH, SUBLANG_DUTCH_BELGIAN, SUBLANG_ENGLISH_AUS, SUBLANG_ENGLISH_BELIZE, SUBLANG_ENGLISH_CAN, SUBLANG_ENGLISH_CARIBBEAN, SUBLANG_ENGLISH_EIRE, SUBLANG_ENGLISH_JAMAICA, SUBLANG_ENGLISH_NZ, SUBLANG_ENGLISH_PHILIPPINES, SUBLANG_ENGLISH_SOUTH_AFRICA, SUBLANG_ENGLISH_TRINIDAD, SUBLANG_ENGLISH_UK, SUBLANG_ENGLISH_US, SUBLANG_ENGLISH_ZIMBABWE, SUBLANG_FRENCH, SUBLANG_FRENCH_BELGIAN, SUBLANG_FRENCH_CANADIAN, SUBLANG_FRENCH_LUXEMBOURG, SUBLANG_FRENCH_MONACO, SUBLANG_FRENCH_SWISS, SUBLANG_GERMAN, SUBLANG_GERMAN_AUSTRIAN, SUBLANG_GERMAN_LIECHTENSTEIN, SUBLANG_GERMAN_LUXEMBOURG, SUBLANG_GERMAN_SWISS, SUBLANG_ITALIAN, SUBLANG_ITALIAN_SWISS, SUBLANG_KASHMIRI_INDIA, SUBLANG_KASHMIRI_SASIA, SUBLANG_KOREAN, SUBLANG_LITHUANIAN, SUBLANG_MALAY_BRUNEI_DARUSSALAM, SUBLANG_MALAY_MALAYSIA, SUBLANG_NEPALI_INDIA, SUBLANG_NEUTRAL, SUBLANG_NORWEGIAN_BOKMAL, SUBLANG_NORWEGIAN_NYNORSK, SUBLANG_PORTUGUESE, SUBLANG_PORTUGUESE_BRAZILIAN, SUBLANG_SERBIAN_CYRILLIC, SUBLANG_SERBIAN_LATIN, SUBLANG_SPANISH, SUBLANG_SPANISH_ARGENTINA, SUBLANG_SPANISH_BOLIVIA, SUBLANG_SPANISH_CHILE, SUBLANG_SPANISH_COLOMBIA, SUBLANG_SPANISH_COSTA_RICA, SUBLANG_SPANISH_DOMINICAN_REPUBLIC, SUBLANG_SPANISH_ECUADOR, SUBLANG_SPANISH_EL_SALVADOR, SUBLANG_SPANISH_GUATEMALA, SUBLANG_SPANISH_HONDURAS, SUBLANG_SPANISH_MEXICAN, SUBLANG_SPANISH_MODERN, SUBLANG_SPANISH_NICARAGUA, SUBLANG_SPANISH_PANAMA, SUBLANG_SPANISH_PARAGUAY, SUBLANG_SPANISH_PERU, SUBLANG_SPANISH_PUERTO_RICO, SUBLANG_SPANISH_URUGUAY, SUBLANG_SPANISH_VENEZUELA, SUBLANG_SWEDISH, SUBLANG_SWEDISH_FINLAND, SUBLANG_SYS_DEFAULT, SUBLANG_URDU_INDIA, SUBLANG_URDU_PAKISTAN, SUBLANG_UZBEK_CYRILLIC, SUBLANG_UZBEK_LATIN, SYNCHRONIZE, SYSTEM_ALARM_ACE_TYPE, SYSTEM_ALARM_CALLBACK_ACE_TYPE, SYSTEM_ALARM_CALLBACK_OBJECT_ACE_TYPE, SYSTEM_ALARM_OBJECT_ACE_TYPE, SYSTEM_AUDIT_ACE_TYPE, SYSTEM_AUDIT_CALLBACK_ACE_TYPE, SYSTEM_AUDIT_CALLBACK_OBJECT_ACE_TYPE, SYSTEM_AUDIT_OBJECT_ACE_TYPE, SYSTEM_MANDATORY_LABEL_ACE_TYPE, THREAD_ALL_ACCESS, THREAD_DIRECT_IMPERSONATION, THREAD_GET_CONTEXT, THREAD_IMPERSONATE, THREAD_QUERY_INFORMATION, THREAD_QUERY_LIMITED_INFORMATION, THREAD_SET_CONTEXT, THREAD_SET_INFORMATION, THREAD_SET_LIMITED_INFORMATION, THREAD_SET_THREAD_TOKEN, THREAD_SUSPEND_RESUME, THREAD_TERMINATE, TOKEN_ADJUST_DEFAULT, TOKEN_ADJUST_GROUPS, TOKEN_ADJUST_PRIVILEGES, TOKEN_ADJUST_SESSIONID, TOKEN_ALL_ACCESS, TOKEN_ALL_ACCESS_P, TOKEN_ASSIGN_PRIMARY, TOKEN_DUPLICATE, TOKEN_EXECUTE, TOKEN_IMPERSONATE, TOKEN_QUERY, TOKEN_QUERY_SOURCE, TOKEN_READ, TOKEN_WRITE, TRUNCATE_EXISTING, UNPROTECTED_DACL_SECURITY_INFORMATION, UNPROTECTED_SACL_SECURITY_INFORMATION, VALID_INHERIT_FLAGS, VER_AND, VER_BUILDNUMBER, VER_CONDITION_MASK, VER_EQUAL, VER_GREATER, VER_GREATER_EQUAL, VER_LESS, VER_LESS_EQUAL, VER_MAJORVERSION, VER_MINORVERSION, VER_NT_DOMAIN_CONTROLLER, VER_NT_SERVER, VER_NT_WORKSTATION, VER_NUM_BITS_PER_CONDITION_MASK, VER_OR, VER_PLATFORM_WIN32_NT, VER_PLATFORM_WIN32_WINDOWS, VER_PLATFORM_WIN32s, VER_PLATFORMID, VER_PRODUCT_TYPE, VER_SERVICEPACKMAJOR, VER_SERVICEPACKMINOR, VER_SUITENAME, WIN32_WINNT_LONGHORN, WIN32_WINNT_NT4, WIN32_WINNT_VISTA, WIN32_WINNT_WIN10, WIN32_WINNT_WIN2K, WIN32_WINNT_WIN6, WIN32_WINNT_WIN7, WIN32_WINNT_WIN8, WIN32_WINNT_WINBLUE, WIN32_WINNT_WINTHRESHOLD, WIN32_WINNT_WINXP, WIN32_WINNT_WS03, WIN32_WINNT_WS08, WRITE_DAC, WRITE_OWNER`

  ### Fields inherited from interface com.sun.jna.platform.win32.WinUser

  `AC_SRC_ALPHA, AC_SRC_NO_ALPHA, AC_SRC_NO_PREMULT_ALPHA, AC_SRC_OVER, BS_3STATE, BS_AUTO3STATE, BS_AUTOCHECKBOX, BS_AUTORADIOBUTTON, BS_CHECKBOX, BS_DEFPUSHBUTTON, BS_GROUPBOX, BS_LEFTTEXT, BS_OWNERDRAW, BS_PUSHBOX, BS_PUSHBUTTON, BS_RADIOBUTTON, BS_TYPEMASK, BS_USERBUTTON, CCHDEVICENAME, CF_BITMAT, CF_DIB, CF_DIBV5, CF_DIF, CF_DSPBITMAP, CF_DSPENHMETAFILE, CF_DSPMETAFILEPICT, CF_DSPTEXT, CF_ENHMETAFILE, CF_GDIOBJFIRST, CF_GDIOBJLAST, CF_HDROP, CF_LOCALE, CF_METAFILEPICT, CF_OEMTEXT, CF_OWNERDISPLAY, CF_PALETTE, CF_PENDATA, CF_PRIVATEFIRST, CF_PRIVATELAST, CF_RIFF, CF_SYLK, CF_TEXT, CF_TIFF, CF_UNICODETEXT, CF_WAVE, DWL_DLGPROC, DWL_MSGRESULT, DWL_USER, EWX_FORCE, EWX_FORCEIFHUNG, EWX_HYBRID_SHUTDOWN, EWX_LOGOFF, EWX_POWEROFF, EWX_REBOOT, EWX_RESTARTAPPS, EWX_SHUTDOWN, FLASHW_ALL, FLASHW_CAPTION, FLASHW_STOP, FLASHW_TIMER, FLASHW_TIMERNOFG, FLASHW_TRAY, GA_PARENT, GA_ROOT, GA_ROOTOWNER, GCL_CBCLSEXTRA, GCL_CBWNDEXTRA, GCL_HICON, GCL_HICONSM, GCL_STYLE, GCLP_HBRBACKGROUND, GCLP_HCURSOR, GCLP_HICON, GCLP_HICONSM, GCLP_HMODULE, GCLP_MENUNAME, GCLP_WNDPROC, GCW_ATOM, GW_CHILD, GW_ENABLEDPOPUP, GW_HWNDFIRST, GW_HWNDLAST, GW_HWNDNEXT, GW_HWNDPREV, GW_OWNER, GWL_EXSTYLE, GWL_HINSTANCE, GWL_HWNDPARENT, GWL_ID, GWL_STYLE, GWL_USERDATA, GWL_WNDPROC, HWND_BROADCAST, ICON_BIG, ICON_SMALL, ICON_SMALL2, IDC_APPSTARTING, IDC_ARROW, IDC_CROSS, IDC_HAND, IDC_HELP, IDC_IBEAM, IDC_NO, IDC_SIZEALL, IDC_SIZENESW, IDC_SIZENS, IDC_SIZENWSE, IDC_SIZEWE, IDC_UPARROW, IDC_WAIT, IDI_APPLICATION, IDI_ASTERISK, IDI_EXCLAMATION, IDI_HAND, IDI_QUESTION, IDI_WINLOGO, IMAGE_BITMAP, IMAGE_CURSOR, IMAGE_ENHMETAFILE, IMAGE_ICON, KL_NAMELENGTH, LR_COLOR, LR_COPYDELETEORG, LR_COPYFROMRESOURCE, LR_COPYRETURNORG, LR_CREATEDIBSECTION, LR_DEFAULTCOLOR, LR_DEFAULTSIZE, LR_LOADFROMFILE, LR_LOADMAP3DCOLORS, LR_LOADTRANSPARENT, LR_MONOCHROME, LR_SHARED, LR_VGACOLOR, LWA_ALPHA, LWA_COLORKEY, MAPVK_VK_TO_CHAR, MAPVK_VK_TO_VSC, MAPVK_VK_TO_VSC_EX, MAPVK_VSC_TO_VK, MAPVK_VSC_TO_VK_EX, MOD_ALT, MOD_CONTROL, MOD_NOREPEAT, MOD_SHIFT, MOD_WIN, MODIFIER_ALT_MASK, MODIFIER_CTRL_MASK, MODIFIER_HANKAKU_MASK, MODIFIER_RESERVED1_MASK, MODIFIER_RESERVED2_MASK, MODIFIER_SHIFT_MASK, MONITOR_DEFAULTTONEAREST, MONITOR_DEFAULTTONULL, MONITOR_DEFAULTTOPRIMARY, MONITORINFOF_PRIMARY, RDW_ALLCHILDREN, RDW_ERASE, RDW_ERASENOW, RDW_FRAME, RDW_INTERNALPAINT, RDW_INVALIDATE, RDW_NOCHILDREN, RDW_NOERASE, RDW_NOFRAME, RDW_NOINTERNALPAINT, RDW_UPDATENOW, RDW_VALIDATE, RIM_TYPEHID, RIM_TYPEKEYBOARD, RIM_TYPEMOUSE, SC_MAXIMIZE, SC_MINIMIZE, SM_ARRANGE, SM_CARETBLINKINGENABLED, SM_CLEANBOOT, SM_CMONITORS, SM_CMOUSEBUTTONS, SM_CXBORDER, SM_CXCURSOR, SM_CXDLGFRAME, SM_CXDOUBLECLK, SM_CXDRAG, SM_CXEDGE, SM_CXFIXEDFRAME, SM_CXFOCUSBORDER, SM_CXFRAME, SM_CXFULLSCREEN, SM_CXHSCROLL, SM_CXHTHUMB, SM_CXICON, SM_CXICONSPACING, SM_CXMAXIMIZED, SM_CXMAXTRACK, SM_CXMENUCHECK, SM_CXMENUSIZE, SM_CXMIN, SM_CXMINIMIZED, SM_CXMINSPACING, SM_CXMINTRACK, SM_CXPADDEDBORDER, SM_CXSCREEN, SM_CXSIZE, SM_CXSIZEFRAME, SM_CXSMICON, SM_CXSMSIZE, SM_CXVIRTUALSCREEN, SM_CXVSCROLL, SM_CYBORDER, SM_CYCAPTION, SM_CYCURSOR, SM_CYDLGFRAME, SM_CYDOUBLECLK, SM_CYDRAG, SM_CYEDGE, SM_CYFIXEDFRAME, SM_CYFOCUSBORDER, SM_CYFRAME, SM_CYFULLSCREEN, SM_CYHSCROLL, SM_CYICON, SM_CYICONSPACING, SM_CYKANJIWINDOW, SM_CYMAXIMIZED, SM_CYMAXTRACK, SM_CYMENU, SM_CYMENUCHECK, SM_CYMENUSIZE, SM_CYMIN, SM_CYMINIMIZED, SM_CYMINSPACING, SM_CYMINTRACK, SM_CYSCREEN, SM_CYSIZE, SM_CYSIZEFRAME, SM_CYSMCAPTION, SM_CYSMICON, SM_CYSMSIZE, SM_CYVIRTUALSCREEN, SM_CYVSCROLL, SM_CYVTHUMB, SM_DBCSENABLED, SM_DEBUG, SM_IMMENABLED, SM_MEDIACENTER, SM_MENUDROPALIGNMENT, SM_MIDEASTENABLED, SM_MOUSEHORIZONTALWHEELPRESENT, SM_MOUSEPRESENT, SM_MOUSEWHEELPRESENT, SM_NETWORK, SM_PENWINDOWS, SM_REMOTECONTROL, SM_REMOTESESSION, SM_RESERVED1, SM_RESERVED2, SM_RESERVED3, SM_RESERVED4, SM_SAMEDISPLAYFORMAT, SM_SECURE, SM_SERVERR2, SM_SHOWSOUNDS, SM_SHUTTINGDOWN, SM_SLOWMACHINE, SM_STARTER, SM_SWAPBUTTON, SM_TABLETPC, SM_XVIRTUALSCREEN, SM_YVIRTUALSCREEN, SMTO_ABORTIFHUNG, SMTO_BLOCK, SMTO_ERRORONEXIT, SMTO_NORMAL, SMTO_NOTIMEOUTIFNOTHUNG, SW_FORCEMINIMIZE, SW_HIDE, SW_MAX, SW_MAXIMIZE, SW_MINIMIZE, SW_NORMAL, SW_RESTORE, SW_SHOW, SW_SHOWMAXIMIZED, SW_SHOWMINIMIZED, SW_SHOWMINNOACTIVE, SW_SHOWNA, SW_SHOWNOACTIVATE, SW_SHOWNORMAL, SWP_ASYNCWINDOWPOS, SWP_DEFERERASE, SWP_DRAWFRAME, SWP_FRAMECHANGED, SWP_HIDEWINDOW, SWP_NOACTIVATE, SWP_NOCOPYBITS, SWP_NOMOVE, SWP_NOOWNERZORDER, SWP_NOREDRAW, SWP_NOREPOSITION, SWP_NOSENDCHANGING, SWP_NOSIZE, SWP_NOZORDER, SWP_SHOWWINDOW, ULW_ALPHA, ULW_COLORKEY, ULW_OPAQUE, VK_CONTROL, VK_LCONTROL, VK_LMENU, VK_LSHIFT, VK_MENU, VK_RCONTROL, VK_RMENU, VK_RSHIFT, VK_SHIFT, WH_CALLWNDPROC, WH_KEYBOARD, WH_KEYBOARD_LL, WH_MOUSE, WH_MOUSE_LL, WM_CHAR, WM_CLOSE, WM_COPYDATA, WM_CREATE, WM_DESTROY, WM_DEVICECHANGE, WM_DRAWITEM, WM_GETICON, WM_HOTKEY, WM_KEYDOWN, WM_KEYUP, WM_MDIMAXIMIZE, WM_PAINT, WM_QUIT, WM_SESSION_CHANGE, WM_SHOWWINDOW, WM_SIZE, WM_SYSCOMMAND, WM_SYSKEYDOWN, WM_SYSKEYUP, WM_USER, WS_BORDER, WS_CAPTION, WS_CHILD, WS_CHILDWINDOW, WS_CLIPCHILDREN, WS_CLIPSIBLINGS, WS_DISABLED, WS_DLGFRAME, WS_EX_COMPOSITED, WS_EX_LAYERED, WS_EX_TRANSPARENT, WS_GROUP, WS_HSCROLL, WS_ICONIC, WS_MAXIMIZE, WS_MAXIMIZEBOX, WS_MINIMIZE, WS_MINIMIZEBOX, WS_OVERLAPPED, WS_OVERLAPPEDWINDOW, WS_POPUP, WS_POPUPWINDOW, WS_SIZEBOX, WS_SYSMENU, WS_TABSTOP, WS_THICKFRAME, WS_TILED, WS_TILEDWINDOW, WS_VISIBLE, WS_VSCROLL`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `WinDef.BOOL`
  `AdjustWindowRect(WinDef.RECT lpRect, WinDef.DWORD dwStyle, WinDef.BOOL bMenu)`
  Calculates the required size of the window rectangle, based on the desired client-rectangle size.
  `WinDef.BOOL`
  `AdjustWindowRectEx(WinDef.RECT lpRect, WinDef.DWORD dwStyle, WinDef.BOOL bMenu, WinDef.DWORD dwExStyle)`
  Calculates the required size of the window rectangle, based on the desired client-rectangle size.
  `boolean`
  `AttachThreadInput(WinDef.DWORD idAttach, WinDef.DWORD idAttachTo, boolean fAttach)`
  Attaches or detaches the input processing mechanism of one thread to that of another thread.
  `boolean`
  `BringWindowToTop(WinDef.HWND hWnd)`
  Brings the specified window to the top of the Z order.
  `WinDef.LRESULT`
  `CallNextHookEx(WinUser.HHOOK hhk, int nCode, WinDef.WPARAM wParam, WinDef.LPARAM lParam)`
  The CallNextHookEx function passes the hook information to the next hook procedure in the current hook chain.
  `WinDef.LRESULT`
  `CallWindowProc(Pointer lpPrevWndFunc, WinDef.HWND hWnd, int Msg, WinDef.WPARAM wParam, WinDef.LPARAM lParam)`
  Passes message information to the specified window procedure.
  `boolean`
  `CloseWindow(WinDef.HWND hWnd)`
  Minimizes (but does not destroy) the specified window.
  `WinDef.HICON`
  `CopyIcon(WinDef.HICON hIcon)`
  Copies the specified icon from another module to the current module.
  `WinDef.HWND`
  `CreateWindowEx(int dwExStyle, String lpClassName, String lpWindowName, int dwStyle, int x, int y, int nWidth, int nHeight, WinDef.HWND hWndParent, WinDef.HMENU hMenu, WinDef.HINSTANCE hInstance, WinDef.LPVOID lpParam)`
  Creates an overlapped, pop-up, or child window with an extended window style; otherwise, this function is identical to the CreateWindow function.
  `WinDef.LRESULT`
  `DefWindowProc(WinDef.HWND hWnd, int Msg, WinDef.WPARAM wParam, WinDef.LPARAM lParam)`
  Calls the default window procedure to provide default processing for any window messages that an application does not process.
  `boolean`
  `DestroyIcon(WinDef.HICON hicon)`
  This function destroys an icon and frees any memory the icon occupied.
  `boolean`
  `DestroyWindow(WinDef.HWND hWnd)`
  Destroys the specified window.
  `WinDef.LRESULT`
  `DispatchMessage(WinUser.MSG lpMsg)`
  This function dispatches a message to a window procedure.
  `boolean`
  `EnumChildWindows(WinDef.HWND hWnd, WinUser.WNDENUMPROC lpEnumFunc, Pointer data)`
  The EnumChildWindows function enumerates the child windows that belong to the specified parent window by passing the handle to each child window, in turn, to an application-defined callback function.
  `WinDef.BOOL`
  `EnumDisplayMonitors(WinDef.HDC hdc, WinDef.RECT lprcClip, WinUser.MONITORENUMPROC lpfnEnum, WinDef.LPARAM dwData)`
  Enumerates display monitors (including invisible pseudo-monitors associated with the mirroring drivers) that intersect a region formed by the intersection of a specified clipping rectangle and the visible region of a device context.
  `boolean`
  `EnumThreadWindows(int dwThreadId, WinUser.WNDENUMPROC lpEnumFunc, Pointer data)`
  The EnumThreadWindows function enumerates all nonchild windows associated with a thread by passing the handle to each window, in turn, to an application-defined callback function.
  `boolean`
  `EnumWindows(WinUser.WNDENUMPROC lpEnumFunc, Pointer data)`
  This function enumerates all top-level windows on the screen by passing the handle to each window, in turn, to an application-defined callback function.
  `WinDef.BOOL`
  `ExitWindowsEx(WinDef.UINT uFlags, WinDef.DWORD dReason)`
  Logs off the interactive user, shuts down the system, or shuts down and restarts the system.
  `WinDef.HWND`
  `FindWindow(String lpClassName, String lpWindowName)`
  This function retrieves the handle to the top-level window whose class name and window name match the specified strings.
  `WinDef.HWND`
  `FindWindowEx(WinDef.HWND parent, WinDef.HWND child, String className, String window)`
  `boolean`
  `FlashWindowEx(WinUser.FLASHWINFO pfwi)`
  The FlashWindowEx function flashes the specified window.
  `WinDef.HWND`
  `GetActiveWindow()`
  Retrieves the window handle to the active window attached to the calling thread's message queue.
  `WinDef.HWND`
  `GetAncestor(WinDef.HWND hwnd, int gaFlags)`
  Retrieves the handle to the ancestor of the specified window.
  `short`
  `GetAsyncKeyState(int vKey)`
  This function determines whether a key is up or down at the time the function is called, and whether the key was pressed after a previous call to GetAsyncKeyState.
  `boolean`
  `GetClassInfoEx(WinDef.HINSTANCE hinst, String lpszClass, WinUser.WNDCLASSEX lpwcx)`
  Retrieves information about a window class, including a handle to the small icon associated with the window class.
  `int`
  `GetClassLong(WinDef.HWND hWnd, int nIndex)`
  Retrieves the specified 32-bit (DWORD) value from the WNDCLASSEX structure associated with the specified window.
  `BaseTSD.ULONG_PTR`
  `GetClassLongPtr(WinDef.HWND hWnd, int nIndex)`
  Retrieves the specified value from the WNDCLASSEX structure associated with the specified window.
  `int`
  `GetClassName(WinDef.HWND hWnd, char[] lpClassName, int nMaxCount)`
  This function retrieves the name of the class to which the specified window belongs.
  `boolean`
  `GetClientRect(WinDef.HWND hWnd, WinDef.RECT rect)`
  This function retrieves the coordinates of a window's client area.
  `boolean`
  `GetCursorPos(WinDef.POINT p)`
  Retrieves the position of the mouse cursor, in screen coordinates.
  `WinDef.HDC`
  `GetDC(WinDef.HWND hWnd)`
  This function retrieves a handle to a display device context (DC) for the client area of the specified window.
  `WinDef.HWND`
  `GetDesktopWindow()`
  Retrieves a handle to the desktop window.
  `WinDef.HWND`
  `GetForegroundWindow()`
  Retrieves a handle to the foreground window (the window with which the user is currently working).
  `boolean`
  `GetGUIThreadInfo(int idThread, WinUser.GUITHREADINFO lpgui)`
  Retrieves information about the active window or a specified graphical user interface (GUI) thread.
  `boolean`
  `GetIconInfo(WinDef.HICON hIcon, WinGDI.ICONINFO piconinfo)`
  Retrieves information about the specified icon or cursor.
  `WinDef.HKL`
  `GetKeyboardLayout(int idThread)`
  Retrieves the active input locale identifier (formerly called the keyboard layout).
  `int`
  `GetKeyboardLayoutList(int nBuff, WinDef.HKL[] lpList)`
  Retrieves the input locale identifiers (formerly called keyboard layout handles) corresponding to the current set of input locales in the system.
  `boolean`
  `GetKeyboardLayoutName(char[] pwszKLID)`
  This function retrieves the name of the active keyboard layout.
  `boolean`
  `GetKeyboardState(byte[] lpKeyState)`
  The GetKeyboardState function copies the status of the 256 virtual keys to the specified buffer.
  `boolean`
  `GetLastInputInfo(WinUser.LASTINPUTINFO plii)`
  Retrieves the time of the last input event.
  `boolean`
  `GetLayeredWindowAttributes(WinDef.HWND hwnd, IntByReference pcrKey, ByteByReference pbAlpha, IntByReference pdwFlags)`
  The GetLayeredWindowAttributes function retrieves the opacity and transparency color key of a layered window.
  `int`
  `GetMessage(WinUser.MSG lpMsg, WinDef.HWND hWnd, int wMsgFilterMin, int wMsgFilterMax)`
  This function retrieves a message from the calling thread's message queue and places it in the specified structure.
  `WinDef.BOOL`
  `GetMonitorInfo(WinUser.HMONITOR hMonitor, WinUser.MONITORINFO lpmi)`
  Retrieves information about a display monitor.
  `WinDef.BOOL`
  `GetMonitorInfo(WinUser.HMONITOR hMonitor, WinUser.MONITORINFOEX lpmi)`
  Retrieves information about a display monitor.
  `WinDef.HWND`
  `GetParent(WinDef.HWND hwnd)`
  Retrieves a handle to the specified window's parent or owner.
  `int`
  `GetRawInputDeviceList(WinUser.RAWINPUTDEVICELIST[] pRawInputDeviceList, IntByReference puiNumDevices, int cbSize)`
  `int`
  `GetSystemMetrics(int nIndex)`
  The GetSystemMetrics function retrieves various system metrics (widths and heights of display elements) and system configuration settings.
  `WinDef.HWND`
  `GetWindow(WinDef.HWND hWnd, WinDef.DWORD uCmd)`
  Retrieves a handle to a window that has the specified relationship (Z-Order or owner) to the specified window.
  `boolean`
  `GetWindowInfo(WinDef.HWND hWnd, WinUser.WINDOWINFO pwi)`
  The GetWindowInfo function retrieves information about the specified window.
  `int`
  `GetWindowLong(WinDef.HWND hWnd, int nIndex)`
  This function retrieves information about the specified window.
  `BaseTSD.LONG_PTR`
  `GetWindowLongPtr(WinDef.HWND hWnd, int nIndex)`
  The GetWindowLongPtr function retrieves information about the specified window.
  `int`
  `GetWindowModuleFileName(WinDef.HWND hWnd, char[] lpszFileName, int cchFileNameMax)`
  The GetWindowModuleFileName function retrieves the full path and file name of the module associated with the specified window handle.
  `WinDef.BOOL`
  `GetWindowPlacement(WinDef.HWND hwnd, WinUser.WINDOWPLACEMENT lpwndpl)`
  Retrieves the show state and the restored, minimized, and maximized positions of the specified window.
  `boolean`
  `GetWindowRect(WinDef.HWND hWnd, WinDef.RECT rect)`
  This function retrieves the dimensions of the bounding rectangle of the specified window.
  `int`
  `GetWindowText(WinDef.HWND hWnd, char[] lpString, int nMaxCount)`
  This function copies the text of the specified window's title bar - if it has one - into a buffer.
  `int`
  `GetWindowTextLength(WinDef.HWND hWnd)`
  This function retrieves the length, in characters, of the specified window's title bar text - if the window has a title bar.
  `int`
  `GetWindowThreadProcessId(WinDef.HWND hWnd, IntByReference lpdwProcessId)`
  This function retrieves the identifier of the thread that created the specified window and, optionally, the identifier of the process that created the window.
  `boolean`
  `InvalidateRect(WinDef.HWND hWnd, WinDef.RECT lpRect, boolean bErase)`
  The InvalidateRect function adds a rectangle to the specified window's update region.
  `boolean`
  `IsWindow(WinDef.HWND hWnd)`
  Determines whether the specified window handle identifies an existing window.
  `boolean`
  `IsWindowEnabled(WinDef.HWND hWnd)`
  Determines whether the specified window is enabled for mouse and keyboard input.
  `boolean`
  `IsWindowVisible(WinDef.HWND hWnd)`
  Determines the visibility state of the specified window.
  `WinDef.HICON`
  `LoadIcon(WinDef.HINSTANCE hInstance, String iconName)`
  This function loads the specified icon resource from the executable (.exe) file associated with an application instance.
  `WinNT.HANDLE`
  `LoadImage(WinDef.HINSTANCE hinst, String name, int type, int xDesired, int yDesired, int load)`
  This function loads an icon, cursor, or bitmap.
  `int`
  `LoadString(WinDef.HINSTANCE hInstance, int uID, Pointer lpBuffer, int cchBufferMax)`
  Loads a string resource from the executable file associated with a specified module, copies the string into a buffer, and appends a terminating null character.
  `WinDef.BOOL`
  `LockWorkStation()`
  Locks the workstation's display.
  `int`
  `MapVirtualKeyEx(int uCode, int uMapType, WinDef.HKL dwhkl)`
  Translates (maps) a virtual-key code into a scan code or character value, or translates a scan code into a virtual-key code.
  `WinUser.HMONITOR`
  `MonitorFromPoint(WinDef.POINT.ByValue pt, int dwFlags)`
  Retrieves a handle to the display monitor that contains a specified point.
  `WinUser.HMONITOR`
  `MonitorFromRect(WinDef.RECT lprc, int dwFlags)`
  Retrieves a handle to the display monitor that has the largest area of intersection with a specified rectangle.
  `WinUser.HMONITOR`
  `MonitorFromWindow(WinDef.HWND hwnd, int dwFlags)`
  Retrieves a handle to the display monitor that has the largest area of intersection with the bounding rectangle of a specified window.
  `boolean`
  `MoveWindow(WinDef.HWND hWnd, int X, int Y, int nWidth, int nHeight, boolean bRepaint)`
  Changes the position and dimensions of the specified window.
  `boolean`
  `PeekMessage(WinUser.MSG lpMsg, WinDef.HWND hWnd, int wMsgFilterMin, int wMsgFilterMax, int wRemoveMsg)`
  This function checks a thread message queue for a message and places the message (if any) in the specified structure.
  `void`
  `PostMessage(WinDef.HWND hWnd, int msg, WinDef.WPARAM wParam, WinDef.LPARAM lParam)`
  This function places a message in the message queue associated with the thread that created the specified window and then returns without waiting for the thread to process the message.
  `void`
  `PostQuitMessage(int nExitCode)`
  This function indicates to Windows that a thread has made a request to terminate (quit).
  `int`
  `PostThreadMessage(int idThread, int Msg, WinDef.WPARAM wParam, WinDef.LPARAM lParam)`
  Posts a message to the message queue of the specified thread.
  `boolean`
  `PrintWindow(WinDef.HWND hWnd, WinDef.HDC dest, int flags)`
  The PrintWindow function copies a visual window into the specified device context (DC), typically a printer DC.
  `boolean`
  `RedrawWindow(WinDef.HWND hWnd, WinDef.RECT lprcUpdate, WinDef.HRGN hrgnUpdate, WinDef.DWORD flags)`
  The RedrawWindow function updates the specified rectangle or region in a window's client area.
  `WinDef.ATOM`
  `RegisterClassEx(WinUser.WNDCLASSEX lpwcx)`
  Registers a window class for subsequent use in calls to the CreateWindow or CreateWindowEx function.
  `int`
  `RegisterClipboardFormat(String formatName)`
  Registers a new clipboard format.
  `WinUser.HDEVNOTIFY`
  `RegisterDeviceNotification(WinNT.HANDLE hRecipient, Structure notificationFilter, int Flags)`
  Registers the device or type of device for which a window will receive notifications.
  `boolean`
  `RegisterHotKey(WinDef.HWND hWnd, int id, int fsModifiers, int vk)`
  Defines a system-wide hot key.
  `int`
  `RegisterWindowMessage(String string)`
  Defines a new window message that is guaranteed to be unique throughout the system.
  `int`
  `ReleaseDC(WinDef.HWND hWnd, WinDef.HDC hDC)`
  This function releases a device context (DC), freeing it for use by other applications.
  `WinDef.DWORD`
  `SendInput(WinDef.DWORD nInputs, WinUser.INPUT[] pInputs, int cbSize)`
  Synthesizes keystrokes, mouse motions, and button clicks.
  `WinDef.LRESULT`
  `SendMessage(WinDef.HWND hWnd, int msg, WinDef.WPARAM wParam, WinDef.LPARAM lParam)`
  Sends the specified message to a window or windows.
  `WinDef.LRESULT`
  `SendMessageTimeout(WinDef.HWND hWnd, int msg, WinDef.WPARAM wParam, WinDef.LPARAM lParam, int fuFlags, int uTimeout, WinDef.DWORDByReference lpdwResult)`
  Sends the specified message to one or more windows.
  `boolean`
  `SetCursorPos(long x, long y)`
  Moves the cursor to the specified screen coordinates.
  If the new coordinates are not within the screen rectangle set by the most recent ClipCursor function call, the system automatically adjusts the coordinates so that the cursor stays within the rectangle.
  `WinDef.HWND`
  `SetFocus(WinDef.HWND hWnd)`
  Sets the keyboard focus to the specified window.
  `boolean`
  `SetForegroundWindow(WinDef.HWND hWnd)`
  Brings the thread that created the specified window into the foreground and activates the window.
  `boolean`
  `SetLayeredWindowAttributes(WinDef.HWND hwnd, int crKey, byte bAlpha, int dwFlags)`
  The SetLayeredWindowAttributes function sets the opacity and transparency color key of a layered window.
  `WinDef.HWND`
  `SetParent(WinDef.HWND hWndChild, WinDef.HWND hWndNewParent)`
  Changes the parent window of the specified child window.
  `int`
  `SetWindowLong(WinDef.HWND hWnd, int nIndex, int dwNewLong)`
  This function changes an attribute of the specified window.
  `Pointer`
  `SetWindowLongPtr(WinDef.HWND hWnd, int nIndex, Pointer dwNewLongPtr)`
  The SetWindowLongPtr function changes an attribute of the specified window.
  `WinDef.BOOL`
  `SetWindowPlacement(WinDef.HWND hwnd, WinUser.WINDOWPLACEMENT lpwndpl)`
  Sets the show state and the restored, minimized, and maximized positions of the specified window.
  `boolean`
  `SetWindowPos(WinDef.HWND hWnd, WinDef.HWND hWndInsertAfter, int X, int Y, int cx, int cy, int uFlags)`
  Changes the size, position, and Z order of a child, pop-up, or top-level window.
  `int`
  `SetWindowRgn(WinDef.HWND hWnd, WinDef.HRGN hRgn, boolean bRedraw)`
  This function sets the window region of a window.
  `WinUser.HHOOK`
  `SetWindowsHookEx(int idHook, WinUser.HOOKPROC lpfn, WinDef.HINSTANCE hMod, int dwThreadId)`
  The SetWindowsHookEx function installs an application-defined hook procedure into a hook chain.
  `WinNT.HANDLE`
  `SetWinEventHook(int eventMin, int eventMax, WinDef.HMODULE hmodWinEventProc, WinUser.WinEventProc winEventProc, int processID, int threadID, int flags)`
  `boolean`
  `ShowWindow(WinDef.HWND hWnd, int nCmdShow)`
  Sets the specified window's show state.
  `int`
  `ToUnicodeEx(int wVirtKey, int wScanCode, byte[] lpKeyState, char[] pwszBuff, int cchBuff, int wFlags, WinDef.HKL dwhkl)`
  Translates the specified virtual-key code and keyboard state to the corresponding Unicode character or characters.
  `boolean`
  `TranslateMessage(WinUser.MSG lpMsg)`
  This function translates virtual-key messages into character messages.
  `boolean`
  `UnhookWindowsHookEx(WinUser.HHOOK hhk)`
  The UnhookWindowsHookEx function removes a hook procedure installed in a hook chain by the SetWindowsHookEx function.
  `boolean`
  `UnhookWinEvent(WinNT.HANDLE hook)`
  Removes an event hook function created by a previous call to SetWinEventHook.
  `boolean`
  `UnregisterClass(String lpClassName, WinDef.HINSTANCE hInstance)`
  Unregisters a window class, freeing the memory required for the class.
  `boolean`
  `UnregisterDeviceNotification(WinUser.HDEVNOTIFY Handle)`
  Closes the specified device notification handle.
  `boolean`
  `UnregisterHotKey(Pointer hWnd, int id)`
  Frees a hot key previously registered by the calling thread.
  `boolean`
  `UpdateLayeredWindow(WinDef.HWND hwnd, WinDef.HDC hdcDst, WinDef.POINT pptDst, WinUser.SIZE psize, WinDef.HDC hdcSrc, WinDef.POINT pptSrc, int crKey, WinUser.BLENDFUNCTION pblend, int dwFlags)`
  The UpdateLayeredWindow function updates the position, size, shape, content, and translucency of a layered window.
  `boolean`
  `UpdateWindow(WinDef.HWND hWnd)`
  The UpdateWindow function updates the client area of the specified window by sending a WM_PAINT message to the window if the window's update region is not empty.
  `short`
  `VkKeyScanExA(byte ch, WinDef.HKL dwhkl)`
  Translates a character to the corresponding virtual-key code and shift state.
  `short`
  `VkKeyScanExW(char ch, WinDef.HKL dwhkl)`
  Translates a character to the corresponding virtual-key code and shift state.
  `WinDef.DWORD`
  `WaitForInputIdle(WinNT.HANDLE hProcess, WinDef.DWORD dwMilliseconds)`
  Waits until the specified process has finished processing its initial input and is waiting for user input with no input pending, or until the time-out interval has elapsed.

- ## Field Details

  - ### INSTANCE

    static final User32 INSTANCE
    The instance.

  - ### HWND_MESSAGE

    static final WinDef.HWND HWND_MESSAGE
    Handle for message-only window.

  - ### CS_GLOBALCLASS

    static final int CS_GLOBALCLASS
    The cs globalclass.
    See Also:
      - Constant Field Values

  - ### WS_EX_TOPMOST

    static final int WS_EX_TOPMOST
    The ws ex topmost.
    See Also:
      - Constant Field Values

  - ### DEVICE_NOTIFY_WINDOW_HANDLE

    static final int DEVICE_NOTIFY_WINDOW_HANDLE
    The hRecipient parameter is a window handle.
    See Also:
      - Constant Field Values

  - ### DEVICE_NOTIFY_SERVICE_HANDLE

    static final int DEVICE_NOTIFY_SERVICE_HANDLE
    The hRecipient parameter is a service status handle.
    See Also:
      - Constant Field Values

  - ### DEVICE_NOTIFY_ALL_INTERFACE_CLASSES

    static final int DEVICE_NOTIFY_ALL_INTERFACE_CLASSES
    The device notify all interface classes.
    See Also:
      - Constant Field Values

  - ### SW_SHOWDEFAULT

    static final int SW_SHOWDEFAULT

    Sets the show state based on the SW_ value specified in the STARTUPINFO structure passed to the CreateProcess function by the program that started the application.

    See Also:
      - Constant Field Values

- ## Method Details

  - ### GetDC

    WinDef.HDC GetDC(WinDef.HWND hWnd)
    This function retrieves a handle to a display device context (DC) for the client area of the specified window. The display device context can be used in subsequent graphics display interface (GDI) functions to draw in the client area of the window.
    Parameters:
      `hWnd` - Handle to the window whose device context is to be retrieved. If this value is NULL, GetDC retrieves the device context for the entire screen.
    Returns:
      The handle the device context for the specified window's client area indicates success. NULL indicates failure. To get extended error information, call GetLastError.

  - ### ReleaseDC

    int ReleaseDC(WinDef.HWND hWnd, WinDef.HDC hDC)
    This function releases a device context (DC), freeing it for use by other applications. The effect of ReleaseDC depends on the type of device context.
    Parameters:
      `hWnd` - Handle to the window whose device context is to be released.
      `hDC` - Handle to the device context to be released.
    Returns:
      The return value specifies whether the device context is released. 1 indicates that the device context is released. Zero indicates that the device context is not released.

  - ### FindWindow

    WinDef.HWND FindWindow(String lpClassName, String lpWindowName)
    This function retrieves the handle to the top-level window whose class name and window name match the specified strings. This function does not search child windows.
    Parameters:
      `lpClassName` - Long pointer to a null-terminated string that specifies the class name or is an atom that identifies the class-name string. If this parameter is an atom, it must be a global atom created by a previous call to the GlobalAddAtom function. The atom, a 16-bit value, must be placed in the low-order word of lpClassName; the high-order word must be zero.
      `lpWindowName` - Long pointer to a null-terminated string that specifies the window name (the window's title). If this parameter is NULL, all window names match.
    Returns:
      A handle to the window that has the specified class name and window name indicates success. NULL indicates failure. To get extended error information, call GetLastError.

  - ### GetClassName

    int GetClassName(WinDef.HWND hWnd, char[] lpClassName, int nMaxCount)
    This function retrieves the name of the class to which the specified window belongs.
    Parameters:
      `hWnd` - Handle to the window and, indirectly, the class to which the window belongs.
      `lpClassName` - Long pointer to the buffer that is to receive the class name string.
      `nMaxCount` - Specifies the length, in characters, of the buffer pointed to by the lpClassName parameter. The class name string is truncated if it is longer than the buffer.
    Returns:
      The number of characters copied to the specified buffer indicates success. Zero indicates failure. To get extended error information, call GetLastError.

  - ### GetGUIThreadInfo

    boolean GetGUIThreadInfo(int idThread, WinUser.GUITHREADINFO lpgui)
    Retrieves information about the active window or a specified graphical user interface (GUI) thread.
    Parameters:
      `idThread` - Identifies the thread for which information is to be retrieved. To retrieve this value, use the GetWindowThreadProcessId function. If this parameter is NULL, the function returns information for the foreground thread.
      `lpgui` - Pointer to a GUITHREADINFO structure that receives information describing the thread. Note that you must set GUITHREADINFO.cbSize to sizeof(GUITHREADINFO) before calling this function.
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### GetWindowInfo

    boolean GetWindowInfo(WinDef.HWND hWnd, WinUser.WINDOWINFO pwi)
    The GetWindowInfo function retrieves information about the specified window.
    Parameters:
      `hWnd` - Handle to the window whose information is to be retrieved.
      `pwi` - Pointer to a WINDOWINFO structure to receive the information. Note that you must set WINDOWINFO.cbSize to sizeof(WINDOWINFO) before calling this function.
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails, the return value is zero.

  - ### GetWindowRect

    boolean GetWindowRect(WinDef.HWND hWnd, WinDef.RECT rect)
    This function retrieves the dimensions of the bounding rectangle of the specified window. The dimensions are given in screen coordinates that are relative to the upper-left corner of the screen.
    Parameters:
      `hWnd` - Handle to the window.
      `rect` - Long pointer to a RECT structure that receives the screen coordinates of the upper-left and lower-right corners of the window.
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails, the return value is zero.

  - ### GetClientRect

    boolean GetClientRect(WinDef.HWND hWnd, WinDef.RECT rect)
    This function retrieves the coordinates of a window's client area. The client coordinates specify the upper-left and lower-right corners of the client area. Because client coordinates are relative to the upper-left corner of a window's client area, the coordinates of the upper-left corner are (0,0).
    Parameters:
      `hWnd` - Handle to the window.
      `rect` - Long pointer to a RECT structure that structure that receives the client coordinates. The left and top members are zero. The right and bottom members contain the width and height of the window.
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails, the return value is zero.

  - ### GetWindowText

    int GetWindowText(WinDef.HWND hWnd, char[] lpString, int nMaxCount)
    This function copies the text of the specified window's title bar - if it has one - into a buffer. If the specified window is a control, the text of the control is copied.
    Parameters:
      `hWnd` - Handle to the window or control containing the text.
      `lpString` - Long pointer to the buffer that will receive the text.
      `nMaxCount` - Specifies the maximum number of characters to copy to the buffer, including the NULL character. If the text exceeds this limit, it is truncated.
    Returns:
      The length, in characters, of the copied string, not including the terminating null character, indicates success. Zero indicates that the window has no title bar or text, if the title bar is empty, or if the window or control handle is invalid. To get extended error information, call GetLastError. This function cannot retrieve the text of an edit control in another application.

  - ### GetWindowTextLength

    int GetWindowTextLength(WinDef.HWND hWnd)
    This function retrieves the length, in characters, of the specified window's title bar text - if the window has a title bar. If the specified window is a control, the function retrieves the length of the text within the control.
    Parameters:
      `hWnd` - Handle to the window or control.
    Returns:
      The length, in characters, of the text indicates success. Under certain conditions, this value may actually be greater than the length of the text. Zero indicates that the window has no text. To get extended error information, call GetLastError.

  - ### GetWindowModuleFileName

    int GetWindowModuleFileName(WinDef.HWND hWnd, char[] lpszFileName, int cchFileNameMax)
    The GetWindowModuleFileName function retrieves the full path and file name of the module associated with the specified window handle.
    Parameters:
      `hWnd` - Handle to the window whose module file name will be retrieved.
      `lpszFileName` - Pointer to a buffer that receives the path and file name.
      `cchFileNameMax` - Specifies the maximum number of TCHARs that can be copied into the lpszFileName buffer.
    Returns:
      The return value is the total number of TCHARs copied into the buffer.

  - ### GetWindowThreadProcessId

    int GetWindowThreadProcessId(WinDef.HWND hWnd, IntByReference lpdwProcessId)
    This function retrieves the identifier of the thread that created the specified window and, optionally, the identifier of the process that created the window.
    Parameters:
      `hWnd` - Handle to the window.
      `lpdwProcessId` - Pointer to a 32-bit value that receives the process identifier. If this parameter is not NULL, GetWindowThreadProcessId copies the identifier of the process to the 32-bit value; otherwise, it does not.
    Returns:
      The return value is the identifier of the thread that created the window.

  - ### EnumWindows

    boolean EnumWindows(WinUser.WNDENUMPROC lpEnumFunc, Pointer data)
    This function enumerates all top-level windows on the screen by passing the handle to each window, in turn, to an application-defined callback function. EnumWindows continues until the last top-level window is enumerated or the callback function returns FALSE.
    Parameters:
      `lpEnumFunc` - Long pointer to an application-defined callback function.
      `data` - Specifies an application-defined value to be passed to the callback function.
    Returns:
      Nonzero indicates success. Zero indicates failure. To get extended error information, call GetLastError.

  - ### EnumChildWindows

    boolean EnumChildWindows(WinDef.HWND hWnd, WinUser.WNDENUMPROC lpEnumFunc, Pointer data)
    The EnumChildWindows function enumerates the child windows that belong to the specified parent window by passing the handle to each child window, in turn, to an application-defined callback function. EnumChildWindows continues until the last child window is enumerated or the callback function returns FALSE.
    Parameters:
      `hWnd` - Handle to the parent window whose child windows are to be enumerated. If this parameter is NULL, this function is equivalent to EnumWindows.
      `lpEnumFunc` - Pointer to an application-defined callback function.
      `data` - Specifies an application-defined value to be passed to the callback function.
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails, the return value is zero. To get extended error information, call GetLastError. If EnumChildProc returns zero, the return value is also zero. In this case, the callback function should call SetLastError to obtain a meaningful error code to be returned to the caller of EnumChildWindows.

  - ### EnumThreadWindows

    boolean EnumThreadWindows(int dwThreadId, WinUser.WNDENUMPROC lpEnumFunc, Pointer data)
    The EnumThreadWindows function enumerates all nonchild windows associated with a thread by passing the handle to each window, in turn, to an application-defined callback function. EnumThreadWindows continues until the last window is enumerated or the callback function returns FALSE. To enumerate child windows of a particular window, use the EnumChildWindows function.
    Parameters:
      `dwThreadId` - Identifies the thread whose windows are to be enumerated.
      `lpEnumFunc` - Pointer to an application-defined callback function.
      `data` - Specifies an application-defined value to be passed to the callback function.
    Returns:
      If the callback function returns TRUE for all windows in the thread specified by dwThreadId, the return value is TRUE. If the callback function returns FALSE on any enumerated window, or if there are no windows found in the thread specified by dwThreadId, the return value is FALSE.

  - ### BringWindowToTop

    boolean BringWindowToTop(WinDef.HWND hWnd)
    Brings the specified window to the top of the Z order. If the window is a top-level window, it is activated. If the window is a child window, the top-level parent window associated with the child window is activated.
    Parameters:
      `hWnd` - A handle to the window to bring to the top of the Z order.
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### FlashWindowEx

    boolean FlashWindowEx(WinUser.FLASHWINFO pfwi)
    The FlashWindowEx function flashes the specified window. It does not change the active state of the window.
    Parameters:
      `pfwi` - Pointer to the FLASHWINFO structure.
    Returns:
      The return value specifies the window's state before the call to the FlashWindowEx function. If the window caption was drawn as active before the call, the return value is nonzero. Otherwise, the return value is zero.

  - ### LoadIcon

    WinDef.HICON LoadIcon(WinDef.HINSTANCE hInstance, String iconName)
    This function loads the specified icon resource from the executable (.exe) file associated with an application instance.
    Parameters:
      `hInstance` - Handle to an instance of the module whose executable file contains the icon to be loaded. This parameter must be NULL when a standard icon is being loaded.
      `iconName` - Long pointer to a null-terminated string that contains the name of the icon resource to be loaded. Alternatively, this parameter can contain the resource identifier in the low-order word and zero in the high-order word. Use the MAKEINTRESOURCE macro to create this value.

      To use one of the predefined icons, set the hInstance parameter to NULL and the lpIconName parameter to one of the following values: `WinUser.IDC_APPSTARTING` etc.

    Returns:
      A handle to the newly loaded icon indicates success. NULL indicates failure. To get extended error information, call GetLastError.

  - ### LoadImage

    WinNT.HANDLE LoadImage(WinDef.HINSTANCE hinst, String name, int type, int xDesired, int yDesired, int load)
    This function loads an icon, cursor, or bitmap.
    Parameters:
      `hinst` - Handle to an instance of the module that contains the image to be loaded.
      `name` - Pointer to a null-terminated string that contains the name of the image resource in the hinst module that identifies the image to load.
      `type` - Specifies the type of image to be loaded.
      `xDesired` - Specifies the width, in pixels, of the icon or cursor. If this parameter is zero, the function uses the SM_CXICON or SM_CXCURSOR system metric value to set the width. If uType is IMAGE_BITMAP, this parameter must be zero.
      `yDesired` - Specifies the height, in pixels, of the icon or cursor. If this parameter is zero, the function uses the SM_CYICON or SM_CYCURSOR system metric value to set the height. If uType is IMAGE_BITMAP, this parameter must be zero.
      `load` - Set to zero.
    Returns:
      The handle of the newly loaded image indicates success. NULL indicates failure. To get extended error information, call GetLastError.

  - ### DestroyIcon

    boolean DestroyIcon(WinDef.HICON hicon)
    This function destroys an icon and frees any memory the icon occupied.
    Parameters:
      `hicon` - Handle to the icon to be destroyed. The icon must not be in use.
    Returns:
      Nonzero indicates success. Zero indicates failure. To get extended error information, call GetLastError.

  - ### GetWindowLong

    int GetWindowLong(WinDef.HWND hWnd, int nIndex)
    This function retrieves information about the specified window. GetWindowLong also retrieves the 32-bit (long) value at the specified offset into the extra window memory of a window.
    Parameters:
      `hWnd` - Handle to the window and, indirectly, the class to which the window belongs.
      `nIndex` - Specifies the zero-based offset to the value to be retrieved.
    Returns:
      The requested 32-bit value indicates success. Zero indicates failure. To get extended error information, call GetLastError.

  - ### SetWindowLong

    int SetWindowLong(WinDef.HWND hWnd, int nIndex, int dwNewLong)
    This function changes an attribute of the specified window. SetWindowLong also sets a 32-bit (LONG) value at the specified offset into the extra window memory of a window.
    Parameters:
      `hWnd` - Handle to the window and, indirectly, the class to which the window belongs.
      `nIndex` - Specifies the zero-based offset to the value to be set.
      `dwNewLong` - Specifies the replacement value.
    Returns:
      The previous value of the specified 32-bit integer indicates success. Zero indicates failure. To get extended error information, call GetLastError.

  - ### GetWindowLongPtr

    BaseTSD.LONG_PTR GetWindowLongPtr(WinDef.HWND hWnd, int nIndex)
    The GetWindowLongPtr function retrieves information about the specified window. The function also retrieves the value at a specified offset into the extra window memory.
    Parameters:
      `hWnd` - Handle to the window and, indirectly, the class to which the window belongs.
      `nIndex` - Specifies the zero-based offset to the value to be retrieved.
    Returns:
      If the function succeeds, the return value is the requested value. If the function fails, the return value is zero. To get extended error information, call GetLastError. If SetWindowLong or SetWindowLongPtr has not been called previously, GetWindowLongPtr returns zero for values in the extra window or class memory.

  - ### SetWindowLongPtr

    Pointer SetWindowLongPtr(WinDef.HWND hWnd, int nIndex, Pointer dwNewLongPtr)
    The SetWindowLongPtr function changes an attribute of the specified window. The function also sets a value at the specified offset in the extra window memory.
    Parameters:
      `hWnd` - Handle to the window and, indirectly, the class to which the window belongs.
      `nIndex` - Specifies the zero-based offset to the value to be set.
      `dwNewLongPtr` - Specifies the replacement value.
    Returns:
      If the function succeeds, the return value is the previous value of the specified offset. If the function fails, the return value is zero. To get extended error information, call GetLastError. If the previous value is zero and the function succeeds, the return value is zero, but the function does not clear the last error information. To determine success or failure, clear the last error information by calling SetLastError(0), then call SetWindowLongPtr. Function failure will be indicated by a return value of zero and a GetLastError result that is nonzero.

  - ### SetLayeredWindowAttributes

    boolean SetLayeredWindowAttributes(WinDef.HWND hwnd, int crKey, byte bAlpha, int dwFlags)
    The SetLayeredWindowAttributes function sets the opacity and transparency color key of a layered window.
    Parameters:
      `hwnd` - Handle to the layered window.
      `crKey` - COLORREF structure that specifies the transparency color key to be used when composing the layered window.
      `bAlpha` - Alpha value used to describe the opacity of the layered window.
      `dwFlags` - Specifies an action to take.
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### GetLayeredWindowAttributes

    boolean GetLayeredWindowAttributes(WinDef.HWND hwnd, IntByReference pcrKey, ByteByReference pbAlpha, IntByReference pdwFlags)
    The GetLayeredWindowAttributes function retrieves the opacity and transparency color key of a layered window.
    Parameters:
      `hwnd` - Handle to the layered window. A layered window is created by specifying WS_EX_LAYERED when creating the window with the CreateWindowEx function or by setting WS_EX_LAYERED via SetWindowLong after the window has been created.
      `pcrKey` - Pointer to a COLORREF value that receives the transparency color key to be used when composing the layered window. All pixels painted by the window in this color will be transparent. This can be NULL if the argument is not needed.
      `pbAlpha` - Pointer to a BYTE that receives the Alpha value used to describe the opacity of the layered window. Similar to the SourceConstantAlpha member of the BLENDFUNCTION structure. When the variable referred to by pbAlpha is 0, the window is completely transparent. When the variable referred to by pbAlpha is 255, the window is opaque. This can be NULL if the argument is not needed.
      `pdwFlags` - Pointer to a DWORD that receives a layering flag. This can be NULL if the argument is not needed.
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### UpdateLayeredWindow

    boolean UpdateLayeredWindow(WinDef.HWND hwnd, WinDef.HDC hdcDst, WinDef.POINT pptDst, WinUser.SIZE psize, WinDef.HDC hdcSrc, WinDef.POINT pptSrc, int crKey, WinUser.BLENDFUNCTION pblend, int dwFlags)
    The UpdateLayeredWindow function updates the position, size, shape, content, and translucency of a layered window.
    Parameters:
      `hwnd` - Handle to a layered window. A layered window is created by specifying WS_EX_LAYERED when creating the window with the CreateWindowEx function.
      `hdcDst` - Handle to a device context (DC) for the screen. This handle is obtained by specifying NULL when calling the function. It is used for palette color matching when the window contents are updated. If hdcDst isNULL, the default palette will be used. If hdcSrc is NULL, hdcDst must be NULL.
      `pptDst` - Pointer to a POINT structure that specifies the new screen position of the layered window. If the current position is not changing, pptDst can be NULL.
      `psize` - Pointer to a SIZE structure that specifies the new size of the layered window. If the size of the window is not changing, psize can be NULL. If hdcSrc is NULL, psize must be NULL.
      `hdcSrc` - Handle to a DC for the surface that defines the layered window. This handle can be obtained by calling the CreateCompatibleDC function. If the shape and visual context of the window are not changing, hdcSrc can be NULL.
      `pptSrc` - Pointer to a POINT structure that specifies the location of the layer in the device context. If hdcSrc is NULL, pptSrc should be NULL.
      `crKey` - Pointer to a COLORREF value that specifies the color key to be used when composing the layered window. To generate a COLORREF, use the RGB macro.
      `pblend` - Pointer to a BLENDFUNCTION structure that specifies the transparency value to be used when composing the layered window.
      `dwFlags` - ULW_* flags.
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### SetWindowRgn

    int SetWindowRgn(WinDef.HWND hWnd, WinDef.HRGN hRgn, boolean bRedraw)
    This function sets the window region of a window. The window region determines the area within the window where the system permits drawing. The system does not display any portion of a window that lies outside of the window region.
    Parameters:
      `hWnd` - Handle to the window whose window region is to be set.
      `hRgn` - Handle to a region. The function sets the window region of the window to this region. If hRgn is NULL, the function sets the window region to NULL.
      `bRedraw` - Specifies whether the system redraws the window after setting the window region. If bRedraw is TRUE, the system does so; otherwise, it does not. Typically, you set bRedraw to TRUE if the window is visible.
    Returns:
      Nonzero indicates success. Zero indicates failure. To get extended error information, call GetLastError.

  - ### GetKeyboardState

    boolean GetKeyboardState(byte[] lpKeyState)
    The GetKeyboardState function copies the status of the 256 virtual keys to the specified buffer.
    Parameters:
      `lpKeyState` - Pointer to the 256-byte array that receives the status data for each virtual key.
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### GetAsyncKeyState

    short GetAsyncKeyState(int vKey)
    This function determines whether a key is up or down at the time the function is called, and whether the key was pressed after a previous call to GetAsyncKeyState.
    Parameters:
      `vKey` - Specifies one of 256 possible virtual-key codes.
    Returns:
      If the function succeeds, the return value specifies whether the key was pressed since the last call to GetAsyncKeyState, and whether the key is currently up or down. If the most significant bit is set, the key is down.

  - ### SetWindowsHookEx

    WinUser.HHOOK SetWindowsHookEx(int idHook, WinUser.HOOKPROC lpfn, WinDef.HINSTANCE hMod, int dwThreadId)
    The SetWindowsHookEx function installs an application-defined hook procedure into a hook chain. You would install a hook procedure to monitor the system for certain types of events. These events are associated either with a specific thread or with all threads in the same desktop as the calling thread.
    Parameters:
      `idHook` - Specifies the type of hook procedure to be installed.
      `lpfn` - Pointer to the hook procedure.
      `hMod` - Handle to the DLL containing the hook procedure pointed to by the lpfn parameter.
      `dwThreadId` - Specifies the identifier of the thread with which the hook procedure is to be associated.
    Returns:
      If the function succeeds, the return value is the handle to the hook procedure. If the function fails, the return value is NULL. To get extended error information, call GetLastError.

  - ### CallNextHookEx

    WinDef.LRESULT CallNextHookEx(WinUser.HHOOK hhk, int nCode, WinDef.WPARAM wParam, WinDef.LPARAM lParam)
    The CallNextHookEx function passes the hook information to the next hook procedure in the current hook chain. A hook procedure can call this function either before or after processing the hook information.
    Parameters:
      `hhk` - Ignored.
      `nCode` - Specifies the hook code passed to the current hook procedure. The next hook procedure uses this code to determine how to process the hook information.
      `wParam` - Specifies the wParam value passed to the current hook procedure. The meaning of this parameter depends on the type of hook associated with the current hook chain.
      `lParam` - Specifies the lParam value passed to the current hook procedure. The meaning of this parameter depends on the type of hook associated with the current hook chain.
    Returns:
      This value is returned by the next hook procedure in the chain. The current hook procedure must also return this value. The meaning of the return value depends on the hook type.

  - ### UnhookWindowsHookEx

    boolean UnhookWindowsHookEx(WinUser.HHOOK hhk)
    The UnhookWindowsHookEx function removes a hook procedure installed in a hook chain by the SetWindowsHookEx function.
    Parameters:
      `hhk` - Handle to the hook to be removed. This parameter is a hook handle obtained by a previous call to SetWindowsHookEx.
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### GetMessage

    int GetMessage(WinUser.MSG lpMsg, WinDef.HWND hWnd, int wMsgFilterMin, int wMsgFilterMax)
    This function retrieves a message from the calling thread's message queue and places it in the specified structure.
    Parameters:
      `lpMsg` - Pointer to an MSG structure that receives message information from the thread's message queue.
      `hWnd` - Handle to the window whose messages are to be retrieved. One value has a special meaning.
      `wMsgFilterMin` - Specifies the integer value of the lowest message value to be retrieved.
      `wMsgFilterMax` - Specifies the integer value of the highest message value to be retrieved.
    Returns:
      If the function retrieves a message other than WM_QUIT, the return value is nonzero.

      If the function retrieves the WM_QUIT message, the return value is zero.

      If there is an error, the return value is -1. For example, the function fails if hWnd is an invalid window handle or lpMsg is an invalid pointer. To get extended error information, call GetLastError.

  - ### PeekMessage

    boolean PeekMessage(WinUser.MSG lpMsg, WinDef.HWND hWnd, int wMsgFilterMin, int wMsgFilterMax, int wRemoveMsg)
    This function checks a thread message queue for a message and places the message (if any) in the specified structure.
    Parameters:
      `lpMsg` - Pointer to an MSG structure that receives message information.
      `hWnd` - Handle to the window whose messages are to be examined.
      `wMsgFilterMin` - Specifies the value of the first message in the range of messages to be examined.
      `wMsgFilterMax` - Specifies the value of the last message in the range of messages to be examined.
      `wRemoveMsg` - Specifies how messages are handled. This parameter can be one of the following values.
    Returns:
      Nonzero indicates success. Zero indicates failure.

  - ### TranslateMessage

    boolean TranslateMessage(WinUser.MSG lpMsg)
    This function translates virtual-key messages into character messages. The character messages are posted to the calling thread's message queue, to be read the next time the thread calls the GetMessage or PeekMessage function.
    Parameters:
      `lpMsg` - Pointer to an MSG structure that contains message information retrieved from the calling thread's message queue by using the GetMessage or PeekMessage function.
    Returns:
      Nonzero indicates that the message is translated, that is, a character message is posted to the thread's message queue. If the message is WM_KEYDOWN or WM_SYSKEYDOWN, the return value is nonzero, regardless of the translation. Zero indicates that the message is not translated, that is, a character message is not posted to the thread's message queue.

  - ### DispatchMessage

    WinDef.LRESULT DispatchMessage(WinUser.MSG lpMsg)
    This function dispatches a message to a window procedure. It is typically used to dispatch a message retrieved by the GetMessage function.
    Parameters:
      `lpMsg` - Pointer to an MSG structure that contains the message.
    Returns:
      The return value specifies the value returned by the window procedure. Although its meaning depends on the message being dispatched, the return value generally is ignored.

  - ### PostMessage

    void PostMessage(WinDef.HWND hWnd, int msg, WinDef.WPARAM wParam, WinDef.LPARAM lParam)
    This function places a message in the message queue associated with the thread that created the specified window and then returns without waiting for the thread to process the message. Messages in a message queue are retrieved by calls to the GetMessage or PeekMessage function.
    Parameters:
      `hWnd` - Handle to the window whose window procedure is to receive the message.
      `msg` - Specifies the message to be posted.
      `wParam` - Specifies additional message-specific information.
      `lParam` - Specifies additional message-specific information.

  - ### PostThreadMessage

    int PostThreadMessage(int idThread, int Msg, WinDef.WPARAM wParam, WinDef.LPARAM lParam)
    Posts a message to the message queue of the specified thread. It returns without waiting for the thread to process the message.
    Parameters:
      `idThread` - The identifier of the thread to which the message is to be posted.

      The function fails if the specified thread does not have a message queue. The system creates a thread's message queue when the thread makes its first call to one of the User or GDI functions.

      Message posting is subject to UIPI. The thread of a process can post messages only to posted-message queues of threads in processes of lesser or equal integrity level.

      This thread must have the SE_TCB_NAME privilege to post a message to a thread that belongs to a process with the same locally unique identifier (LUID) but is in a different desktop. Otherwise, the function fails and returns ERROR_INVALID_THREAD_ID.

      This thread must either belong to the same desktop as the calling thread or to a process with the same LUID. Otherwise, the function fails and returns ERROR_INVALID_THREAD_ID.

      `Msg` - The type of message to be posted.
      `wParam` - Additional message-specific information.
      `lParam` - Additional message-specific information.
    Returns:
      If the function succeeds, the return value is nonzero.

      If the function fails, the return value is zero. To get extended error information, call GetLastError.

      GetLastError returns ERROR_INVALID_THREAD_ID if idThread is not a valid thread identifier, or if the thread specified by idThread does not have a message queue.

      GetLastError returns ERROR_NOT_ENOUGH_QUOTA when the message limit is hit.

  - ### PostQuitMessage

    void PostQuitMessage(int nExitCode)
    This function indicates to Windows that a thread has made a request to terminate (quit). It is typically used in response to a WM_DESTROY message.
    Parameters:
      `nExitCode` - Specifies an application exit code. This value is used as the wParam parameter of the WM_QUIT message.

  - ### GetSystemMetrics

    int GetSystemMetrics(int nIndex)
    The GetSystemMetrics function retrieves various system metrics (widths and heights of display elements) and system configuration settings. All dimensions retrieved by GetSystemMetrics are in pixels.
    Parameters:
      `nIndex` - System metric or configuration setting to retrieve. This parameter can be one of the following values. Note that all SM_CX* values are widths and all SM_CY* values are heights. Also note that all settings designed to return Boolean data represent TRUE as any nonzero value, and FALSE as a zero value.
    Returns:
      If the function succeeds, the return value is the requested system metric or configuration setting. If the function fails, the return value is zero. GetLastError does not provide extended error information.

  - ### SetParent

    WinDef.HWND SetParent(WinDef.HWND hWndChild, WinDef.HWND hWndNewParent)
    Changes the parent window of the specified child window.
    Parameters:
      `hWndChild` - A handle to the child window.
      `hWndNewParent` - A handle to the new parent window. If this parameter is NULL, the desktop window becomes the new parent window. If this parameter is HWND_MESSAGE, the child window becomes a message-only window.
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### IsWindowVisible

    boolean IsWindowVisible(WinDef.HWND hWnd)
    Determines the visibility state of the specified window.
    Parameters:
      `hWnd` - A handle to the window to be tested.
    Returns:
      If the specified window, its parent window, its parent's parent window, and so forth, have the WS_VISIBLE style, the return value is nonzero. Otherwise, the return value is zero. Because the return value specifies whether the window has the WS_VISIBLE style, it may be nonzero even if the window is totally obscured by other windows.

  - ### MoveWindow

    boolean MoveWindow(WinDef.HWND hWnd, int X, int Y, int nWidth, int nHeight, boolean bRepaint)
    Changes the position and dimensions of the specified window. For a top-level window, the position and dimensions are relative to the upper-left corner of the screen. For a child window, they are relative to the upper-left corner of the parent window's client area.
    Parameters:
      `hWnd` - A handle to the window.
      `X` - The new position of the left side of the window.
      `Y` - The new position of the top of the window.
      `nWidth` - The new width of the window.
      `nHeight` - The new height of the window.
      `bRepaint` - Indicates whether the window is to be repainted. If this parameter is TRUE, the window receives a message. If the parameter is FALSE, no repainting of any kind occurs. This applies to the client area, the nonclient area (including the title bar and scroll bars), and any part of the parent window uncovered as a result of moving a child window.
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### SetWindowPos

    boolean SetWindowPos(WinDef.HWND hWnd, WinDef.HWND hWndInsertAfter, int X, int Y, int cx, int cy, int uFlags)
    Changes the size, position, and Z order of a child, pop-up, or top-level window. These windows are ordered according to their appearance on the screen. The topmost window receives the highest rank and is the first window in the Z order.
    Parameters:
      `hWnd` - A handle to the window.
      `hWndInsertAfter` - A handle to the window to precede the positioned window in the Z order.
      `X` - The new position of the left side of the window, in client coordinates.
      `Y` - The new position of the top of the window, in client coordinates.
      `cx` - The new width of the window, in pixels.
      `cy` - The new height of the window, in pixels.
      `uFlags` - The window sizing and positioning flags.
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### AttachThreadInput

    boolean AttachThreadInput(WinDef.DWORD idAttach, WinDef.DWORD idAttachTo, boolean fAttach)
    Attaches or detaches the input processing mechanism of one thread to that of another thread.
    Parameters:
      `idAttach` - The identifier of the thread to be attached to another thread. The thread to be attached cannot be a system thread.
      `idAttachTo` - The identifier of the thread to which idAttach will be attached. This thread cannot be a system thread. A thread cannot attach to itself. Therefore, idAttachTo cannot equal idAttach.
      `fAttach` - If this parameter is TRUE, the two threads are attached. If the parameter is FALSE, the threads are detached.
    Returns:
      If the function succeeds, the return value is nonzero.

  - ### SetForegroundWindow

    boolean SetForegroundWindow(WinDef.HWND hWnd)
    Brings the thread that created the specified window into the foreground and activates the window. Keyboard input is directed to the window, and various visual cues are changed for the user. The system assigns a slightly higher priority to the thread that created the foreground window than it does to other threads.
    Parameters:
      `hWnd` - A handle to the window that should be activated and brought to the foreground.
    Returns:
      If the window was brought to the foreground, the return value is nonzero.

  - ### GetForegroundWindow

    WinDef.HWND GetForegroundWindow()
    Retrieves a handle to the foreground window (the window with which the user is currently working). The system assigns a slightly higher priority to the thread that creates the foreground window than it does to other threads.
    Returns:
      The return value is a handle to the foreground window. The foreground window can be NULL in certain circumstances, such as when a window is losing activation.

  - ### SetFocus

    WinDef.HWND SetFocus(WinDef.HWND hWnd)
    Sets the keyboard focus to the specified window. The window must be attached to the calling thread's message queue.
    Parameters:
      `hWnd` - A handle to the window that will receive the keyboard input. If this parameter is NULL, keystrokes are ignored.
    Returns:
      If the function succeeds, the return value is the handle to the window that previously had the keyboard focus. If the hWnd parameter is invalid or the window is not attached to the calling thread's message queue, the return value is NULL. To get extended error information, call GetLastError.

  - ### SendInput

    WinDef.DWORD SendInput(WinDef.DWORD nInputs, WinUser.INPUT[] pInputs, int cbSize)
    Synthesizes keystrokes, mouse motions, and button clicks.
    Parameters:
      `nInputs` - The number of structures in the pInputs array.
      `pInputs` - An array of INPUT structures. Each structure represents an event to be inserted into the keyboard or mouse input stream.
      `cbSize` - The size, in bytes, of an INPUT structure. If cbSize is not the size of an INPUT structure, the function fails.
    Returns:
      The function returns the number of events that it successfully inserted into the keyboard or mouse input stream. If the function returns zero, the input was already blocked by another thread. To get extended error information, call GetLastError. This function fails when it is blocked by UIPI. Note that neither GetLastError nor the return value will indicate the failure was caused by UIPI blocking.

  - ### WaitForInputIdle

    WinDef.DWORD WaitForInputIdle(WinNT.HANDLE hProcess, WinDef.DWORD dwMilliseconds)
    Waits until the specified process has finished processing its initial input and is waiting for user input with no input pending, or until the time-out interval has elapsed.
    Parameters:
      `hProcess` - A handle to the process. If this process is a console application or does not have a message queue, WaitForInputIdle returns immediately.
      `dwMilliseconds` - The time-out interval, in milliseconds. If dwMilliseconds is INFINITE, the function does not return until the process is idle.
    Returns:
      The following table shows the possible return values for this function.

      Possible return values
      Return code/value | Description
      --- | ---
      0 | The wait was satisfied successfully.
      WAIT_TIMEOUT | The wait was terminated because the time-out interval elapsed.
      WAIT_FAILED | An error occurred.

  - ### InvalidateRect

    boolean InvalidateRect(WinDef.HWND hWnd, WinDef.RECT lpRect, boolean bErase)
    The InvalidateRect function adds a rectangle to the specified window's update region. The update region represents the portion of the window's client area that must be redrawn.
    Parameters:
      `hWnd` - A handle to the window whose update region has changed. If this parameter is NULL, the system invalidates and redraws all windows, not just the windows for this application, and sends the WM_ERASEBKGND and WM_NCPAINT messages before the function returns. Setting this parameter to NULL is not recommended.
      `lpRect` - A pointer to a RECT structure that contains the client coordinates of the rectangle to be added to the update region. If this parameter is NULL, the entire client area is added to the update region.
      `bErase` - Specifies whether the background within the update region is to be erased when the update region is processed. If this parameter is TRUE, the background is erased when the BeginPaint function is called. If this parameter is FALSE, the background remains unchanged.
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails, the return value is zero.

  - ### RedrawWindow

    boolean RedrawWindow(WinDef.HWND hWnd, WinDef.RECT lprcUpdate, WinDef.HRGN hrgnUpdate, WinDef.DWORD flags)
    The RedrawWindow function updates the specified rectangle or region in a window's client area.
    Parameters:
      `hWnd` - A handle to the window to be redrawn. If this parameter is NULL, the desktop window is updated.
      `lprcUpdate` - A pointer to a RECT structure containing the coordinates, in device units, of the update rectangle. This parameter is ignored if the hrgnUpdate parameter identifies a region.
      `hrgnUpdate` - A handle to the update region. If both the hrgnUpdate and lprcUpdate parameters are NULL, the entire client area is added to the update region.
      `flags` - One or more redraw flags. This parameter can be used to invalidate or validate a window, control repainting, and control which windows are affected by RedrawWindow.
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails, the return value is zero.

  - ### GetWindow

    WinDef.HWND GetWindow(WinDef.HWND hWnd, WinDef.DWORD uCmd)
    Retrieves a handle to a window that has the specified relationship (Z-Order or owner) to the specified window.
    Parameters:
      `hWnd` - A handle to a window. The window handle retrieved is relative to this window, based on the value of the uCmd parameter.
      `uCmd` - The relationship between the specified window and the window whose handle is to be retrieved.
    Returns:
      If the function succeeds, the return value is a window handle. If no window exists with the specified relationship to the specified window, the return value is NULL. To get extended error information, call GetLastError.

  - ### UpdateWindow

    boolean UpdateWindow(WinDef.HWND hWnd)
    The UpdateWindow function updates the client area of the specified window by sending a WM_PAINT message to the window if the window's update region is not empty. The function sends a WM_PAINT message directly to the window procedure of the specified window, bypassing the application queue. If the update region is empty, no message is sent.
    Parameters:
      `hWnd` - Handle to the window to be updated.
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails, the return value is zero.

  - ### ShowWindow

    boolean ShowWindow(WinDef.HWND hWnd, int nCmdShow)
    Sets the specified window's show state.
    Parameters:
      `hWnd` - A handle to the window.
      `nCmdShow` - Controls how the window is to be shown. This parameter is ignored the first time an application calls ShowWindow, if the program that launched the application provides a STARTUPINFO structure. Otherwise, the first time ShowWindow is called, the value should be the value obtained by the WinMain function in its nCmdShow parameter.
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### CloseWindow

    boolean CloseWindow(WinDef.HWND hWnd)
    Minimizes (but does not destroy) the specified window.
    Parameters:
      `hWnd` - A handle to the window to be minimized.
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### RegisterHotKey

    boolean RegisterHotKey(WinDef.HWND hWnd, int id, int fsModifiers, int vk)
    Defines a system-wide hot key.
    Parameters:
      `hWnd` - A handle to the window that will receive
      `id` - The identifier of the hot key
      `fsModifiers` - The keys that must be pressed in combination with the key specified by the uVirtKey parameter in order to generate the
      `vk` - The virtual-key code of the hot key
    Returns:
      If the function succeeds, the return value is nonzero.

      If the function fails, the return value is zero. To get extended error information, call `Kernel32.GetLastError()`. `WinUser.WM_HOTKEY` messages generated by the hot key `WinUser.WM_HOTKEY` message.

      A combination of the following values
      - `WinUser.MOD_ALT` Either ALT key must be held down.
      - `WinUser.MOD_CONTROL` Either CTRL key must be held down.
      - `WinUser.MOD_NOREPEAT` Changes the hotkey behavior so that the keyboard auto-repeat does not yield multiple hotkey notifications.

        Windows Vista and Windows XP/2000: This flag is not supported.

      - `WinUser.MOD_SHIFT` Either SHIFT key must be held down.
      - `WinUser.MOD_WIN` Either WINDOWS key was held down. These keys are labeled with the Windows logo.

  - ### UnregisterHotKey

    boolean UnregisterHotKey(Pointer hWnd, int id)
    Frees a hot key previously registered by the calling thread.
    Parameters:
      `hWnd` - A handle to the window associated with the hot key to be freed. This parameter should be NULL if the hot key is not associated with a window.
      `id` - The identifier of the hot key to be freed.
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails, the return value is zero. To get extended error information, call `Kernel32.GetLastError()`.

  - ### GetLastInputInfo

    boolean GetLastInputInfo(WinUser.LASTINPUTINFO plii)
    Retrieves the time of the last input event.
    Parameters:
      `plii` - structure that receives the time of the last input event
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails, the return value is zero. To get extended error information, call `Kernel32.GetLastError()`.

  - ### RegisterClassEx

    WinDef.ATOM RegisterClassEx(WinUser.WNDCLASSEX lpwcx)
    Registers a window class for subsequent use in calls to the CreateWindow or CreateWindowEx function.
    Parameters:
      `lpwcx` - Type: const WNDCLASSEX* A pointer to a WNDCLASSEX structure. You must fill the structure with the appropriate class attributes before passing it to the function.
    Returns:
      If the function succeeds, the return value is a class atom that uniquely identifies the class being registered. This atom can only be used by the CreateWindow, CreateWindowEx, GetClassInfo, GetClassInfoEx, FindWindow, FindWindowEx, and UnregisterClass functions and the IActiveIMMap::FilterClientWindows method. If the function fails, the return value is zero. To get extended error information, call `Kernel32.GetLastError()`.

  - ### UnregisterClass

    boolean UnregisterClass(String lpClassName, WinDef.HINSTANCE hInstance)
    Unregisters a window class, freeing the memory required for the class.
    Parameters:
      `lpClassName` - [in] Type: LPCTSTR A null-terminated string or a class atom. If lpClassName is a string, it specifies the window class name. This class name must have been registered by a previous call to the RegisterClass or RegisterClassEx function. System classes, such as dialog box controls, cannot be unregistered. If this parameter is an atom, it must be a class atom created by a previous call to the RegisterClass or RegisterClassEx function. The atom must be in the low-order word of lpClassName; the high-order word must be zero.
      `hInstance` - [in,optional] Type: HINSTANCE A handle to the instance of the module that created the class. *
    Returns:
      Type: BOOL If the function succeeds, the return value is nonzero. If the function fails, the return value is zero. To get extended error information, call `Kernel32.GetLastError()`.

  - ### CreateWindowEx

    WinDef.HWND CreateWindowEx(int dwExStyle, String lpClassName, String lpWindowName, int dwStyle, int x, int y, int nWidth, int nHeight, WinDef.HWND hWndParent, WinDef.HMENU hMenu, WinDef.HINSTANCE hInstance, WinDef.LPVOID lpParam)
    Creates an overlapped, pop-up, or child window with an extended window style; otherwise, this function is identical to the CreateWindow function. For more information about creating a window and for full descriptions of the other parameters of CreateWindowEx, see CreateWindow.
    Parameters:
      `dwExStyle` - [in] Type: DWORD The extended window style of the window being created. For a list of possible values,see Extended Window Styles.
      `lpClassName` - [in, optional] Type: LPCTSTR A null-terminated string or a class atom created by a previous call to the RegisterClass or RegisterClassEx function. The atom must be in the low-order word of lpClassName; the high-order word must be zero. If lpClassName is a string, it specifies the window class name. The class name can be any name registered with RegisterClass or RegisterClassEx, provided that the module that registers the class is also the module that creates the window. The class name can also be any of the predefined system class names.
      `lpWindowName` - [in, optional] Type: LPCTSTR The window name. If the window style specifies a title bar, the window title pointed to by lpWindowName is displayed in the title bar. When using CreateWindow to create controls, such as buttons, check boxes, and static controls, use lpWindowName to specify the text of the control. When creating a static control with the SS_ICON style, use lpWindowName to specify the icon name or identifier. To specify an identifier, use the syntax "#num".
      `dwStyle` - [in] Type: DWORD The style of the window being created. This parameter can be a combination of the window style values, plus the control styles indicated in the Remarks section.
      `x` - [in] Type: int The initial horizontal position of the window. For an overlapped or pop-up window, the x parameter is the initial x-coordinate of the window's upper-left corner, in screen coordinates. For a child window, x is the x-coordinate of the upper-left corner of the window relative to the upper-left corner of the parent window's client area. If x is set to CW_USEDEFAULT, the system selects the default position for the window's upper-left corner and ignores the y parameter. CW_USEDEFAULT is valid only for overlapped windows; if it is specified for a pop-up or child window, the x and y parameters are set to zero.
      `y` - [in] Type: int The initial vertical position of the window. For an overlapped or pop-up window, the y parameter is the initial y-coordinate of the window's upper-left corner, in screen coordinates. For a child window, y is the initial y-coordinate of the upper-left corner of the child window relative to the upper-left corner of the parent window's client area. For a list box y is the initial y-coordinate of the upper-left corner of the list box's client area relative to the upper-left corner of the parent window's client area. If an overlapped window is created with the WS_VISIBLE style bit set and the x parameter is set to CW_USEDEFAULT, then the y parameter determines how the window is shown. If the y parameter is CW_USEDEFAULT, then the window manager calls ShowWindow with the SW_SHOW flag after the window has been created. If the y parameter is some other value, then the window manager calls ShowWindow with that value as the nCmdShow parameter.
      `nWidth` - [in] Type: int The width, in device units, of the window. For overlapped windows, nWidth is the window's width, in screen coordinates, or CW_USEDEFAULT. If nWidth is CW_USEDEFAULT, the system selects a default width and height for the window; the default width extends from the initial x-coordinates to the right edge of the screen; the default height extends from the initial y-coordinate to the top of the icon area. CW_USEDEFAULT is valid only for overlapped windows; if CW_USEDEFAULT is specified for a pop-up or child window, the nWidth and nHeight parameter are set to zero.
      `nHeight` - [in] Type: int The height, in device units, of the window. For overlapped windows, nHeight is the window's height, in screen coordinates. If the nWidth parameter is set to CW_USEDEFAULT, the system ignores nHeight.
      `hWndParent` - [in, optional] Type: HWND A handle to the parent or owner window of the window being created. To create a child window or an owned window, supply a valid window handle. This parameter is optional for pop-up windows. To create a message-only window, supply HWND_MESSAGE or a handle to an existing message-only window.
      `hMenu` - [in, optional] Type: HMENU A handle to a menu, or specifies a child-window identifier, depending on the window style. For an overlapped or pop-up window, hMenu identifies the menu to be used with the window; it can be NULL if the class menu is to be used. For a child window, hMenu specifies the child-window identifier, an integer value used by a dialog box control to notify its parent about events. The application determines the child-window identifier; it must be unique for all child windows with the same parent window.
      `hInstance` - [in, optional] Type: HINSTANCE A handle to the instance of the module to be associated with the window.
      `lpParam` - [in, optional] Type: LPVOID Pointer to a value to be passed to the window through the CREATESTRUCT structure (lpCreateParams member) pointed to by the lParam param of the WM_CREATE message. This message is sent to the created window by this function before it returns. If an application calls CreateWindow to create a MDI client window, lpParam should point to a CLIENTCREATESTRUCT structure. If an MDI client window calls CreateWindow to create an MDI child window, lpParam should point to a MDICREATESTRUCT structure. lpParam may be NULL if no additional data is needed.
    Returns:
      Type: HWND If the function succeeds, the return value is a handle to the new window. If the function fails, the return value is NULL. To get extended error information, call GetLastError.

      This function typically fails for one of the following reasons:

      - an invalid parameter value
      - the system class was registered by a different module
      - The WH_CBT hook is installed and returns a failure code
      - if one of the controls in the dialog template is not registered, or its window window procedure fails WM_CREATE or WM_NCCREATE

  - ### DestroyWindow

    boolean DestroyWindow(WinDef.HWND hWnd)
    Destroys the specified window. The function sends WM_DESTROY and WM_NCDESTROY messages to the window to deactivate it and remove the keyboard focus from it. The function also destroys the window's menu, flushes the thread message queue, destroys timers, removes clipboard ownership, and breaks the clipboard viewer chain (if the window is at the top of the viewer chain). If the specified window is a parent or owner window, DestroyWindow automatically destroys the associated child or owned windows when it destroys the parent or owner window. The function first destroys child or owned windows, and then it destroys the parent or owner window. DestroyWindow also destroys modeless dialog boxes created by the CreateDialog function.
    Parameters:
      `hWnd` - [in] Type: HWND A handle to the window to be destroyed.
    Returns:
      Type: BOOL If the function succeeds, the return value is nonzero. If the function fails, the return value is zero. To get extended error information, call `Kernel32.GetLastError()`.

  - ### GetClassInfoEx

    boolean GetClassInfoEx(WinDef.HINSTANCE hinst, String lpszClass, WinUser.WNDCLASSEX lpwcx)
    Retrieves information about a window class, including a handle to the small icon associated with the window class. The GetClassInfo function does not retrieve a handle to the small icon.
    Parameters:
      `hinst` - [in, optional] Type: HINSTANCE A handle to the instance of the application that created the class. To retrieve information about classes defined by the system (such as buttons or list boxes), set this parameter to NULL.
      `lpszClass` - [in] Type: LPCTSTR The class name. The name must be that of a preregistered class or a class registered by a previous call to the RegisterClass or RegisterClassEx function. Alternatively, this parameter can be a class atom created by a previous call to RegisterClass or RegisterClassEx. The atom must be in the low-order word of lpszClass; the high-order word must be zero.
      `lpwcx` - [out] Type: LPWNDCLASSEX A pointer to a WNDCLASSEX structure that receives the information about the class.
    Returns:
      Type: BOOL If the function finds a matching class and successfully copies the data, the return value is nonzero. If the function fails, the return value is zero. To get extended error information, call `Kernel32.GetLastError()` .

  - ### CallWindowProc

    WinDef.LRESULT CallWindowProc(Pointer lpPrevWndFunc, WinDef.HWND hWnd, int Msg, WinDef.WPARAM wParam, WinDef.LPARAM lParam)
    Passes message information to the specified window procedure.
    Parameters:
      `lpPrevWndFunc` - The previous window procedure. If this value is obtained by calling the GetWindowLong function with the nIndex parameter set to GWL_WNDPROC or DWL_DLGPROC, it is actually either the address of a window or dialog box procedure, or a special internal value meaningful only to CallWindowProc.
      `hWnd` - A handle to the window procedure to receive the message.
      `Msg` - The message.
      `wParam` - Additional message information. The content of this parameter depends on the value of the Msg parameter.
      `lParam` - Additional message information. The content of this parameter depends on the value of the Msg parameter.
    Returns:
      The return value is the result of the message processing and depends on the message.

      If the function fails, the return value is zero. To get extended error information, call `Kernel32.GetLastError()`.

  - ### DefWindowProc

    WinDef.LRESULT DefWindowProc(WinDef.HWND hWnd, int Msg, WinDef.WPARAM wParam, WinDef.LPARAM lParam)
    Calls the default window procedure to provide default processing for any window messages that an application does not process. This function ensures that every message is processed. DefWindowProc is called with the same parameters received by the window procedure.
    Parameters:
      `hWnd` - [in] Type: HWND A handle to the window procedure that received the message.
      `Msg` - [in] Type: UINT The message.
      `wParam` - [in] Type: WPARAM Additional message information. The content of this parameter depends on the value of the Msg parameter.
      `lParam` - [in] Type: LPARAM Additional message information. The content of this parameter depends on the value of the Msg parameter.
    Returns:
      Type: LRESULT The return value is the result of the message processing and depends on the message. If the function fails, the return value is zero. To get extended error information, call `Kernel32.GetLastError()`.

  - ### RegisterDeviceNotification

    WinUser.HDEVNOTIFY RegisterDeviceNotification(WinNT.HANDLE hRecipient, Structure notificationFilter, int Flags)
    Registers the device or type of device for which a window will receive notifications.
    Parameters:
      `hRecipient` - [in] A handle to the window or service that will receive device events for the devices specified in the NotificationFilter parameter. The same window handle can be used in multiple calls to RegisterDeviceNotification. Services can specify either a window handle or service status handle.
      `notificationFilter` - [in] A pointer to a block of data that specifies the type of device for which notifications should be sent. This block always begins with the DEV_BROADCAST_HDR structure. The data following this header is dependent on the value of the dbch_devicetype member, which can be DBT_DEVTYP_DEVICEINTERFACE or DBT_DEVTYP_HANDLE. For more information, see Remarks.
      `Flags` - [in] This parameter can be one of the following values. DEVICE_NOTIFY_WINDOW_HANDLE0x00000000 The hRecipient parameter is a window handle. DEVICE_NOTIFY_SERVICE_HANDLE0x00000001 The hRecipient parameter is a service status handle. In addition, you can specify the following value. DEVICE_NOTIFY_ALL_INTERFACE_CLASSES0x00000004 Notifies the recipient of device interface events for all device interface classes. (The dbcc_classguid member is ignored.) This value can be used only if the dbch_devicetype member is DBT_DEVTYP_DEVICEINTERFACE.
    Returns:
      value If the function succeeds, the return value is a device notification handle. If the function fails, the return value is NULL. To get extended error information, call GetLastError.

  - ### UnregisterDeviceNotification

    boolean UnregisterDeviceNotification(WinUser.HDEVNOTIFY Handle)
    Closes the specified device notification handle.
    Parameters:
      `Handle` - [in] Device notification handle returned by the RegisterDeviceNotification function.
    Returns:
      Return value If the function succeeds, the return value is nonzero. If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### RegisterWindowMessage

    int RegisterWindowMessage(String string)
    Defines a new window message that is guaranteed to be unique throughout the system. The message value can be used when sending or posting messages.
    Parameters:
      `string` - The message to be registered.
    Returns:
      If the message is successfully registered, the return value is a message identifier in the range 0xC000 through 0xFFFF.

      If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### MonitorFromPoint

    WinUser.HMONITOR MonitorFromPoint(WinDef.POINT.ByValue pt, int dwFlags)
    Retrieves a handle to the display monitor that contains a specified point.
    Parameters:
      `pt` - A POINT structure that specifies the point of interest in virtual-screen coordinates.
      `dwFlags` - Determines the function's return value if the window does not intersect any display monitor. This parameter can be one of the following values.
      - MONITOR_DEFAULTTONEAREST
      - MONITOR_DEFAULTTONULL
      - MONITOR_DEFAULTTOPRIMARY
    Returns:
      If the point is contained by a display monitor, the return value is an HMONITOR handle to that display monitor. If the point is not contained by a display monitor, the return value depends on the value of dwFlags.

  - ### MonitorFromRect

    WinUser.HMONITOR MonitorFromRect(WinDef.RECT lprc, int dwFlags)
    Retrieves a handle to the display monitor that has the largest area of intersection with a specified rectangle.
    Parameters:
      `lprc` - A pointer to a RECT structure that specifies the rectangle of interest in virtual-screen coordinates.
      `dwFlags` - Determines the function's return value if the window does not intersect any display monitor. This parameter can be one of the following values.
      - MONITOR_DEFAULTTONEAREST
      - MONITOR_DEFAULTTONULL
      - MONITOR_DEFAULTTOPRIMARY
    Returns:
      If the rectangle intersects one or more display monitor rectangles, the return value is an HMONITOR handle to the display monitor that has the largest area of intersection with the rectangle. If the rectangle does not intersect a display monitor, the return value depends on the value of dwFlags.

  - ### MonitorFromWindow

    WinUser.HMONITOR MonitorFromWindow(WinDef.HWND hwnd, int dwFlags)
    Retrieves a handle to the display monitor that has the largest area of intersection with the bounding rectangle of a specified window.

    If the window is currently minimized, MonitorFromWindow uses the rectangle of the window before it was minimized.

    Parameters:
      `hwnd` - A handle to the window of interest.
      `dwFlags` - Determines the function's return value if the window does not intersect any display monitor. This parameter can be one of the following values.
      - MONITOR_DEFAULTTONEAREST
      - MONITOR_DEFAULTTONULL
      - MONITOR_DEFAULTTOPRIMARY
    Returns:
      If the window intersects one or more display monitor rectangles, the return value is an HMONITOR handle to the display monitor that has the largest area of intersection with the window. If the window does not intersect a display monitor, the return value depends on the value of dwFlags.

  - ### GetMonitorInfo

    WinDef.BOOL GetMonitorInfo(WinUser.HMONITOR hMonitor, WinUser.MONITORINFO lpmi)
    Retrieves information about a display monitor.
    Parameters:
      `hMonitor` - A handle to the display monitor of interest.
      `lpmi` - A pointer to a `WinUser.MONITORINFO` structure that receives information about the specified display monitor.
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails, the return value is zero.

  - ### GetMonitorInfo

    WinDef.BOOL GetMonitorInfo(WinUser.HMONITOR hMonitor, WinUser.MONITORINFOEX lpmi)
    Retrieves information about a display monitor.
    Parameters:
      `hMonitor` - A handle to the display monitor of interest.
      `lpmi` - A pointer to a `WinUser.MONITORINFOEX` structure that receives information about the specified display monitor.
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails, the return value is zero.

  - ### EnumDisplayMonitors

    WinDef.BOOL EnumDisplayMonitors(WinDef.HDC hdc, WinDef.RECT lprcClip, WinUser.MONITORENUMPROC lpfnEnum, WinDef.LPARAM dwData)
    Enumerates display monitors (including invisible pseudo-monitors associated with the mirroring drivers) that intersect a region formed by the intersection of a specified clipping rectangle and the visible region of a device context. EnumDisplayMonitors calls an application-defined MonitorEnumProc callback function once for each monitor that is enumerated. Note that GetSystemMetrics (SM_CMONITORS) counts only the display monitors.
    Parameters:
      `hdc` - A handle to a display device context that defines the visible region of interest. If this parameter is NULL, the hdcMonitor parameter passed to the callback function will be NULL, and the visible region of interest is the virtual screen that encompasses all the displays on the desktop.
      `lprcClip` - A pointer to a RECT structure that specifies a clipping rectangle. The region of interest is the intersection of the clipping rectangle with the visible region specified by hdc. If hdc is non-NULL, the coordinates of the clipping rectangle are relative to the origin of the hdc. If hdc is NULL, the coordinates are virtual-screen coordinates. This parameter can be NULL if you don't want to clip the region specified by hdc.
      `lpfnEnum` - A pointer to an application-defined callback function.
      `dwData` - Application-defined data that EnumDisplayMonitors passes directly to the lpfnEnum function.
    Returns:
      If the function succeeds, the return value is nonzero. If the function fails, the return value is zero.

  - ### GetWindowPlacement

    WinDef.BOOL GetWindowPlacement(WinDef.HWND hwnd, WinUser.WINDOWPLACEMENT lpwndpl)
    Retrieves the show state and the restored, minimized, and maximized positions of the specified window.
    Parameters:
      `hwnd` - A handle to the window.
      `lpwndpl` - A pointer to the WINDOWPLACEMENT structure that receives the show state and position information.
    Returns:
      The number of characters copied to the specified buffer indicates success. Zero indicates failure. To get extended error information, call GetLastError.

  - ### SetWindowPlacement

    WinDef.BOOL SetWindowPlacement(WinDef.HWND hwnd, WinUser.WINDOWPLACEMENT lpwndpl)
    Sets the show state and the restored, minimized, and maximized positions of the specified window.
    Parameters:
      `hwnd` - A handle to the window.
      `lpwndpl` - A pointer to a WINDOWPLACEMENT structure that specifies the new show state and window positions.
    Returns:
      The number of characters copied to the specified buffer indicates success. Zero indicates failure. To get extended error information, call GetLastError.

  - ### AdjustWindowRect

    WinDef.BOOL AdjustWindowRect(WinDef.RECT lpRect, WinDef.DWORD dwStyle, WinDef.BOOL bMenu)
    Calculates the required size of the window rectangle, based on the desired client-rectangle size. The window rectangle can then be passed to the CreateWindow function to create a window whose client area is the desired size. To specify an extended window style, use the AdjustWindowRectEx function. A client rectangle is the smallest rectangle that completely encloses a client area. A window rectangle is the smallest rectangle that completely encloses the window, which includes the client area and the nonclient area. The AdjustWindowRect function does not add extra space when a menu bar wraps to two or more rows. The AdjustWindowRect function does not take the WS_VSCROLL or WS_HSCROLL styles into account. To account for the scroll bars, call the GetSystemMetrics function with SM_CXVSCROLL or SM_CYHSCROLL.
    Parameters:
      `lpRect` - A pointer to a RECT structure that contains the coordinates of the top-left and bottom-right corners of the desired client area. When the function returns, the structure contains the coordinates of the top-left and bottom-right corners of the window to accommodate the desired client area.
      `dwStyle` - The window style of the window whose required size is to be calculated. Note that you cannot specify the WS_OVERLAPPED style.
      `bMenu` - Indicates whether the window has a menu.
    Returns:
      The number of characters copied to the specified buffer indicates success. Zero indicates failure. To get extended error information, call GetLastError.

  - ### AdjustWindowRectEx

    WinDef.BOOL AdjustWindowRectEx(WinDef.RECT lpRect, WinDef.DWORD dwStyle, WinDef.BOOL bMenu, WinDef.DWORD dwExStyle)
    Calculates the required size of the window rectangle, based on the desired client-rectangle size. The window rectangle can then be passed to the CreateWindowEx function to create a window whose client area is the desired size. A client rectangle is the smallest rectangle that completely encloses a client area. A window rectangle is the smallest rectangle that completely encloses the window, which includes the client area and the nonclient area. The AdjustWindowRectEx function does not add extra space when a menu bar wraps to two or more rows. The AdjustWindowRectEx function does not take the WS_VSCROLL or WS_HSCROLL styles into account. To account for the scroll bars, call the GetSystemMetrics function with SM_CXVSCROLL or SM_CYHSCROLL.
    Parameters:
      `lpRect` - A pointer to a RECT structure that contains the coordinates of the top-left and bottom-right corners of the desired client area. When the function returns, the structure contains the coordinates of the top-left and bottom-right corners of the window to accommodate the desired client area.
      `dwStyle` - The window style of the window whose required size is to be calculated. Note that you cannot specify the WS_OVERLAPPED style.
      `bMenu` - Indicates whether the window has a menu.
      `dwExStyle` - The extended window style of the window whose required size is to be calculated.
    Returns:
      The number of characters copied to the specified buffer indicates success. Zero indicates failure. To get extended error information, call GetLastError.

  - ### ExitWindowsEx

    WinDef.BOOL ExitWindowsEx(WinDef.UINT uFlags, WinDef.DWORD dReason)
    Logs off the interactive user, shuts down the system, or shuts down and restarts the system. It sends the WM_QUERYENDSESSION message to all applications to determine if they can be terminated. When this function is called, the caller must specify whether or not applications with unsaved changes should be forcibly closed. If the caller chooses not to force these applications to close and an application with unsaved changes is running on the console session, the shutdown will remain in progress until the user logged into the console session aborts the shutdown, saves changes, closes the application, or forces the application to close. During this period, the shutdown may not be aborted except by the console user, and another shutdown may not be initiated. Calling this function with the value of the uFlags parameter set to EWX_FORCE avoids this situation. Remember that doing this may result in loss of data. To set a shutdown priority for an application relative to other applications in the system, use the SetProcessShutdownParameters function. During a shutdown or log-off operation, running applications are allowed a specific amount of time to respond to the shutdown request. If this time expires before all applications have stopped, the system displays a user interface that allows the user to forcibly shut down the system or to cancel the shutdown request. If the EWX_FORCE value is specified, the system forces running applications to stop when the time expires. If the EWX_FORCEIFHUNG value is specified, the system forces hung applications to close and does not display the dialog box. Console processes receive a separate notification message, CTRL_SHUTDOWN_EVENT or CTRL_LOGOFF_EVENT, as the situation warrants. A console process routes these messages to its HandlerRoutine function. ExitWindowsEx sends these notification messages asynchronously; thus, an application cannot assume that the console notification messages have been handled when a call to ExitWindowsEx returns. To shut down or restart the system, the calling process must use the `Advapi32.AdjustTokenPrivileges(com.sun.jna.platform.win32.WinNT.HANDLE, boolean, com.sun.jna.platform.win32.WinNT.TOKEN_PRIVILEGES, int, com.sun.jna.platform.win32.WinNT.TOKEN_PRIVILEGES, com.sun.jna.ptr.IntByReference)` function to enable the SE_SHUTDOWN_NAME privilege. For more information, see Running with Special Privileges.
    Parameters:
      `uFlags` - The shutdown type. This parameter must include one of EWX_HYBRID_SHUTDOWN, EWX_LOGOFF, EWX_POWEROFF, EWX_REBOOT, EWX_RESTARTAPPS, or EWX_SHUTDOWN. This parameter can optionally include one of EWX_FORCE or EWX_FORCEIFHUNG.
      `dReason` - The reason for initiating the shutdown. This parameter must be one of the system shutdown reason codes. If this parameter is zero, the SHTDN_REASON_FLAG_PLANNED reason code will not be set and therefore the default action is an undefined shutdown that is logged as "No title for this reason could be found". By default, it is also an unplanned shutdown. Depending on how the system is configured, an unplanned shutdown triggers the creation of a file that contains the system state information, which can delay shutdown. Therefore, do not use zero for this parameter.
    Returns:
      If the function succeeds, the return value is nonzero. Because the function executes asynchronously, a nonzero return value indicates that the shutdown has been initiated. It does not indicate whether the shutdown will succeed. It is possible that the system, the user, or another application will abort the shutdown. If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### LockWorkStation

    WinDef.BOOL LockWorkStation()
    Locks the workstation's display. Locking a workstation protects it from unauthorized use. The LockWorkStation function is callable only by processes running on the interactive desktop. In addition, the user must be logged on, and the workstation cannot already be locked.
    Returns:
      If the function succeeds, the return value is nonzero. Because the function executes asynchronously, a nonzero return value indicates that the operation has been initiated. It does not indicate whether the workstation has been successfully locked. If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### GetIconInfo

    boolean GetIconInfo(WinDef.HICON hIcon, WinGDI.ICONINFO piconinfo)
    Retrieves information about the specified icon or cursor.
    Parameters:
      `hIcon` - A handle to the icon or cursor.

      To retrieve information about a standard icon or cursor, specify one of the following values and use the MAKEINTRESOURCE macro to create this value: `WinUser.IDC_APPSTARTING` etc.

      `piconinfo` - A pointer to an ICONINFO structure. The function fills in the structure's members.
    Returns:
      If the function succeeds, the return value is `true` and the function fills in the members of the specified ICONINFO structure.

      If the function fails, the return value is zero. To get extended error information, call `Kernel32.GetLastError()`.

  - ### SendMessageTimeout

    WinDef.LRESULT SendMessageTimeout(WinDef.HWND hWnd, int msg, WinDef.WPARAM wParam, WinDef.LPARAM lParam, int fuFlags, int uTimeout, WinDef.DWORDByReference lpdwResult)
    Sends the specified message to one or more windows.
    Parameters:
      `hWnd` - A handle to the window whose window procedure will receive the message.

      If this parameter is HWND_BROADCAST ((HWND)0xffff), the message is sent to all top-level windows in the system, including disabled or invisible unowned windows. The function does not return until each window has timed out. Therefore, the total wait time can be up to the value of uTimeout multiplied by the number of top-level windows.

      `msg` - The message to be sent.
      `wParam` - Any additional message-specific information.
      `lParam` - Any additional message-specific information.
      `fuFlags` - The behavior of this function. This parameter can be one or more of the following values: `WinUser.SMTO_ABORTIFHUNG` etc.
      `uTimeout` - The duration of the time-out period, in milliseconds. If the message is a broadcast message, each window can use the full time-out period. For example, if you specify a five second time-out period and there are three top-level windows that fail to process the message, you could have up to a 15 second delay.
      `lpdwResult` - The result of the message processing. The value of this parameter depends on the message that is specified.
    Returns:
      If the function succeeds, the return value is nonzero. SendMessageTimeout does not provide information about individual windows timing out if HWND_BROADCAST is used.

      If the function fails or times out, the return value is 0. To get extended error information, call GetLastError. If GetLastError returns ERROR_TIMEOUT, then the function timed out.

      Windows 2000: If `Kernel32.GetLastError()` returns 0, then the function timed out.

  - ### GetClassLongPtr

    BaseTSD.ULONG_PTR GetClassLongPtr(WinDef.HWND hWnd, int nIndex)
    Retrieves the specified value from the WNDCLASSEX structure associated with the specified window.
    Parameters:
      `hWnd` - A handle to the window and, indirectly, the class to which the window belongs.
      `nIndex` - The value to be retrieved. To retrieve a value from the extra class memory, specify the positive, zero-based byte offset of the value to be retrieved. Valid values are in the range zero through the number of bytes of extra class memory, minus eight; for example, if you specified 24 or more bytes of extra class memory, a value of 16 would be an index to the third integer.To retrieve any other value from the WNDCLASSEX structure, specify one of the following values: `WinUser.GCW_ATOM` etc.
    Returns:
      If the function succeeds, the return value is the requested value.

      If the function fails, the return value is zero. To get extended error information, call `Kernel32.GetLastError()`.

  - ### GetRawInputDeviceList

    int GetRawInputDeviceList(WinUser.RAWINPUTDEVICELIST[] pRawInputDeviceList, IntByReference puiNumDevices, int cbSize)
    Parameters:
      `pRawInputDeviceList` - An array of `WinUser.RAWINPUTDEVICELIST` structures for the devices attached to the system. If (@code null}, the number of devices is returned in `puiNumDevices`
      `puiNumDevices` - If `pRawInputDeviceList` is `null`, the function populates this variable with the number of devices attached to the system; otherwise, this variable specifies the number of `WinUser.RAWINPUTDEVICELIST` structures that can be contained in the buffer to which `pRawInputDeviceList` points. If this value is less than the number of devices attached to the system, the function returns the actual number of devices in this variable and fails with ERROR_INSUFFICIENT_BUFFER.
      `cbSize` - The size of a `WinUser.RAWINPUTDEVICELIST` structure, in bytes.
    Returns:
      If the function is successful, the return value is the number of devices stored in the buffer pointed to by `pRawInputDeviceList`. On any other error, the function returns -1 and `GetLastError` returns the error indication.
    See Also:
      - `WinUser.RAWINPUTDEVICELIST.sizeof()`
      - GetRawInputDeviceList

  - ### GetDesktopWindow

    WinDef.HWND GetDesktopWindow()
    Retrieves a handle to the desktop window. The desktop window covers the entire screen. The desktop window is the area on top of which other windows are painted.
    Returns:
      Type: HWND The return value is a handle to the desktop window.

  - ### PrintWindow

    boolean PrintWindow(WinDef.HWND hWnd, WinDef.HDC dest, int flags)
    The PrintWindow function copies a visual window into the specified device context (DC), typically a printer DC.
    Parameters:
      `hWnd` - A handle to the window that will be copied.
      `dest` - A handle to the destination device context.
      `flags` - The drawing options. It can be one of the following values:
      PW_CLIENTONLY:
      Only the client area of the window is copied to hdcBlt. By default, the entire window is copied.
    Returns:
      If the function succeeds, it returns true (MSDN: a nonzero value). If the function fails, it returns false (MSDN: zero).

  - ### IsWindowEnabled

    boolean IsWindowEnabled(WinDef.HWND hWnd)
    Determines whether the specified window is enabled for mouse and keyboard input.
    Parameters:
      `hWnd` - A handle to the window to be tested.
    Returns:
      If the window is enabled, the return value is true (nonzero).
      If the window is not enabled, the return value is false (zero).

  - ### IsWindow

    boolean IsWindow(WinDef.HWND hWnd)
    Determines whether the specified window handle identifies an existing window.
    A thread should not use IsWindow for a window that it did not create because the window could be destroyed after this function was called.
    Further, because window handles are recycled the handle could even point to a different window.
    Parameters:
      `hWnd` - A handle to the window to be tested.
    Returns:
      If the window handle identifies an existing window, the return value is true (nonzero).
      If the window handle does not identify an existing window, the return value is false (zero).

  - ### FindWindowEx

    WinDef.HWND FindWindowEx(WinDef.HWND parent, WinDef.HWND child, String className, String window)
    Parameters:
      `parent` - Type: HWND
      A handle to the parent window whose child windows are to be searched.
      If hwndParent is NULL, the function uses the desktop window as the parent window. The function searches among windows that are child windows of the desktop.
      If hwndParent is HWND_MESSAGE, the function searches all message-only windows.
      `child` - Type: HWND
      A handle to a child window. The search begins with the next child window in the Z order. The child window must be a direct child window of hwndParent, not just a descendant window.
      If hwndChildAfter is NULL, the search begins with the first child window of hwndParent.
      Note that if both hwndParent and hwndChildAfter are NULL, the function searches all top-level and message-only windows.
      `className` - Type: LPCTSTR
      The class name or a class atom created by a previous call to the RegisterClass or RegisterClassEx function. The atom must be placed in the low-order word of lpszClass; the high-order word must be zero.
      If lpszClass is a string, it specifies the window class name. The class name can be any name registered with RegisterClass or RegisterClassEx , or any of the predefined control-class names, or it can be `MAKEINTATOM(0x8000)`. In this latter case, 0x8000 is the atom for a menu class. For more information, see the Remarks section of this topic.
      `window` - Type: LPCTSTR
      The window name (the window's title). If this parameter is NULL, all window names match.
    Returns:
      If the function succeeds, the return value is a handle to the window that has the specified class and window names.
      If the function fails, the return value is NULL. To get extended error information, call GetLastError.

  - ### GetAncestor

    WinDef.HWND GetAncestor(WinDef.HWND hwnd, int gaFlags)
    Retrieves the handle to the ancestor of the specified window.
    Parameters:
      `hwnd` - A handle to the window whose ancestor is to be retrieved. If this parameter is the desktop window, the function returns NULL.
      `gaFlags` - The ancestor to be retrieved. This parameter can be one of the following values:
      - GA_PARENT (1) -- Retrieves the parent window. This does not include the owner, as it does with the GetParent function.
      - GA_ROOT (2) -- Retrieves the root window by walking the chain of parent windows..
      - GA_ROOTOWNER (3) -- Retrieves the owned root window by walking the chain of parent and owner windows returned by GetParent..
    Returns:
      The return value is the handle to the ancestor window.

  - ### GetParent

    WinDef.HWND GetParent(WinDef.HWND hwnd)
    Retrieves a handle to the specified window's parent or owner. To retrieve a handle to a specified ancestor, use the GetAncestor function.
    Parameters:
      `hwnd` - A handle to the window whose parent window handle is to be retrieved.
    Returns:
      Type: HWND
      If the window is a child window, the return value is a handle to the parent window. If the window is a top-level window with the WS_POPUP style, the return value is a handle to the owner window. If the function fails, the return value is NULL. To get extended error information, call GetLastError. This function typically fails for one of the following reasons:
      - The window is a top-level window that is unowned or does not have the WS_POPUP style
      - The owner window has WS_POPUP style

  - ### GetCursorPos

    boolean GetCursorPos(WinDef.POINT p)
    Retrieves the position of the mouse cursor, in screen coordinates.
    Parameters:
      `p` - lpPoint [out]
      Type: LPPOINT
      A pointer to a POINT structure that receives the screen coordinates of the cursor.
    Returns:
      Type: BOOL.
      Returns nonzero if successful or zero otherwise. To get extended error information, call GetLastError.

  - ### SetCursorPos

    boolean SetCursorPos(long x, long y)
    Moves the cursor to the specified screen coordinates.
    If the new coordinates are not within the screen rectangle set by the most recent ClipCursor function call, the system automatically adjusts the coordinates so that the cursor stays within the rectangle.
    Parameters:
      `x` - The new x-coordinate of the cursor, in screen coordinates.
      `y` - The new y-coordinate of the cursor, in screen coordinates.
    Returns:
      Type: BOOL.
      Returns nonzero if successful or zero otherwise. To get extended error information, call GetLastError.

  - ### SetWinEventHook

    WinNT.HANDLE SetWinEventHook(int eventMin, int eventMax, WinDef.HMODULE hmodWinEventProc, WinUser.WinEventProc winEventProc, int processID, int threadID, int flags)
    Parameters:
      `eventMin` - Type: UINT
      Specifies the event constant for the lowest event value in the range of events that are handled by the hook function.
      This parameter can be set to EVENT_MIN to indicate the lowest possible event value.
      `eventMax` - Type: UINT
      Specifies the event constant for the highest event value in the range of events that are handled by the hook function.
      This parameter can be set to EVENT_MAX to indicate the highest possible event value.
      `hmodWinEventProc` - Type: HMODULE
      Handle to the DLL that contains the hook function at lpfnWinEventProc, if the WINEVENT_INCONTEXT flag is specified in the dwFlags parameter.
      If the hook function is not located in a DLL, or if the WINEVENT_OUTOFCONTEXT flag is specified, this parameter is NULL.
      `winEventProc` - Type: WINEVENTPROC
      Pointer to the event hook function. For more information about this function, see WinEventProc.
      `processID` - Type: DWORD
      Specifies the ID of the process from which the hook function receives events.
      Specify zero (0) to receive events from all processes on the current desktop.
      `threadID` - Type: DWORD
      Specifies the ID of the thread from which the hook function receives events.
      If this parameter is zero, the hook function is associated with all existing threads on the current desktop.
      `flags` - Type: UINT
      Flag values that specify the location of the hook function and of the events to be skipped.
      The following flags are valid:
      - WINEVENT_INCONTEXT: The DLL that contains the callback function is mapped into the address space of the process that generates the event.
        With this flag, the system sends event notifications to the callback function as they occur.
        The hook function must be in a DLL when this flag is specified.
        This flag has no effect when both the calling process and the generating process are not 32-bit or 64-bit processes, or when the generating process is a console application.
        For more information, see In-Context Hook Functions.
      - WINEVENT_OUTOFCONTEXT: The callback function is not mapped into the address space of the process that generates the event.
        Because the hook function is called across process boundaries, the system must queue events.
        Although this method is asynchronous, events are guaranteed to be in sequential order.
        For more information, see Out-of-Context Hook Functions.
      - WINEVENT_SKIPOWNPROCESS:
        Prevents this instance of the hook from receiving the events that are generated by threads in this process.
        This flag does not prevent threads from generating events.
      - WINEVENT_SKIPOWNTHREAD:
        Prevents this instance of the hook from receiving the events that are generated by the thread that is registering this hook.
    Returns:
      Type: HWINEVENTHOOK
      If successful, returns an HWINEVENTHOOK value that identifies this event hook instance. Applications save this return value to use it with the UnhookWinEvent function.
      If unsuccessful, returns zero.

  - ### UnhookWinEvent

    boolean UnhookWinEvent(WinNT.HANDLE hook)
    Removes an event hook function created by a previous call to SetWinEventHook.
    Parameters:
      `hook` - Type: HWINEVENTHOOK
      Handle to the event hook returned in the previous call to SetWinEventHook.
    Returns:
      Type: BOOL If successful, returns TRUE; otherwise, returns FALSE.
      Three common errors cause this function to fail:
      The hWinEventHook parameter is NULL or not valid.
      The event hook specified by hWinEventHook was already removed.
      UnhookWinEvent is called from a thread that is different from the original call to SetWinEventHook.

  - ### CopyIcon

    WinDef.HICON CopyIcon(WinDef.HICON hIcon)
    Copies the specified icon from another module to the current module.
    Parameters:
      `hIcon` - A handle to the icon to be copied.
    Returns:
      If the function succeeds, the return value is a handle to the duplicate icon.
      If the function fails, the return value is NULL. To get extended error information, call GetLastError.
    See Also:
      - MSDN

  - ### GetClassLong

    int GetClassLong(WinDef.HWND hWnd, int nIndex)
    Retrieves the specified 32-bit (DWORD) value from the WNDCLASSEX structure associated with the specified window. Note If you are retrieving a pointer or a handle, this function has been superseded by the GetClassLongPtr function.
    (Pointers and handles are 32 bits on 32-bit Windows and 64 bits on 64-bit Windows.)
    Parameters:
      `hWnd` - A handle to the window and, indirectly, the class to which the window belongs.
      `nIndex` - The value to be retrieved. To retrieve a value from the extra class memory, specify the positive, zero-based byte offset of the value to be retrieved. Valid values are in the range zero through the number of bytes of extra class memory, minus four; for example, if you specified 12 or more bytes of extra class memory, a value of 8 would be an index to the third integer. To retrieve any other value from the WNDCLASSEX structure, specify one of the following values.
      GCW_ATOM: -32
      Retrieves an ATOM value that uniquely identifies the window class. This is the same atom that the RegisterClassEx function returns.
      GCL_CBCLSEXTRA: -20
      Retrieves the size, in bytes, of the extra memory associated with the class.
      GCL_CBWNDEXTRA: -18
      Retrieves the size, in bytes, of the extra window memory associated with each window in the class. For information on how to access this memory, see GetWindowLong.
      GCL_HBRBACKGROUND: -10
      Retrieves a handle to the background brush associated with the class.
      GCL_HCURSOR: -12
      Retrieves a handle to the cursor associated with the class.
      GCL_HICON: -14
      Retrieves a handle to the icon associated with the class.
      GCL_HICONSM: -34
      Retrieves a handle to the small icon associated with the class.
      GCL_HMODULE: -16
      Retrieves a handle to the module that registered the class.
      GCL_MENUNAME: -8
      Retrieves the address of the menu name string. The string identifies the menu resource associated with the class.
      GCL_STYLE: -26
      Retrieves the window-class style bits.
      GCL_WNDPROC: -24
      Retrieves the address of the window procedure, or a handle representing the address of the window procedure. You must use the CallWindowProc function to call the window procedure.
    Returns:
      Type: DWORD If the function succeeds, the return value is the requested value.
      If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### RegisterClipboardFormat

    int RegisterClipboardFormat(String formatName)
    Registers a new clipboard format. This format can then be used as a valid clipboard format.
    Parameters:
      `formatName` - The name of the new format.
    Returns:
      If the function succeeds, the return value identifies the registered clipboard format.

      If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### GetActiveWindow

    WinDef.HWND GetActiveWindow()
    Retrieves the window handle to the active window attached to the calling thread's message queue.
    Returns:
      Type: HWND The return value is the handle to the active window attached to the calling thread's message queue. Otherwise, the return value is NULL.

  - ### SendMessage

    WinDef.LRESULT SendMessage(WinDef.HWND hWnd, int msg, WinDef.WPARAM wParam, WinDef.LPARAM lParam)
    Sends the specified message to a window or windows. The SendMessage function calls the window procedure for the specified window and does not return until the window procedure has processed the message. To send a message and return immediately, use the SendMessageCallback or SendNotifyMessage function. To post a message to a thread's message queue and return immediately, use the PostMessage or PostThreadMessage function.
    Parameters:
      `hWnd` - A handle to the window whose window procedure will receive the message. If this parameter is HWND_BROADCAST ((HWND)0xffff), the message is sent to all top-level windows in the system, including disabled or invisible unowned windows, overlapped windows, and pop-up windows; but the message is not sent to child windows. Message sending is subject to UIPI. The thread of a process can send messages only to message queues of threads in processes of lesser or equal integrity level.
      `msg` - The message to be sent. For lists of the system-provided messages, see System-Defined Messages.
      `wParam` - Additional message-specific information.
      `lParam` - Additional message-specific information.
    Returns:
      The return value specifies the result of the message processing; it depends on the message sent. Two classic usage : - with a WM_USER+x msg value : wParam and lParam are numeric values - with a WM_COPYDATA msg value : wParam is the length of the structure and lParam a pointer to a COPYDATASTRUCT

  - ### GetKeyboardLayoutList

    int GetKeyboardLayoutList(int nBuff, WinDef.HKL[] lpList)
    Retrieves the input locale identifiers (formerly called keyboard layout handles) corresponding to the current set of input locales in the system. The function copies the identifiers to the specified buffer.
    Parameters:
      `nBuff` - The maximum number of handles that the buffer can hold.
      `lpList` - A pointer to the buffer that receives the array of input locale identifiers.
    Returns:
      If the function succeeds, the return value is the number of input locale identifiers copied to the buffer or, if nBuff is zero, the return value is the size, in array elements, of the buffer needed to receive all current input locale identifiers. If the function fails, the return value is zero. To get extended error information, call GetLastError.

  - ### GetKeyboardLayout

    WinDef.HKL GetKeyboardLayout(int idThread)
    Retrieves the active input locale identifier (formerly called the keyboard layout).
    Parameters:
      `idThread` - The identifier of the thread to query, or 0 for the current thread.
    Returns:
      The return value is the input locale identifier for the thread. The low word contains a Language Identifier for the input language and the high word contains a device handle to the physical layout of the keyboard.

  - ### GetKeyboardLayoutName

    boolean GetKeyboardLayoutName(char[] pwszKLID)
    This function retrieves the name of the active keyboard layout.
    Parameters:
      `pwszKLID` - [in] Pointer to the buffer of at least `WinUser.KL_NAMELENGTH` characters that is to receive the name of the keyboard layout, including the terminating null character.
    Returns:
      Nonzero indicates success. Zero indicates failure. To get extended error information, call GetLastError.

  - ### VkKeyScanExA

    short VkKeyScanExA(byte ch, WinDef.HKL dwhkl)
    Translates a character to the corresponding virtual-key code and shift state. The function translates the character using the input language and physical keyboard layout identified by the input locale identifier.
    Parameters:
      `ch` - The character to be translated into a virtual-key code.
      `dwhkl` - Input locale identifier to use for translating the specified code. This parameter can be any input locale identifier previously returned by the #LoadKeyboardLayout() function.
    Returns:
      If the function succeeds, the low-order byte of the return value contains the virtual-key code and the high-order byte contains the shift state, which can be a combination of the following flag bits.
      1
        Either SHIFT key is pressed. Use `WinUser.MODIFIER_SHIFT_MASK`.
      2
        Either CTRL key is pressed. Use `WinUser.MODIFIER_CTRL_MASK`.
      4
        Either ALT key is pressed. Use `WinUser.MODIFIER_ALT_MASK`.
      8
        The Hankaku key is pressed. Use `WinUser.MODIFIER_HANKAKU_MASK`.
      16
        Reserved (defined by the keyboard layout driver). Use `WinUser.MODIFIER_RESERVED1_MASK`.
      32
        Reserved (defined by the keyboard layout driver). Use `WinUser.MODIFIER_RESERVED2_MASK`.
      If the function finds no key that translates to the passed character code, both the low-order and high-order bytes contain -1.

  - ### VkKeyScanExW

    short VkKeyScanExW(char ch, WinDef.HKL dwhkl)
    Translates a character to the corresponding virtual-key code and shift state. The function translates the character using the input language and physical keyboard layout identified by the input locale identifier.
    Parameters:
      `ch` - The character to be translated into a virtual-key code.
      `dwhkl` - Input locale identifier to use for translating the specified code. This parameter can be any input locale identifier previously returned by the #LoadKeyboardLayout() function.
    Returns:
      If the function succeeds, the low-order byte of the return value contains the virtual-key code and the high-order byte contains the shift state, which can be a combination of the following flag bits.
      1
        Either SHIFT key is pressed. Use `WinUser.MODIFIER_SHIFT_MASK`.
      2
        Either CTRL key is pressed. Use `WinUser.MODIFIER_CTRL_MASK`.
      4
        Either ALT key is pressed. Use `WinUser.MODIFIER_ALT_MASK`.
      8
        The Hankaku key is pressed. Use `WinUser.MODIFIER_HANKAKU_MASK`.
      16
        Reserved (defined by the keyboard layout driver). Use `WinUser.MODIFIER_RESERVED1_MASK`.
      32
        Reserved (defined by the keyboard layout driver). Use `WinUser.MODIFIER_RESERVED2_MASK`.
      If the function finds no key that translates to the passed character code, both the low-order and high-order bytes contain -1.

  - ### MapVirtualKeyEx

    int MapVirtualKeyEx(int uCode, int uMapType, WinDef.HKL dwhkl)
    Translates (maps) a virtual-key code into a scan code or character value, or translates a scan code into a virtual-key code. The function translates the codes using the input language and an input locale identifier.
    Parameters:
      `uCode` - The virtual-key code or scan code for a key. How this value is interpreted depends on the value of the uMapType parameter. Starting with Windows Vista, the high byte of the uCode value can contain either 0xe0 or 0xe1 to specify the extended scan code.
      `uMapType` - The translation to perform. The value of this parameter depends on the value of the uCode parameter. One of `WinUser.MAPVK_VK_TO_CHAR`, `WinUser.MAPVK_VK_TO_VSC`, `WinUser.MAPVK_VK_TO_VSC_EX`, `WinUser.MAPVK_VSC_TO_VK`, `WinUser.MAPVK_VSC_TO_VK_EX`
      `dwhkl` - Input locale identifier to use for translating the specified code. This parameter can be any input locale identifier previously returned by the #LoadKeyboardLayout() function.
    Returns:
      The return value is either a scan code, a virtual-key code, or a character value, depending on the value of uCode and uMapType. If there is no translation, the return value is zero.

  - ### ToUnicodeEx

    int ToUnicodeEx(int wVirtKey, int wScanCode, byte[] lpKeyState, char[] pwszBuff, int cchBuff, int wFlags, WinDef.HKL dwhkl)
    Translates the specified virtual-key code and keyboard state to the corresponding Unicode character or characters.
    Parameters:
      `wVirtKey` - The virtual-key code to be translated.
      `wScanCode` - The hardware scan code of the key to be translated. The high-order bit of this value is set if the key is up.
      `lpKeyState` - A pointer to a 256-byte array that contains the current keyboard state. Each element (byte) in the array contains the state of one key. If the high-order bit of a byte is set, the key is down.
      `pwszBuff` - The buffer that receives the translated Unicode character or characters. However, this buffer may be returned without being null-terminated even though the variable name suggests that it is null-terminated.
      `cchBuff` - The size, in characters, of the buffer pointed to by the pwszBuff parameter.
      `wFlags` - The behavior of the function. If bit 0 is set, a menu is active. If bit 2 is set, keyboard state is not changed (Windows 10, version 1607 and newer) All other bits (through 31) are reserved.
      `dwhkl` - Input locale identifier to use for translating the specified code. This parameter can be any input locale identifier previously returned by the #LoadKeyboardLayout() function.
    Returns:
      The function returns one of the following values.
      -1
        The specified virtual key is a dead-key character (accent or diacritic). This value is returned regardless of the keyboard layout, even if several characters have been typed and are stored in the keyboard state. If possible, even with Unicode keyboard layouts, the function has written a spacing version of the dead-key character to the buffer specified by pwszBuff. For example, the function writes the character SPACING ACUTE (0x00B4), rather than the character NON_SPACING ACUTE (0x0301).
      0
        The specified virtual key has no translation for the current state of the keyboard. Nothing was written to the buffer specified by pwszBuff.
      1
        One character was written to the buffer specified by pwszBuff.
      2≤value
        Two or more characters were written to the buffer specified by pwszBuff. The most common cause for this is that a dead-key character (accent or diacritic) stored in the keyboard layout could not be combined with the specified virtual key to form a single character. However, the buffer may contain more characters than the return value specifies. When this happens, any extra characters are invalid and should be ignored.

  - ### LoadString

    int LoadString(WinDef.HINSTANCE hInstance, int uID, Pointer lpBuffer, int cchBufferMax)
    Loads a string resource from the executable file associated with a specified module, copies the string into a buffer, and appends a terminating null character.
    Parameters:
      `hInstance` - A handle to an instance of the module whose executable file contains the string resource. To get the handle to the application itself, call the GetModuleHandle function with NULL.
      `uID` - The identifier of the string to be loaded.
      `lpBuffer` - The buffer is to receive the string. Must be of sufficient length to hold a pointer (8 bytes).
      `cchBufferMax` - The size of the buffer, in characters. The string is truncated and null-terminated if it is longer than the number of characters specified. If this parameter is 0, then lpBuffer receives a read-only pointer to the resource itself.
    Returns:
      If the function succeeds, the return value is the number of characters copied into the buffer, not including the terminating null character, or zero if the string resource does not exist. To get extended error information, call GetLastError.